/*===========================================================================*/
/*   (Ieee/fixnum.scm)                                                       */
/*   Bigloo (3.0a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:06:35 CEST 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0a -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Ieee/fixnum.scm -indent -o objs/obj_u/Ieee/fixnum.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL bool_t
		BGl_positivefxzf3zf3zz__r4_numbers_6_5_fixnumz00(long);
	static obj_t BGl__ze3llong1484ze3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl__za7erollongzf31490z54zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	static obj_t BGl__za7eroelongzf31489z54zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_evenllongzf3zf3zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T);
	BGL_EXPORTED_DECL bool_t BGl_zc3fxzc3zz__r4_numbers_6_5_fixnumz00(long, long);
	BGL_EXPORTED_DECL long BGl_remainderelongz00zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl__fixnumzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_za7erofxzf3z54zz__r4_numbers_6_5_fixnumz00(long);
	static obj_t BGl__evenllongzf31498zf3zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	static obj_t BGl__evenelongzf31497zf3zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	static obj_t BGl__abselong1509z00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_zc3elongzc3zz__r4_numbers_6_5_fixnumz00(long,
		long);
	BGL_EXPORTED_DECL long BGl_quotientz00zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL long BGl_lcmz00zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_EXPORTED_DECL BGL_LONGLONG_T
		BGl_quotientllongz00zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T,
		BGL_LONGLONG_T);
	BGL_EXPORTED_DECL bool_t BGl_ze3zd3elongz30zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl__remainderllong1514z00zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__minfxz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_zd3llongzd3zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T, BGL_LONGLONG_T);
	extern long bgl_list_length(obj_t);
	static obj_t BGl__stringzd2ze3llongz31zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_fixnumzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl__negfxz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_positiveelongzf3zf3zz__r4_numbers_6_5_fixnumz00(long);
	BGL_EXPORTED_DECL long BGl_zd2elongzd2zz__r4_numbers_6_5_fixnumz00(long,
		long);
	BGL_EXPORTED_DECL bool_t
		BGl_za7eroelongzf3z54zz__r4_numbers_6_5_fixnumz00(long);
	static obj_t BGl__zc3zd3llong1486z10zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long BGl_za2elongza2zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl__quotientz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__zd2llong1502zd2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__zb2fxzb2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_negativefxzf3zf3zz__r4_numbers_6_5_fixnumz00(long);
	static obj_t BGl__ze3fxze3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_zc3zd3elongz10zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl__moduloz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_zc3zd3fxz10zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl__ze3elong1483ze3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__absfxz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	static obj_t BGl__oddzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	extern obj_t integer_to_string(long, long);
	BGL_EXPORTED_DECL BGL_LONGLONG_T
		BGl_zb2llongzb2zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T, BGL_LONGLONG_T);
	BGL_EXPORTED_DECL long BGl_remainderz00zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl__quotientllong1512z00zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__positivellongzf31492zf3zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	static obj_t BGl__positiveelongzf31491zf3zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	static obj_t BGl__positivefxzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_seedzd2randomz12zc0zz__r4_numbers_6_5_fixnumz00(int);
	BGL_EXPORTED_DECL long BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(long, long);
	static obj_t BGl__llongzd2ze3string1516z31zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__ze3zd3llong1488z30zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__evenzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	static obj_t BGl__remainderelong1513z00zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t, obj_t);
	extern obj_t integer_to_string(long, long);
	static obj_t BGl__remainderz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__za2llong1504za2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__makezd2elongzd2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
	BGL_EXPORTED_DECL long BGl_za2fxza2zz__r4_numbers_6_5_fixnumz00(long, long);
	BGL_EXPORTED_DECL bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long, long);
	BGL_EXPORTED_DECL bool_t BGl_elongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl__negllong1508z00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ze3elongze3zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern obj_t llong_to_string(BGL_LONGLONG_T, long);
	static obj_t BGl__integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__zc3zd3elong1485z10zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__zd2elong1501zd2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00 =
		BUNSPEC;
	static obj_t BGl__llongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_evenelongzf3zf3zz__r4_numbers_6_5_fixnumz00(long);
	BGL_EXPORTED_DECL long BGl_minfxz00zz__r4_numbers_6_5_fixnumz00(long, obj_t);
	static obj_t BGl__zc3llong1482zc3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long BGl_negfxz00zz__r4_numbers_6_5_fixnumz00(long);
	BGL_EXPORTED_DECL BGL_LONGLONG_T
		BGl_remainderllongz00zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T,
		BGL_LONGLONG_T);
	static obj_t BGl__zf2fxzf2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_negativellongzf3zf3zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T);
	BGL_EXPORTED_DECL long BGl_gcdz00zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl__negativefxzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_zc3llongzc3zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T, BGL_LONGLONG_T);
	BGL_EXPORTED_DECL int BGl_randomz00zz__r4_numbers_6_5_fixnumz00(int);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_fixnumz00();
	BGL_EXPORTED_DECL long BGl_abselongz00zz__r4_numbers_6_5_fixnumz00(long);
	BGL_EXPORTED_DECL long BGl_zf2elongzf2zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl__quotientelong1511z00zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__oddllongzf31496zf3zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	static obj_t BGl__oddelongzf31495zf3zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_oddzf3zf3zz__r4_numbers_6_5_fixnumz00(long);
	BGL_EXPORTED_DECL obj_t
		BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_ze3zd3llongz30zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T,
		BGL_LONGLONG_T);
	static obj_t BGl__maxfxz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_absfxz00zz__r4_numbers_6_5_fixnumz00(long);
	BGL_EXPORTED_DECL long BGl_negelongz00zz__r4_numbers_6_5_fixnumz00(long);
	BGL_EXPORTED_DECL obj_t BGl_makezd2elongzd2zz__r4_numbers_6_5_fixnumz00(long);
	static obj_t BGl__ze3zd3elong1487z30zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__za2elong1503za2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__zc3fxzc3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BGL_LONGLONG_T
		BGl_zd2llongzd2zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T, BGL_LONGLONG_T);
	BGL_EXPORTED_DECL bool_t
		BGl_oddllongzf3zf3zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BGL_LONGLONG_T
		BGl_za2llongza2zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T, BGL_LONGLONG_T);
	static obj_t BGl__lcmz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	static obj_t BGl__negelong1507z00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	static obj_t BGl__zb2llong1500zb2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_zc3zd3llongz10zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T,
		BGL_LONGLONG_T);
	BGL_EXPORTED_DECL bool_t BGl_evenzf3zf3zz__r4_numbers_6_5_fixnumz00(long);
	static obj_t BGl__zc3elong1481zc3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__ze3zd3fxz30zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(long, long);
	BGL_EXPORTED_DECL bool_t BGl_ze3fxze3zz__r4_numbers_6_5_fixnumz00(long, long);
	BGL_EXPORTED_DECL long BGl_quotientelongz00zz__r4_numbers_6_5_fixnumz00(long,
		long);
	BGL_EXPORTED_DECL BGL_LONGLONG_T
		BGl_stringzd2ze3llongz31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	static obj_t BGl__zd3llong1480zd3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_zd3elongzd3zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl__stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__makezd2llongzd2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
	static obj_t BGl__zf2llong1506zf2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_positivellongzf3zf3zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T);
	static obj_t BGl__seedzd2randomz12zc0zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(long, long);
	static obj_t BGl__elongzd2ze3string1515z31zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_ze3llongze3zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T, BGL_LONGLONG_T);
	static obj_t BGl__elongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_za7erollongzf3z54zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T);
	BGL_EXPORTED_DECL long BGl_maxfxz00zz__r4_numbers_6_5_fixnumz00(long, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl__zd2fxzd2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_negativeelongzf3zf3zz__r4_numbers_6_5_fixnumz00(long);
	static obj_t BGl__absllong1510z00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_zb2elongzb2zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl__zb2elong1499zb2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__za2fxza2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
	static obj_t BGl__zd3fxzd3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BGL_LONGLONG_T
		BGl_absllongz00zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T);
	BGL_EXPORTED_DECL BGL_LONGLONG_T
		BGl_zf2llongzf2zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T, BGL_LONGLONG_T);
	static long BGl_lcm2z00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	static obj_t BGl__randomz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ze3zd3fxz30zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl__integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_zf2fxzf2zz__r4_numbers_6_5_fixnumz00(long, long);
	static obj_t BGl__zd3elong1479zd3zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BGL_LONGLONG_T
		BGl_negllongz00zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T);
	BGL_EXPORTED_DECL obj_t BGl_makezd2llongzd2zz__r4_numbers_6_5_fixnumz00(long);
	BGL_EXPORTED_DECL bool_t BGl_oddelongzf3zf3zz__r4_numbers_6_5_fixnumz00(long);
	static obj_t BGl__za7erofxzf3z54zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	static obj_t BGl__zc3zd3fxz10zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__negativellongzf31494zf3zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	static obj_t BGl__negativeelongzf31493zf3zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_llongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl__gcdz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	static obj_t BGl__zf2elong1505zf2zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_lcmzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__lcmza700za7za7__r4_nu1528za7, va_generic_entry,
		BGl__lcmz00zz__r4_numbers_6_5_fixnumz00, BUNSPEC, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7c3za7d3fxza710za7za7__1529za7,
		BGl__zc3zd3fxz10zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_remainderzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__remainderza700za7za7_1530za7,
		BGl__remainderz00zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_zb2llongzd2envz60zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7b2llong1500za7b21531z00,
		BGl__zb2llong1500zb2zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringzd2ze3elongzd2envze3zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__stringza7d2za7e3elo1532z00, va_generic_entry,
		BGl__stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evenllongzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__evenllongza7f31491533za7,
		BGl__evenllongzf31498zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_minfxzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__minfxza700za7za7__r4_1534za7, va_generic_entry,
		BGl__minfxz00zz__r4_numbers_6_5_fixnumz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evenelongzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__evenelongza7f31491535za7,
		BGl__evenelongzf31497zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_za7erollongzf3zd2envz86zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7a7erollongza7f311536z00,
		BGl__za7erollongzf31490z54zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_za7eroelongzf3zd2envz86zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7a7eroelongza7f311537z00,
		BGl__za7eroelongzf31489z54zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_negllongzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__negllong1508za7001538za7,
		BGl__negllong1508z00zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_quotientzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__quotientza700za7za7__1539za7,
		BGl__quotientz00zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_zc3elongzd2envz11zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7c3elong1481za7c31540z00,
		BGl__zc3elong1481zc3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_elongzd2ze3stringzd2envze3zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__elongza7d2za7e3stri1541z00, va_generic_entry,
		BGl__elongzd2ze3string1515z31zz__r4_numbers_6_5_fixnumz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evenzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__evenza7f3za7f3za7za7__r1542z00,
		BGl__evenzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_zc3zd3llongzd2envzc2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7c3za7d3llong14861543z00,
		BGl__zc3zd3llong1486z10zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integerzd2ze3stringzd2envze3zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__integerza7d2za7e3st1544z00, va_generic_entry,
		BGl__integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_zd3llongzd2envz01zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7d3llong1480za7d31545z00,
		BGl__zd3llong1480zd3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_zf2llongzd2envz20zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7f2llong1506za7f21546z00,
		BGl__zf2llong1506zf2zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_modulozd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__moduloza700za7za7__r41547za7,
		BGl__moduloz00zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_oddllongzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__oddllongza7f314961548za7,
		BGl__oddllongzf31496zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_oddelongzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__oddelongza7f314951549za7,
		BGl__oddelongzf31495zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_zb2elongzd2envz60zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7b2elong1499za7b21550z00,
		BGl__zb2elong1499zb2zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_llongzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__llongza7f3za7f3za7za7__1551z00,
		BGl__llongzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_elongzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__elongza7f3za7f3za7za7__1552z00,
		BGl__elongzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ze3zd3llongzd2envze2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7e3za7d3llong14881553z00,
		BGl__ze3zd3llong1488z30zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fixnumzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__fixnumza7f3za7f3za7za7_1554z00,
		BGl__fixnumzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_negelongzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__negelong1507za7001555za7,
		BGl__negelong1507z00zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integerzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__integerza7f3za7f3za7za71556z00,
		BGl__integerzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_zc3zd3elongzd2envzc2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7c3za7d3elong14851557z00,
		BGl__zc3zd3elong1485z10zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_zd3elongzd2envz01zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7d3elong1479za7d31558z00,
		BGl__zd3elong1479zd3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_zf2elongzd2envz20zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7f2elong1505za7f21559z00,
		BGl__zf2elong1505zf2zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_positivefxzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__positivefxza7f3za7f1560z00,
		BGl__positivefxzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_absfxzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__absfxza700za7za7__r4_1561za7,
		BGl__absfxz00zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ze3llongzd2envz31zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7e3llong1484za7e31562z00,
		BGl__ze3llong1484ze3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7f2fxza7f2za7za7__r4_1563z00,
		BGl__zf2fxzf2zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringzd2ze3integerzd2envze3zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__stringza7d2za7e3int1564z00, va_generic_entry,
		BGl__stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ze3zd3elongzd2envze2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7e3za7d3elong14871565z00,
		BGl__ze3zd3elong1487z30zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_randomzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__randomza700za7za7__r41566za7,
		BGl__randomz00zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_absllongzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__absllong1510za7001567za7,
		BGl__absllong1510z00zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7d2fxza7d2za7za7__r4_1568z00,
		BGl__zd2fxzd2zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7e3fxza7e3za7za7__r4_1569z00,
		BGl__ze3fxze3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_za7erofxzf3zd2envz86zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7a7erofxza7f3za754za71570z00,
		BGl__za7erofxzf3z54zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1517z00zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl_string1517za700za7za7_1571za7, "integer->string", 15);
	      DEFINE_STRING(BGl_string1518z00zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl_string1518za700za7za7_1572za7, "Illegal radix", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_negativefxzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__negativefxza7f3za7f1573z00,
		BGl__negativefxzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1520z00zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl_string1520za700za7za7_1574za7, "llong->string", 13);
	      DEFINE_STRING(BGl_string1519z00zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl_string1519za700za7za7_1575za7, "elong->string", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_zd2llongzd2envz00zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7d2llong1502za7d21576z00,
		BGl__zd2llong1502zd2zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1521z00zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl_string1521za700za7za7_1577za7, "string->integer", 15);
	      DEFINE_STRING(BGl_string1522z00zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl_string1522za700za7za7_1578za7, "string->elong", 13);
	      DEFINE_STRING(BGl_string1523z00zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl_string1523za700za7za7_1579za7, "string->llong", 13);
	      DEFINE_STRING(BGl_string1524z00zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl_string1524za700za7za7_1580za7, "__error", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_quotientllongzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__quotientllong151581z00,
		BGl__quotientllong1512z00zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_gcdzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__gcdza700za7za7__r4_nu1582za7, va_generic_entry,
		BGl__gcdz00zz__r4_numbers_6_5_fixnumz00, BUNSPEC, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_negativellongzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__negativellongza7f1583za7,
		BGl__negativellongzf31494zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_negativeelongzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__negativeelongza7f1584za7,
		BGl__negativeelongzf31493zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7d3fxza7d3za7za7__r4_1585z00,
		BGl__zd3fxzd3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_llongzd2ze3stringzd2envze3zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__llongza7d2za7e3stri1586z00, va_generic_entry,
		BGl__llongzd2ze3string1516z31zz__r4_numbers_6_5_fixnumz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_oddzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__oddza7f3za7f3za7za7__r41587z00,
		BGl__oddzf3zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ze3elongzd2envz31zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7e3elong1483za7e31588z00,
		BGl__ze3elong1483ze3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_seedzd2randomz12zd2envz12zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__seedza7d2randomza711589z00,
		BGl__seedzd2randomz12zc0zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7b2fxza7b2za7za7__r4_1590z00,
		BGl__zb2fxzb2zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7c3fxza7c3za7za7__r4_1591z00,
		BGl__zc3fxzc3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_maxfxzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__maxfxza700za7za7__r4_1592za7, va_generic_entry,
		BGl__maxfxz00zz__r4_numbers_6_5_fixnumz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2llongzd2envz00zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__makeza7d2llongza7d21593z00,
		BGl__makezd2llongzd2zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_remainderllongzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__remainderllong11594z00,
		BGl__remainderllong1514z00zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_za2llongzd2envz70zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7a2llong1504za7a21595z00,
		BGl__za2llong1504za2zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7a2fxza7a2za7za7__r4_1596z00,
		BGl__za2fxza2zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_abselongzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__abselong1509za7001597za7,
		BGl__abselong1509z00zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_zd2elongzd2envz00zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7d2elong1501za7d21598z00,
		BGl__zd2elong1501zd2zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringzd2ze3llongzd2envze3zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__stringza7d2za7e3llo1599z00, va_generic_entry,
		BGl__stringzd2ze3llongz31zz__r4_numbers_6_5_fixnumz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_quotientelongzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__quotientelong151600z00,
		BGl__quotientelong1511z00zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_negfxzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__negfxza700za7za7__r4_1601za7,
		BGl__negfxz00zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_zc3llongzd2envz11zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7c3llong1482za7c31602z00,
		BGl__zc3llong1482zc3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_positivellongzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__positivellongza7f1603za7,
		BGl__positivellongzf31492zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_positiveelongzf3zd2envz21zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__positiveelongza7f1604za7,
		BGl__positiveelongzf31491zf3zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2elongzd2envz00zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__makeza7d2elongza7d21605z00,
		BGl__makezd2elongzd2zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7e3za7d3fxza730za7za7__1606za7,
		BGl__ze3zd3fxz30zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_remainderelongzd2envzd2zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__remainderelong11607z00,
		BGl__remainderelong1513z00zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_za2elongzd2envz70zz__r4_numbers_6_5_fixnumz00,
		BgL_bgl__za7a2elong1503za7a21608z00,
		BGl__za2elong1503za2zz__r4_numbers_6_5_fixnumz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long
		BgL_checksumz00_1409, char *BgL_fromz00_1410)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00))
				{
					BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00 =
						BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_fixnumz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* integer? */
	BGL_EXPORTED_DEF bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_objz00_1)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 365 */
			if (INTEGERP(BgL_objz00_1))
				{	/* Ieee/fixnum.scm 366 */
					return ((bool_t) 1);
				}
			else
				{	/* Ieee/fixnum.scm 366 */
					if (REALP(BgL_objz00_1))
						{	/* Ieee/fixnum.scm 366 */
							double BgL_arg1173z00_1296;

							BgL_arg1173z00_1296 =
								BGl_roundflz00zz__r4_numbers_6_5_flonumz00(REAL_TO_DOUBLE
								(BgL_objz00_1));
							return (REAL_TO_DOUBLE(BgL_objz00_1) == BgL_arg1173z00_1296);
						}
					else
						{	/* Ieee/fixnum.scm 366 */
							return ((bool_t) 0);
						}
				}
		}
	}



/* _integer? */
	obj_t BGl__integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1108,
		obj_t BgL_objz00_1109)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 365 */
			{	/* Ieee/fixnum.scm 366 */
				bool_t BgL_auxz00_1423;

				if (INTEGERP(BgL_objz00_1109))
					{	/* Ieee/fixnum.scm 366 */
						BgL_auxz00_1423 = ((bool_t) 1);
					}
				else
					{	/* Ieee/fixnum.scm 366 */
						if (REALP(BgL_objz00_1109))
							{	/* Ieee/fixnum.scm 366 */
								double BgL_arg1173z00_1298;

								BgL_arg1173z00_1298 =
									BGl_roundflz00zz__r4_numbers_6_5_flonumz00(REAL_TO_DOUBLE
									(BgL_objz00_1109));
								BgL_auxz00_1423 =
									(REAL_TO_DOUBLE(BgL_objz00_1109) == BgL_arg1173z00_1298);
							}
						else
							{	/* Ieee/fixnum.scm 366 */
								BgL_auxz00_1423 = ((bool_t) 0);
							}
					}
				return BBOOL(BgL_auxz00_1423);
			}
		}
	}



/* fixnum? */
	BGL_EXPORTED_DEF bool_t BGl_fixnumzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_objz00_2)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 375 */
			return INTEGERP(BgL_objz00_2);
		}
	}



/* _fixnum? */
	obj_t BGl__fixnumzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1110,
		obj_t BgL_objz00_1111)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 375 */
			return BBOOL(INTEGERP(BgL_objz00_1111));
		}
	}



/* elong? */
	BGL_EXPORTED_DEF bool_t BGl_elongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_objz00_3)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 381 */
			return ELONGP(BgL_objz00_3);
		}
	}



/* _elong? */
	obj_t BGl__elongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1112,
		obj_t BgL_objz00_1113)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 381 */
			return BBOOL(ELONGP(BgL_objz00_1113));
		}
	}



/* llong? */
	BGL_EXPORTED_DEF bool_t BGl_llongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_objz00_4)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 387 */
			return LLONGP(BgL_objz00_4);
		}
	}



/* _llong? */
	obj_t BGl__llongzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1114,
		obj_t BgL_objz00_1115)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 387 */
			return BBOOL(LLONGP(BgL_objz00_1115));
		}
	}



/* make-elong */
	BGL_EXPORTED_DEF obj_t BGl_makezd2elongzd2zz__r4_numbers_6_5_fixnumz00(long
		BgL_longz00_5)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 393 */
			return make_belong(BgL_longz00_5);
		}
	}



/* _make-elong */
	obj_t BGl__makezd2elongzd2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1116,
		obj_t BgL_longz00_1117)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 393 */
			return make_belong((long) CINT(BgL_longz00_1117));
		}
	}



/* make-llong */
	BGL_EXPORTED_DEF obj_t BGl_makezd2llongzd2zz__r4_numbers_6_5_fixnumz00(long
		BgL_longz00_6)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 399 */
			return LONG_TO_BLLONG(BgL_longz00_6);
		}
	}



/* _make-llong */
	obj_t BGl__makezd2llongzd2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1118,
		obj_t BgL_longz00_1119)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 399 */
			{	/* Ieee/fixnum.scm 400 */
				long BgL_auxz00_1446;

				BgL_auxz00_1446 = (long) CINT(BgL_longz00_1119);
				return LONG_TO_BLLONG(BgL_auxz00_1446);
			}
		}
	}



/* =fx */
	BGL_EXPORTED_DEF bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_7, long BgL_n2z00_8)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 405 */
			return (BgL_n1z00_7 == BgL_n2z00_8);
		}
	}



/* _=fx */
	obj_t BGl__zd3fxzd3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1120,
		obj_t BgL_n1z00_1121, obj_t BgL_n2z00_1122)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 405 */
			return
				BBOOL(((long) CINT(BgL_n1z00_1121) == (long) CINT(BgL_n2z00_1122)));
		}
	}



/* =elong */
	BGL_EXPORTED_DEF bool_t BGl_zd3elongzd3zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_9, long BgL_n2z00_10)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 411 */
			return (BgL_n1z00_9 == BgL_n2z00_10);
		}
	}



/* _=elong1479 */
	obj_t BGl__zd3elong1479zd3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1123,
		obj_t BgL_n1z00_1124, obj_t BgL_n2z00_1125)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 411 */
			{	/* Ieee/fixnum.scm 412 */
				bool_t BgL_auxz00_1455;

				{	/* Ieee/fixnum.scm 412 */
					long BgL_n1z00_1306;
					long BgL_n2z00_1307;

					BgL_n1z00_1306 = BELONG_TO_LONG(BgL_n1z00_1124);
					BgL_n2z00_1307 = BELONG_TO_LONG(BgL_n2z00_1125);
					BgL_auxz00_1455 = (BgL_n1z00_1306 == BgL_n2z00_1307);
				}
				return BBOOL(BgL_auxz00_1455);
			}
		}
	}



/* =llong */
	BGL_EXPORTED_DEF bool_t
		BGl_zd3llongzd3zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T BgL_n1z00_11,
		BGL_LONGLONG_T BgL_n2z00_12)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 417 */
			return (BgL_n1z00_11 == BgL_n2z00_12);
		}
	}



/* _=llong1480 */
	obj_t BGl__zd3llong1480zd3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1126,
		obj_t BgL_n1z00_1127, obj_t BgL_n2z00_1128)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 417 */
			return
				BBOOL(
				(BLLONG_TO_LLONG(BgL_n1z00_1127) == BLLONG_TO_LLONG(BgL_n2z00_1128)));
		}
	}



/* <fx */
	BGL_EXPORTED_DEF bool_t BGl_zc3fxzc3zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_13, long BgL_n2z00_14)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 423 */
			return (BgL_n1z00_13 < BgL_n2z00_14);
		}
	}



/* _<fx */
	obj_t BGl__zc3fxzc3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1129,
		obj_t BgL_n1z00_1130, obj_t BgL_n2z00_1131)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 423 */
			return BBOOL(((long) CINT(BgL_n1z00_1130) < (long) CINT(BgL_n2z00_1131)));
		}
	}



/* <elong */
	BGL_EXPORTED_DEF bool_t BGl_zc3elongzc3zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_15, long BgL_n2z00_16)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 429 */
			return (BgL_n1z00_15 < BgL_n2z00_16);
		}
	}



/* _<elong1481 */
	obj_t BGl__zc3elong1481zc3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1132,
		obj_t BgL_n1z00_1133, obj_t BgL_n2z00_1134)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 429 */
			{	/* Ieee/fixnum.scm 430 */
				bool_t BgL_auxz00_1471;

				{	/* Ieee/fixnum.scm 430 */
					long BgL_n1z00_1312;
					long BgL_n2z00_1313;

					BgL_n1z00_1312 = BELONG_TO_LONG(BgL_n1z00_1133);
					BgL_n2z00_1313 = BELONG_TO_LONG(BgL_n2z00_1134);
					BgL_auxz00_1471 = (BgL_n1z00_1312 < BgL_n2z00_1313);
				}
				return BBOOL(BgL_auxz00_1471);
			}
		}
	}



/* <llong */
	BGL_EXPORTED_DEF bool_t
		BGl_zc3llongzc3zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T BgL_n1z00_17,
		BGL_LONGLONG_T BgL_n2z00_18)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 435 */
			return (BgL_n1z00_17 < BgL_n2z00_18);
		}
	}



/* _<llong1482 */
	obj_t BGl__zc3llong1482zc3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1135,
		obj_t BgL_n1z00_1136, obj_t BgL_n2z00_1137)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 435 */
			return
				BBOOL(
				(BLLONG_TO_LLONG(BgL_n1z00_1136) < BLLONG_TO_LLONG(BgL_n2z00_1137)));
		}
	}



/* >fx */
	BGL_EXPORTED_DEF bool_t BGl_ze3fxze3zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_19, long BgL_n2z00_20)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 441 */
			return (BgL_n1z00_19 > BgL_n2z00_20);
		}
	}



/* _>fx */
	obj_t BGl__ze3fxze3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1138,
		obj_t BgL_n1z00_1139, obj_t BgL_n2z00_1140)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 441 */
			return BBOOL(((long) CINT(BgL_n1z00_1139) > (long) CINT(BgL_n2z00_1140)));
		}
	}



/* >elong */
	BGL_EXPORTED_DEF bool_t BGl_ze3elongze3zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_21, long BgL_n2z00_22)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 447 */
			return (BgL_n1z00_21 > BgL_n2z00_22);
		}
	}



/* _>elong1483 */
	obj_t BGl__ze3elong1483ze3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1141,
		obj_t BgL_n1z00_1142, obj_t BgL_n2z00_1143)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 447 */
			{	/* Ieee/fixnum.scm 448 */
				bool_t BgL_auxz00_1487;

				{	/* Ieee/fixnum.scm 448 */
					long BgL_n1z00_1318;
					long BgL_n2z00_1319;

					BgL_n1z00_1318 = BELONG_TO_LONG(BgL_n1z00_1142);
					BgL_n2z00_1319 = BELONG_TO_LONG(BgL_n2z00_1143);
					BgL_auxz00_1487 = (BgL_n1z00_1318 > BgL_n2z00_1319);
				}
				return BBOOL(BgL_auxz00_1487);
			}
		}
	}



/* >llong */
	BGL_EXPORTED_DEF bool_t
		BGl_ze3llongze3zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T BgL_n1z00_23,
		BGL_LONGLONG_T BgL_n2z00_24)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 453 */
			return (BgL_n1z00_23 > BgL_n2z00_24);
		}
	}



/* _>llong1484 */
	obj_t BGl__ze3llong1484ze3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1144,
		obj_t BgL_n1z00_1145, obj_t BgL_n2z00_1146)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 453 */
			return
				BBOOL(
				(BLLONG_TO_LLONG(BgL_n1z00_1145) > BLLONG_TO_LLONG(BgL_n2z00_1146)));
		}
	}



/* <=fx */
	BGL_EXPORTED_DEF bool_t BGl_zc3zd3fxz10zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_25, long BgL_n2z00_26)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 459 */
			return (BgL_n1z00_25 <= BgL_n2z00_26);
		}
	}



/* _<=fx */
	obj_t BGl__zc3zd3fxz10zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1147,
		obj_t BgL_n1z00_1148, obj_t BgL_n2z00_1149)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 459 */
			return
				BBOOL(((long) CINT(BgL_n1z00_1148) <= (long) CINT(BgL_n2z00_1149)));
		}
	}



/* <=elong */
	BGL_EXPORTED_DEF bool_t BGl_zc3zd3elongz10zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_27, long BgL_n2z00_28)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 465 */
			return (BgL_n1z00_27 <= BgL_n2z00_28);
		}
	}



/* _<=elong1485 */
	obj_t BGl__zc3zd3elong1485z10zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1150, obj_t BgL_n1z00_1151, obj_t BgL_n2z00_1152)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 465 */
			{	/* Ieee/fixnum.scm 466 */
				bool_t BgL_auxz00_1503;

				{	/* Ieee/fixnum.scm 466 */
					long BgL_n1z00_1324;
					long BgL_n2z00_1325;

					BgL_n1z00_1324 = BELONG_TO_LONG(BgL_n1z00_1151);
					BgL_n2z00_1325 = BELONG_TO_LONG(BgL_n2z00_1152);
					BgL_auxz00_1503 = (BgL_n1z00_1324 <= BgL_n2z00_1325);
				}
				return BBOOL(BgL_auxz00_1503);
			}
		}
	}



/* <=llong */
	BGL_EXPORTED_DEF bool_t
		BGl_zc3zd3llongz10zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T BgL_n1z00_29,
		BGL_LONGLONG_T BgL_n2z00_30)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 471 */
			return (BgL_n1z00_29 <= BgL_n2z00_30);
		}
	}



/* _<=llong1486 */
	obj_t BGl__zc3zd3llong1486z10zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1153, obj_t BgL_n1z00_1154, obj_t BgL_n2z00_1155)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 471 */
			return
				BBOOL(
				(BLLONG_TO_LLONG(BgL_n1z00_1154) <= BLLONG_TO_LLONG(BgL_n2z00_1155)));
		}
	}



/* >=fx */
	BGL_EXPORTED_DEF bool_t BGl_ze3zd3fxz30zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_31, long BgL_n2z00_32)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 477 */
			return (BgL_n1z00_31 >= BgL_n2z00_32);
		}
	}



/* _>=fx */
	obj_t BGl__ze3zd3fxz30zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1156,
		obj_t BgL_n1z00_1157, obj_t BgL_n2z00_1158)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 477 */
			return
				BBOOL(((long) CINT(BgL_n1z00_1157) >= (long) CINT(BgL_n2z00_1158)));
		}
	}



/* >=elong */
	BGL_EXPORTED_DEF bool_t BGl_ze3zd3elongz30zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_33, long BgL_n2z00_34)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 483 */
			return (BgL_n1z00_33 >= BgL_n2z00_34);
		}
	}



/* _>=elong1487 */
	obj_t BGl__ze3zd3elong1487z30zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1159, obj_t BgL_n1z00_1160, obj_t BgL_n2z00_1161)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 483 */
			{	/* Ieee/fixnum.scm 484 */
				bool_t BgL_auxz00_1519;

				{	/* Ieee/fixnum.scm 484 */
					long BgL_n1z00_1330;
					long BgL_n2z00_1331;

					BgL_n1z00_1330 = BELONG_TO_LONG(BgL_n1z00_1160);
					BgL_n2z00_1331 = BELONG_TO_LONG(BgL_n2z00_1161);
					BgL_auxz00_1519 = (BgL_n1z00_1330 >= BgL_n2z00_1331);
				}
				return BBOOL(BgL_auxz00_1519);
			}
		}
	}



/* >=llong */
	BGL_EXPORTED_DEF bool_t
		BGl_ze3zd3llongz30zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T BgL_n1z00_35,
		BGL_LONGLONG_T BgL_n2z00_36)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 489 */
			return (BgL_n1z00_35 >= BgL_n2z00_36);
		}
	}



/* _>=llong1488 */
	obj_t BGl__ze3zd3llong1488z30zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1162, obj_t BgL_n1z00_1163, obj_t BgL_n2z00_1164)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 489 */
			return
				BBOOL(
				(BLLONG_TO_LLONG(BgL_n1z00_1163) >= BLLONG_TO_LLONG(BgL_n2z00_1164)));
		}
	}



/* zerofx? */
	BGL_EXPORTED_DEF bool_t BGl_za7erofxzf3z54zz__r4_numbers_6_5_fixnumz00(long
		BgL_nz00_37)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 495 */
			return (BgL_nz00_37 == ((long) 0));
		}
	}



/* _zerofx? */
	obj_t BGl__za7erofxzf3z54zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1165,
		obj_t BgL_nz00_1166)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 495 */
			return BBOOL(((long) CINT(BgL_nz00_1166) == ((long) 0)));
		}
	}



/* zeroelong? */
	BGL_EXPORTED_DEF bool_t BGl_za7eroelongzf3z54zz__r4_numbers_6_5_fixnumz00(long
		BgL_nz00_38)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 501 */
			return (BgL_nz00_38 == ((long) 0));
		}
	}



/* _zeroelong?1489 */
	obj_t BGl__za7eroelongzf31489z54zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1167, obj_t BgL_nz00_1168)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 501 */
			{	/* Ieee/fixnum.scm 502 */
				bool_t BgL_auxz00_1534;

				{	/* Ieee/fixnum.scm 502 */
					long BgL_nz00_1335;

					BgL_nz00_1335 = BELONG_TO_LONG(BgL_nz00_1168);
					BgL_auxz00_1534 = (BgL_nz00_1335 == ((long) 0));
				}
				return BBOOL(BgL_auxz00_1534);
			}
		}
	}



/* zerollong? */
	BGL_EXPORTED_DEF bool_t
		BGl_za7erollongzf3z54zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T
		BgL_nz00_39)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 507 */
			return (BgL_nz00_39 == (BGL_LONGLONG_T) 0);
		}
	}



/* _zerollong?1490 */
	obj_t BGl__za7erollongzf31490z54zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1169, obj_t BgL_nz00_1170)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 507 */
			return BBOOL((BLLONG_TO_LLONG(BgL_nz00_1170) == (BGL_LONGLONG_T) 0));
		}
	}



/* positivefx? */
	BGL_EXPORTED_DEF bool_t BGl_positivefxzf3zf3zz__r4_numbers_6_5_fixnumz00(long
		BgL_nz00_40)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 513 */
			return (BgL_nz00_40 > ((long) 0));
		}
	}



/* _positivefx? */
	obj_t BGl__positivefxzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1171,
		obj_t BgL_nz00_1172)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 513 */
			return BBOOL(((long) CINT(BgL_nz00_1172) > ((long) 0)));
		}
	}



/* positiveelong? */
	BGL_EXPORTED_DEF bool_t
		BGl_positiveelongzf3zf3zz__r4_numbers_6_5_fixnumz00(long BgL_nz00_41)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 519 */
			return (BgL_nz00_41 > ((long) 0));
		}
	}



/* _positiveelong?1491 */
	obj_t BGl__positiveelongzf31491zf3zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1173, obj_t BgL_nz00_1174)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 519 */
			{	/* Ieee/fixnum.scm 520 */
				bool_t BgL_auxz00_1547;

				{	/* Ieee/fixnum.scm 520 */
					long BgL_nz00_1338;

					BgL_nz00_1338 = BELONG_TO_LONG(BgL_nz00_1174);
					BgL_auxz00_1547 = (BgL_nz00_1338 > ((long) 0));
				}
				return BBOOL(BgL_auxz00_1547);
			}
		}
	}



/* positivellong? */
	BGL_EXPORTED_DEF bool_t
		BGl_positivellongzf3zf3zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T
		BgL_nz00_42)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 525 */
			return (BgL_nz00_42 > (BGL_LONGLONG_T) 0);
		}
	}



/* _positivellong?1492 */
	obj_t BGl__positivellongzf31492zf3zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1175, obj_t BgL_nz00_1176)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 525 */
			return BBOOL((BLLONG_TO_LLONG(BgL_nz00_1176) > (BGL_LONGLONG_T) 0));
		}
	}



/* negativefx? */
	BGL_EXPORTED_DEF bool_t BGl_negativefxzf3zf3zz__r4_numbers_6_5_fixnumz00(long
		BgL_nz00_43)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 531 */
			return (BgL_nz00_43 < ((long) 0));
		}
	}



/* _negativefx? */
	obj_t BGl__negativefxzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1177,
		obj_t BgL_nz00_1178)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 531 */
			return BBOOL(((long) CINT(BgL_nz00_1178) < ((long) 0)));
		}
	}



/* negativeelong? */
	BGL_EXPORTED_DEF bool_t
		BGl_negativeelongzf3zf3zz__r4_numbers_6_5_fixnumz00(long BgL_nz00_44)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 537 */
			return (BgL_nz00_44 < ((long) 0));
		}
	}



/* _negativeelong?1493 */
	obj_t BGl__negativeelongzf31493zf3zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1179, obj_t BgL_nz00_1180)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 537 */
			{	/* Ieee/fixnum.scm 538 */
				bool_t BgL_auxz00_1560;

				{	/* Ieee/fixnum.scm 538 */
					long BgL_nz00_1341;

					BgL_nz00_1341 = BELONG_TO_LONG(BgL_nz00_1180);
					BgL_auxz00_1560 = (BgL_nz00_1341 < ((long) 0));
				}
				return BBOOL(BgL_auxz00_1560);
			}
		}
	}



/* negativellong? */
	BGL_EXPORTED_DEF bool_t
		BGl_negativellongzf3zf3zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T
		BgL_nz00_45)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 543 */
			return (BgL_nz00_45 < (BGL_LONGLONG_T) 0);
		}
	}



/* _negativellong?1494 */
	obj_t BGl__negativellongzf31494zf3zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1181, obj_t BgL_nz00_1182)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 543 */
			return BBOOL((BLLONG_TO_LLONG(BgL_nz00_1182) < (BGL_LONGLONG_T) 0));
		}
	}



/* odd? */
	BGL_EXPORTED_DEF bool_t BGl_oddzf3zf3zz__r4_numbers_6_5_fixnumz00(long
		BgL_xz00_46)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 549 */
			return ODDP_FX(BgL_xz00_46);
		}
	}



/* _odd? */
	obj_t BGl__oddzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1183,
		obj_t BgL_xz00_1184)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 549 */
			return BBOOL(ODDP_FX((long) CINT(BgL_xz00_1184)));
		}
	}



/* oddelong? */
	BGL_EXPORTED_DEF bool_t BGl_oddelongzf3zf3zz__r4_numbers_6_5_fixnumz00(long
		BgL_xz00_47)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 555 */
			{	/* Ieee/fixnum.scm 556 */
				long BgL_arg1174z00_1344;

				BgL_arg1174z00_1344 = (BgL_xz00_47 % ((long) 2));
				return (BgL_arg1174z00_1344 == ((long) 0));
		}}
	}



/* _oddelong?1495 */
	obj_t BGl__oddelongzf31495zf3zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1185, obj_t BgL_xz00_1186)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 555 */
			{	/* Ieee/fixnum.scm 556 */
				bool_t BgL_auxz00_1574;

				{	/* Ieee/fixnum.scm 556 */
					bool_t BgL_res1525z00_1347;

					{	/* Ieee/fixnum.scm 556 */
						long BgL_xz00_1345;

						BgL_xz00_1345 = BELONG_TO_LONG(BgL_xz00_1186);
						{	/* Ieee/fixnum.scm 556 */
							long BgL_arg1174z00_1346;

							BgL_arg1174z00_1346 = (BgL_xz00_1345 % ((long) 2));
							BgL_res1525z00_1347 = (BgL_arg1174z00_1346 == ((long) 0));
					}}
					BgL_auxz00_1574 = BgL_res1525z00_1347;
				}
				return BBOOL(BgL_auxz00_1574);
			}
		}
	}



/* oddllong? */
	BGL_EXPORTED_DEF bool_t
		BGl_oddllongzf3zf3zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T BgL_xz00_48)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 561 */
			{	/* Ieee/fixnum.scm 562 */
				BGL_LONGLONG_T BgL_arg1176z00_1348;

				BgL_arg1176z00_1348 = (BgL_xz00_48 % (BGL_LONGLONG_T) 2);
				return (BgL_arg1176z00_1348 == (BGL_LONGLONG_T) 0);
			}
		}
	}



/* _oddllong?1496 */
	obj_t BGl__oddllongzf31496zf3zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1187, obj_t BgL_xz00_1188)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 561 */
			{	/* Ieee/fixnum.scm 562 */
				bool_t BgL_auxz00_1581;

				{	/* Ieee/fixnum.scm 562 */
					bool_t BgL_res1526z00_1351;

					{	/* Ieee/fixnum.scm 562 */
						BGL_LONGLONG_T BgL_xz00_1349;

						BgL_xz00_1349 = BLLONG_TO_LLONG(BgL_xz00_1188);
						{	/* Ieee/fixnum.scm 562 */
							BGL_LONGLONG_T BgL_arg1176z00_1350;

							BgL_arg1176z00_1350 = (BgL_xz00_1349 % (BGL_LONGLONG_T) 2);
							BgL_res1526z00_1351 = (BgL_arg1176z00_1350 == (BGL_LONGLONG_T) 0);
						}
					}
					BgL_auxz00_1581 = BgL_res1526z00_1351;
				}
				return BBOOL(BgL_auxz00_1581);
			}
		}
	}



/* even? */
	BGL_EXPORTED_DEF bool_t BGl_evenzf3zf3zz__r4_numbers_6_5_fixnumz00(long
		BgL_xz00_49)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 567 */
			return EVENP_FX(BgL_xz00_49);
		}
	}



/* _even? */
	obj_t BGl__evenzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1189,
		obj_t BgL_xz00_1190)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 567 */
			return BBOOL(EVENP_FX((long) CINT(BgL_xz00_1190)));
		}
	}



/* evenelong? */
	BGL_EXPORTED_DEF bool_t BGl_evenelongzf3zf3zz__r4_numbers_6_5_fixnumz00(long
		BgL_xz00_50)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 573 */
			{	/* Ieee/fixnum.scm 574 */
				bool_t BgL_testz00_1590;

				{	/* Ieee/fixnum.scm 574 */
					bool_t BgL_res1464z00_1353;

					{	/* Ieee/fixnum.scm 574 */
						long BgL_arg1174z00_1354;

						BgL_arg1174z00_1354 = (BgL_xz00_50 % ((long) 2));
						BgL_res1464z00_1353 = (BgL_arg1174z00_1354 == ((long) 0));
					}
					BgL_testz00_1590 = BgL_res1464z00_1353;
				}
				if (BgL_testz00_1590)
					{	/* Ieee/fixnum.scm 574 */
						return ((bool_t) 0);
					}
				else
					{	/* Ieee/fixnum.scm 574 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* _evenelong?1497 */
	obj_t BGl__evenelongzf31497zf3zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1191, obj_t BgL_xz00_1192)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 573 */
			{	/* Ieee/fixnum.scm 574 */
				bool_t BgL_auxz00_1593;

				{	/* Ieee/fixnum.scm 574 */
					long BgL_xz00_1355;

					BgL_xz00_1355 = BELONG_TO_LONG(BgL_xz00_1192);
					{	/* Ieee/fixnum.scm 574 */
						bool_t BgL_testz00_1595;

						{	/* Ieee/fixnum.scm 574 */
							bool_t BgL_res1464z00_1356;

							{	/* Ieee/fixnum.scm 574 */
								long BgL_arg1174z00_1357;

								BgL_arg1174z00_1357 = (BgL_xz00_1355 % ((long) 2));
								BgL_res1464z00_1356 = (BgL_arg1174z00_1357 == ((long) 0));
							}
							BgL_testz00_1595 = BgL_res1464z00_1356;
						}
						if (BgL_testz00_1595)
							{	/* Ieee/fixnum.scm 574 */
								BgL_auxz00_1593 = ((bool_t) 0);
							}
						else
							{	/* Ieee/fixnum.scm 574 */
								BgL_auxz00_1593 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_auxz00_1593);
			}
		}
	}



/* evenllong? */
	BGL_EXPORTED_DEF bool_t
		BGl_evenllongzf3zf3zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T BgL_xz00_51)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 579 */
			{	/* Ieee/fixnum.scm 580 */
				bool_t BgL_testz00_1599;

				{	/* Ieee/fixnum.scm 580 */
					bool_t BgL_res1465z00_1358;

					{	/* Ieee/fixnum.scm 580 */
						BGL_LONGLONG_T BgL_arg1176z00_1359;

						BgL_arg1176z00_1359 = (BgL_xz00_51 % (BGL_LONGLONG_T) 2);
						BgL_res1465z00_1358 = (BgL_arg1176z00_1359 == (BGL_LONGLONG_T) 0);
					}
					BgL_testz00_1599 = BgL_res1465z00_1358;
				}
				if (BgL_testz00_1599)
					{	/* Ieee/fixnum.scm 580 */
						return ((bool_t) 0);
					}
				else
					{	/* Ieee/fixnum.scm 580 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* _evenllong?1498 */
	obj_t BGl__evenllongzf31498zf3zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1193, obj_t BgL_xz00_1194)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 579 */
			{	/* Ieee/fixnum.scm 580 */
				bool_t BgL_auxz00_1602;

				{	/* Ieee/fixnum.scm 580 */
					BGL_LONGLONG_T BgL_xz00_1360;

					BgL_xz00_1360 = BLLONG_TO_LLONG(BgL_xz00_1194);
					{	/* Ieee/fixnum.scm 580 */
						bool_t BgL_testz00_1604;

						{	/* Ieee/fixnum.scm 580 */
							bool_t BgL_res1465z00_1361;

							{	/* Ieee/fixnum.scm 580 */
								BGL_LONGLONG_T BgL_arg1176z00_1362;

								BgL_arg1176z00_1362 = (BgL_xz00_1360 % (BGL_LONGLONG_T) 2);
								BgL_res1465z00_1361 =
									(BgL_arg1176z00_1362 == (BGL_LONGLONG_T) 0);
							}
							BgL_testz00_1604 = BgL_res1465z00_1361;
						}
						if (BgL_testz00_1604)
							{	/* Ieee/fixnum.scm 580 */
								BgL_auxz00_1602 = ((bool_t) 0);
							}
						else
							{	/* Ieee/fixnum.scm 580 */
								BgL_auxz00_1602 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_auxz00_1602);
			}
		}
	}



/* maxfx */
	BGL_EXPORTED_DEF long BGl_maxfxz00zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_52, obj_t BgL_nnz00_53)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 585 */
			{
				obj_t BgL_maxz00_374;
				obj_t BgL_nnz00_375;

				{	/* Ieee/fixnum.scm 586 */
					obj_t BgL_auxz00_1608;

					BgL_maxz00_374 = BINT(BgL_n1z00_52);
					BgL_nnz00_375 = BgL_nnz00_53;
				BgL_loopz00_376:
					if (NULLP(BgL_nnz00_375))
						{	/* Ieee/fixnum.scm 588 */
							BgL_auxz00_1608 = BgL_maxz00_374;
						}
					else
						{	/* Ieee/fixnum.scm 590 */
							bool_t BgL_testz00_1611;

							{	/* Ieee/fixnum.scm 590 */
								long BgL_auxz00_1612;

								{	/* Ieee/fixnum.scm 590 */
									obj_t BgL_pairz00_748;

									BgL_pairz00_748 = BgL_nnz00_375;
									BgL_auxz00_1612 = (long) CINT(CAR(BgL_pairz00_748));
								}
								BgL_testz00_1611 =
									(BgL_auxz00_1612 > (long) CINT(BgL_maxz00_374));
							}
							if (BgL_testz00_1611)
								{
									obj_t BgL_nnz00_1619;
									obj_t BgL_maxz00_1617;

									BgL_maxz00_1617 = CAR(BgL_nnz00_375);
									BgL_nnz00_1619 = CDR(BgL_nnz00_375);
									BgL_nnz00_375 = BgL_nnz00_1619;
									BgL_maxz00_374 = BgL_maxz00_1617;
									goto BgL_loopz00_376;
								}
							else
								{
									obj_t BgL_nnz00_1621;

									BgL_nnz00_1621 = CDR(BgL_nnz00_375);
									BgL_nnz00_375 = BgL_nnz00_1621;
									goto BgL_loopz00_376;
								}
						}
					return (long) CINT(BgL_auxz00_1608);
		}}}
	}



/* _maxfx */
	obj_t BGl__maxfxz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1195,
		obj_t BgL_n1z00_1196, obj_t BgL_nnz00_1197)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 585 */
			return
				BINT(BGl_maxfxz00zz__r4_numbers_6_5_fixnumz00(
					(long) CINT(BgL_n1z00_1196), BgL_nnz00_1197));
		}
	}



/* minfx */
	BGL_EXPORTED_DEF long BGl_minfxz00zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_54, obj_t BgL_nnz00_55)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 597 */
			{
				obj_t BgL_minz00_383;
				obj_t BgL_nnz00_384;

				{	/* Ieee/fixnum.scm 598 */
					obj_t BgL_auxz00_1628;

					BgL_minz00_383 = BINT(BgL_n1z00_54);
					BgL_nnz00_384 = BgL_nnz00_55;
				BgL_loopz00_385:
					if (NULLP(BgL_nnz00_384))
						{	/* Ieee/fixnum.scm 600 */
							BgL_auxz00_1628 = BgL_minz00_383;
						}
					else
						{	/* Ieee/fixnum.scm 602 */
							bool_t BgL_testz00_1631;

							{	/* Ieee/fixnum.scm 602 */
								long BgL_auxz00_1632;

								{	/* Ieee/fixnum.scm 602 */
									obj_t BgL_pairz00_755;

									BgL_pairz00_755 = BgL_nnz00_384;
									BgL_auxz00_1632 = (long) CINT(CAR(BgL_pairz00_755));
								}
								BgL_testz00_1631 =
									(BgL_auxz00_1632 < (long) CINT(BgL_minz00_383));
							}
							if (BgL_testz00_1631)
								{
									obj_t BgL_nnz00_1639;
									obj_t BgL_minz00_1637;

									BgL_minz00_1637 = CAR(BgL_nnz00_384);
									BgL_nnz00_1639 = CDR(BgL_nnz00_384);
									BgL_nnz00_384 = BgL_nnz00_1639;
									BgL_minz00_383 = BgL_minz00_1637;
									goto BgL_loopz00_385;
								}
							else
								{
									obj_t BgL_nnz00_1641;

									BgL_nnz00_1641 = CDR(BgL_nnz00_384);
									BgL_nnz00_384 = BgL_nnz00_1641;
									goto BgL_loopz00_385;
								}
						}
					return (long) CINT(BgL_auxz00_1628);
		}}}
	}



/* _minfx */
	obj_t BGl__minfxz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1198,
		obj_t BgL_n1z00_1199, obj_t BgL_nnz00_1200)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 597 */
			return
				BINT(BGl_minfxz00zz__r4_numbers_6_5_fixnumz00(
					(long) CINT(BgL_n1z00_1199), BgL_nnz00_1200));
		}
	}



/* +fx */
	BGL_EXPORTED_DEF long BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(long
		BgL_za71za7_56, long BgL_za72za7_57)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 609 */
			return (BgL_za71za7_56 + BgL_za72za7_57);
		}
	}



/* _+fx */
	obj_t BGl__zb2fxzb2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1201,
		obj_t BgL_za71za7_1202, obj_t BgL_za72za7_1203)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 609 */
			return
				BINT(((long) CINT(BgL_za71za7_1202) + (long) CINT(BgL_za72za7_1203)));
		}
	}



/* +elong */
	BGL_EXPORTED_DEF long BGl_zb2elongzb2zz__r4_numbers_6_5_fixnumz00(long
		BgL_za71za7_58, long BgL_za72za7_59)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 615 */
			return (BgL_za71za7_58 + BgL_za72za7_59);
		}
	}



/* _+elong1499 */
	obj_t BGl__zb2elong1499zb2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1204,
		obj_t BgL_za71za7_1205, obj_t BgL_za72za7_1206)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 615 */
			{	/* Ieee/fixnum.scm 616 */
				long BgL_auxz00_1654;

				{	/* Ieee/fixnum.scm 616 */
					long BgL_za71za7_1365;
					long BgL_za72za7_1366;

					BgL_za71za7_1365 = BELONG_TO_LONG(BgL_za71za7_1205);
					BgL_za72za7_1366 = BELONG_TO_LONG(BgL_za72za7_1206);
					BgL_auxz00_1654 = (BgL_za71za7_1365 + BgL_za72za7_1366);
				}
				return make_belong(BgL_auxz00_1654);
			}
		}
	}



/* +llong */
	BGL_EXPORTED_DEF BGL_LONGLONG_T
		BGl_zb2llongzb2zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T BgL_za71za7_60,
		BGL_LONGLONG_T BgL_za72za7_61)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 621 */
			return (BgL_za71za7_60 + BgL_za72za7_61);
		}
	}



/* _+llong1500 */
	obj_t BGl__zb2llong1500zb2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1207,
		obj_t BgL_za71za7_1208, obj_t BgL_za72za7_1209)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 621 */
			return
				make_bllong(
				(BLLONG_TO_LLONG(BgL_za71za7_1208) +
					BLLONG_TO_LLONG(BgL_za72za7_1209)));
		}
	}



/* -fx */
	BGL_EXPORTED_DEF long BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(long
		BgL_za71za7_62, long BgL_za72za7_63)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 627 */
			return (BgL_za71za7_62 - BgL_za72za7_63);
		}
	}



/* _-fx */
	obj_t BGl__zd2fxzd2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1210,
		obj_t BgL_za71za7_1211, obj_t BgL_za72za7_1212)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 627 */
			return
				BINT(((long) CINT(BgL_za71za7_1211) - (long) CINT(BgL_za72za7_1212)));
		}
	}



/* -elong */
	BGL_EXPORTED_DEF long BGl_zd2elongzd2zz__r4_numbers_6_5_fixnumz00(long
		BgL_za71za7_64, long BgL_za72za7_65)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 633 */
			{	/* Ieee/fixnum.scm 634 */
				long BgL_auxz00_1669;

				BgL_auxz00_1669 = (BgL_za71za7_64 - BgL_za72za7_65);
				return LONG_TO_ELONG(BgL_auxz00_1669);
			}
		}
	}



/* _-elong1501 */
	obj_t BGl__zd2elong1501zd2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1213,
		obj_t BgL_za71za7_1214, obj_t BgL_za72za7_1215)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 633 */
			{	/* Ieee/fixnum.scm 634 */
				long BgL_auxz00_1672;

				{	/* Ieee/fixnum.scm 634 */
					long BgL_za71za7_1371;
					long BgL_za72za7_1372;

					BgL_za71za7_1371 = BELONG_TO_LONG(BgL_za71za7_1214);
					BgL_za72za7_1372 = BELONG_TO_LONG(BgL_za72za7_1215);
					{	/* Ieee/fixnum.scm 634 */
						long BgL_auxz00_1675;

						BgL_auxz00_1675 = (BgL_za71za7_1371 - BgL_za72za7_1372);
						BgL_auxz00_1672 = LONG_TO_ELONG(BgL_auxz00_1675);
				}}
				return make_belong(BgL_auxz00_1672);
			}
		}
	}



/* -llong */
	BGL_EXPORTED_DEF BGL_LONGLONG_T
		BGl_zd2llongzd2zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T BgL_za71za7_66,
		BGL_LONGLONG_T BgL_za72za7_67)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 639 */
			return (BgL_za71za7_66 - BgL_za72za7_67);
		}
	}



/* _-llong1502 */
	obj_t BGl__zd2llong1502zd2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1216,
		obj_t BgL_za71za7_1217, obj_t BgL_za72za7_1218)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 639 */
			return
				make_bllong(
				(BLLONG_TO_LLONG(BgL_za71za7_1217) -
					BLLONG_TO_LLONG(BgL_za72za7_1218)));
		}
	}



/* *fx */
	BGL_EXPORTED_DEF long BGl_za2fxza2zz__r4_numbers_6_5_fixnumz00(long
		BgL_za71za7_68, long BgL_za72za7_69)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 645 */
			return (BgL_za71za7_68 * BgL_za72za7_69);
		}
	}



/* _*fx */
	obj_t BGl__za2fxza2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1219,
		obj_t BgL_za71za7_1220, obj_t BgL_za72za7_1221)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 645 */
			return
				BINT(((long) CINT(BgL_za71za7_1220) * (long) CINT(BgL_za72za7_1221)));
		}
	}



/* *elong */
	BGL_EXPORTED_DEF long BGl_za2elongza2zz__r4_numbers_6_5_fixnumz00(long
		BgL_za71za7_70, long BgL_za72za7_71)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 651 */
			return (BgL_za71za7_70 * BgL_za72za7_71);
		}
	}



/* _*elong1503 */
	obj_t BGl__za2elong1503za2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1222,
		obj_t BgL_za71za7_1223, obj_t BgL_za72za7_1224)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 651 */
			{	/* Ieee/fixnum.scm 652 */
				long BgL_auxz00_1690;

				{	/* Ieee/fixnum.scm 652 */
					long BgL_za71za7_1377;
					long BgL_za72za7_1378;

					BgL_za71za7_1377 = BELONG_TO_LONG(BgL_za71za7_1223);
					BgL_za72za7_1378 = BELONG_TO_LONG(BgL_za72za7_1224);
					BgL_auxz00_1690 = (BgL_za71za7_1377 * BgL_za72za7_1378);
				}
				return make_belong(BgL_auxz00_1690);
			}
		}
	}



/* *llong */
	BGL_EXPORTED_DEF BGL_LONGLONG_T
		BGl_za2llongza2zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T BgL_za71za7_72,
		BGL_LONGLONG_T BgL_za72za7_73)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 657 */
			return (BgL_za71za7_72 * BgL_za72za7_73);
		}
	}



/* _*llong1504 */
	obj_t BGl__za2llong1504za2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1225,
		obj_t BgL_za71za7_1226, obj_t BgL_za72za7_1227)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 657 */
			return
				make_bllong(
				(BLLONG_TO_LLONG(BgL_za71za7_1226) *
					BLLONG_TO_LLONG(BgL_za72za7_1227)));
		}
	}



/* /fx */
	BGL_EXPORTED_DEF long BGl_zf2fxzf2zz__r4_numbers_6_5_fixnumz00(long
		BgL_za71za7_74, long BgL_za72za7_75)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 663 */
			return (BgL_za71za7_74 / BgL_za72za7_75);
		}
	}



/* _/fx */
	obj_t BGl__zf2fxzf2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1228,
		obj_t BgL_za71za7_1229, obj_t BgL_za72za7_1230)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 663 */
			return
				BINT(((long) CINT(BgL_za71za7_1229) / (long) CINT(BgL_za72za7_1230)));
		}
	}



/* /elong */
	BGL_EXPORTED_DEF long BGl_zf2elongzf2zz__r4_numbers_6_5_fixnumz00(long
		BgL_za71za7_76, long BgL_za72za7_77)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 669 */
			return (BgL_za71za7_76 / BgL_za72za7_77);
		}
	}



/* _/elong1505 */
	obj_t BGl__zf2elong1505zf2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1231,
		obj_t BgL_za71za7_1232, obj_t BgL_za72za7_1233)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 669 */
			{	/* Ieee/fixnum.scm 670 */
				long BgL_auxz00_1706;

				{	/* Ieee/fixnum.scm 670 */
					long BgL_za71za7_1383;
					long BgL_za72za7_1384;

					BgL_za71za7_1383 = BELONG_TO_LONG(BgL_za71za7_1232);
					BgL_za72za7_1384 = BELONG_TO_LONG(BgL_za72za7_1233);
					BgL_auxz00_1706 = (BgL_za71za7_1383 / BgL_za72za7_1384);
				}
				return make_belong(BgL_auxz00_1706);
			}
		}
	}



/* /llong */
	BGL_EXPORTED_DEF BGL_LONGLONG_T
		BGl_zf2llongzf2zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T BgL_za71za7_78,
		BGL_LONGLONG_T BgL_za72za7_79)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 675 */
			return (BgL_za71za7_78 / BgL_za72za7_79);
		}
	}



/* _/llong1506 */
	obj_t BGl__zf2llong1506zf2zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1234,
		obj_t BgL_za71za7_1235, obj_t BgL_za72za7_1236)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 675 */
			{	/* Ieee/fixnum.scm 676 */
				BGL_LONGLONG_T BgL_auxz00_1712;

				{	/* Ieee/fixnum.scm 676 */
					BGL_LONGLONG_T BgL_auxz00_1715;
					BGL_LONGLONG_T BgL_auxz00_1713;

					BgL_auxz00_1715 = BLLONG_TO_LLONG(BgL_za72za7_1236);
					BgL_auxz00_1713 = BLLONG_TO_LLONG(BgL_za71za7_1235);
					BgL_auxz00_1712 = (BgL_auxz00_1713 / BgL_auxz00_1715);
				}
				return make_bllong(BgL_auxz00_1712);
			}
		}
	}



/* negfx */
	BGL_EXPORTED_DEF long BGl_negfxz00zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_80)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 681 */
			return NEG(BgL_n1z00_80);
		}
	}



/* _negfx */
	obj_t BGl__negfxz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1237,
		obj_t BgL_n1z00_1238)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 681 */
			return BINT(NEG((long) CINT(BgL_n1z00_1238)));
		}
	}



/* negelong */
	BGL_EXPORTED_DEF long BGl_negelongz00zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_81)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 687 */
			return NEG(BgL_n1z00_81);
		}
	}



/* _negelong1507 */
	obj_t BGl__negelong1507z00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1239,
		obj_t BgL_n1z00_1240)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 687 */
			{	/* Ieee/fixnum.scm 688 */
				long BgL_auxz00_1724;

				{	/* Ieee/fixnum.scm 688 */
					long BgL_n1z00_1388;

					BgL_n1z00_1388 = BELONG_TO_LONG(BgL_n1z00_1240);
					BgL_auxz00_1724 = NEG(BgL_n1z00_1388);
				}
				return make_belong(BgL_auxz00_1724);
			}
		}
	}



/* negllong */
	BGL_EXPORTED_DEF BGL_LONGLONG_T
		BGl_negllongz00zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T BgL_n1z00_82)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 693 */
			return NEG(BgL_n1z00_82);
		}
	}



/* _negllong1508 */
	obj_t BGl__negllong1508z00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1241,
		obj_t BgL_n1z00_1242)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 693 */
			return make_bllong(NEG(BLLONG_TO_LLONG(BgL_n1z00_1242)));
		}
	}



/* absfx */
	BGL_EXPORTED_DEF long BGl_absfxz00zz__r4_numbers_6_5_fixnumz00(long
		BgL_nz00_83)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 699 */
			if ((BgL_nz00_83 < ((long) 0)))
				{	/* Ieee/fixnum.scm 700 */
					return NEG(BgL_nz00_83);
				}
			else
				{	/* Ieee/fixnum.scm 700 */
					return BgL_nz00_83;
				}
		}
	}



/* _absfx */
	obj_t BGl__absfxz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1243,
		obj_t BgL_nz00_1244)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 699 */
			{	/* Ieee/fixnum.scm 700 */
				long BgL_auxz00_1735;

				{	/* Ieee/fixnum.scm 700 */
					long BgL_nz00_1390;

					BgL_nz00_1390 = (long) CINT(BgL_nz00_1244);
					if ((BgL_nz00_1390 < ((long) 0)))
						{	/* Ieee/fixnum.scm 700 */
							BgL_auxz00_1735 = NEG(BgL_nz00_1390);
						}
					else
						{	/* Ieee/fixnum.scm 700 */
							BgL_auxz00_1735 = BgL_nz00_1390;
						}
				}
				return BINT(BgL_auxz00_1735);
			}
		}
	}



/* abselong */
	BGL_EXPORTED_DEF long BGl_abselongz00zz__r4_numbers_6_5_fixnumz00(long
		BgL_nz00_84)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 707 */
			if ((BgL_nz00_84 < ((long) 0)))
				{	/* Ieee/fixnum.scm 708 */
					return NEG(BgL_nz00_84);
				}
			else
				{	/* Ieee/fixnum.scm 708 */
					return BgL_nz00_84;
				}
		}
	}



/* _abselong1509 */
	obj_t BGl__abselong1509z00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1245,
		obj_t BgL_nz00_1246)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 707 */
			{	/* Ieee/fixnum.scm 708 */
				long BgL_auxz00_1744;

				{	/* Ieee/fixnum.scm 708 */
					long BgL_nz00_1391;

					BgL_nz00_1391 = BELONG_TO_LONG(BgL_nz00_1246);
					if ((BgL_nz00_1391 < ((long) 0)))
						{	/* Ieee/fixnum.scm 708 */
							BgL_auxz00_1744 = NEG(BgL_nz00_1391);
						}
					else
						{	/* Ieee/fixnum.scm 708 */
							BgL_auxz00_1744 = BgL_nz00_1391;
						}
				}
				return make_belong(BgL_auxz00_1744);
			}
		}
	}



/* absllong */
	BGL_EXPORTED_DEF BGL_LONGLONG_T
		BGl_absllongz00zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T BgL_nz00_85)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 715 */
			if ((BgL_nz00_85 < (BGL_LONGLONG_T) 0))
				{	/* Ieee/fixnum.scm 716 */
					return NEG(BgL_nz00_85);
				}
			else
				{	/* Ieee/fixnum.scm 716 */
					return BgL_nz00_85;
				}
		}
	}



/* _absllong1510 */
	obj_t BGl__absllong1510z00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1247,
		obj_t BgL_nz00_1248)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 715 */
			{	/* Ieee/fixnum.scm 716 */
				BGL_LONGLONG_T BgL_auxz00_1753;

				{	/* Ieee/fixnum.scm 716 */
					BGL_LONGLONG_T BgL_nz00_1392;

					BgL_nz00_1392 = BLLONG_TO_LLONG(BgL_nz00_1248);
					if ((BgL_nz00_1392 < (BGL_LONGLONG_T) 0))
						{	/* Ieee/fixnum.scm 716 */
							BgL_auxz00_1753 = NEG(BgL_nz00_1392);
						}
					else
						{	/* Ieee/fixnum.scm 716 */
							BgL_auxz00_1753 = BgL_nz00_1392;
						}
				}
				return make_bllong(BgL_auxz00_1753);
			}
		}
	}



/* quotient */
	BGL_EXPORTED_DEF long BGl_quotientz00zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_86, long BgL_n2z00_87)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 723 */
			return (BgL_n1z00_86 / BgL_n2z00_87);
		}
	}



/* _quotient */
	obj_t BGl__quotientz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1249,
		obj_t BgL_n1z00_1250, obj_t BgL_n2z00_1251)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 723 */
			{	/* Ieee/fixnum.scm 724 */
				long BgL_auxz00_1760;

				{	/* Ieee/fixnum.scm 724 */
					long BgL_auxz00_1763;
					long BgL_auxz00_1761;

					BgL_auxz00_1763 = (long) CINT(BgL_n2z00_1251);
					BgL_auxz00_1761 = (long) CINT(BgL_n1z00_1250);
					BgL_auxz00_1760 = (BgL_auxz00_1761 / BgL_auxz00_1763);
				}
				return BINT(BgL_auxz00_1760);
			}
		}
	}



/* quotientelong */
	BGL_EXPORTED_DEF long BGl_quotientelongz00zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_88, long BgL_n2z00_89)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 729 */
			return (BgL_n1z00_88 / BgL_n2z00_89);
		}
	}



/* _quotientelong1511 */
	obj_t BGl__quotientelong1511z00zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1252, obj_t BgL_n1z00_1253, obj_t BgL_n2z00_1254)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 729 */
			{	/* Ieee/fixnum.scm 730 */
				long BgL_auxz00_1768;

				{	/* Ieee/fixnum.scm 730 */
					long BgL_n1z00_1395;
					long BgL_n2z00_1396;

					BgL_n1z00_1395 = BELONG_TO_LONG(BgL_n1z00_1253);
					BgL_n2z00_1396 = BELONG_TO_LONG(BgL_n2z00_1254);
					BgL_auxz00_1768 = (BgL_n1z00_1395 / BgL_n2z00_1396);
				}
				return make_belong(BgL_auxz00_1768);
			}
		}
	}



/* quotientllong */
	BGL_EXPORTED_DEF BGL_LONGLONG_T
		BGl_quotientllongz00zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T
		BgL_n1z00_90, BGL_LONGLONG_T BgL_n2z00_91)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 735 */
			return (BgL_n1z00_90 / BgL_n2z00_91);
		}
	}



/* _quotientllong1512 */
	obj_t BGl__quotientllong1512z00zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1255, obj_t BgL_n1z00_1256, obj_t BgL_n2z00_1257)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 735 */
			{	/* Ieee/fixnum.scm 736 */
				BGL_LONGLONG_T BgL_auxz00_1774;

				{	/* Ieee/fixnum.scm 736 */
					BGL_LONGLONG_T BgL_auxz00_1777;
					BGL_LONGLONG_T BgL_auxz00_1775;

					BgL_auxz00_1777 = BLLONG_TO_LLONG(BgL_n2z00_1257);
					BgL_auxz00_1775 = BLLONG_TO_LLONG(BgL_n1z00_1256);
					BgL_auxz00_1774 = (BgL_auxz00_1775 / BgL_auxz00_1777);
				}
				return make_bllong(BgL_auxz00_1774);
			}
		}
	}



/* remainder */
	BGL_EXPORTED_DEF long BGl_remainderz00zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_92, long BgL_n2z00_93)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 741 */
			return (BgL_n1z00_92 % BgL_n2z00_93);
		}
	}



/* _remainder */
	obj_t BGl__remainderz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1258,
		obj_t BgL_n1z00_1259, obj_t BgL_n2z00_1260)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 741 */
			{	/* Ieee/fixnum.scm 742 */
				long BgL_auxz00_1782;

				{	/* Ieee/fixnum.scm 742 */
					long BgL_auxz00_1785;
					long BgL_auxz00_1783;

					BgL_auxz00_1785 = (long) CINT(BgL_n2z00_1260);
					BgL_auxz00_1783 = (long) CINT(BgL_n1z00_1259);
					BgL_auxz00_1782 = (BgL_auxz00_1783 % BgL_auxz00_1785);
				}
				return BINT(BgL_auxz00_1782);
			}
		}
	}



/* remainderelong */
	BGL_EXPORTED_DEF long BGl_remainderelongz00zz__r4_numbers_6_5_fixnumz00(long
		BgL_n1z00_94, long BgL_n2z00_95)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 747 */
			return (BgL_n1z00_94 % BgL_n2z00_95);
		}
	}



/* _remainderelong1513 */
	obj_t BGl__remainderelong1513z00zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1261, obj_t BgL_n1z00_1262, obj_t BgL_n2z00_1263)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 747 */
			{	/* Ieee/fixnum.scm 748 */
				long BgL_auxz00_1790;

				{	/* Ieee/fixnum.scm 748 */
					long BgL_n1z00_1401;
					long BgL_n2z00_1402;

					BgL_n1z00_1401 = BELONG_TO_LONG(BgL_n1z00_1262);
					BgL_n2z00_1402 = BELONG_TO_LONG(BgL_n2z00_1263);
					BgL_auxz00_1790 = (BgL_n1z00_1401 % BgL_n2z00_1402);
				}
				return make_belong(BgL_auxz00_1790);
			}
		}
	}



/* remainderllong */
	BGL_EXPORTED_DEF BGL_LONGLONG_T
		BGl_remainderllongz00zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T
		BgL_n1z00_96, BGL_LONGLONG_T BgL_n2z00_97)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 753 */
			return (BgL_n1z00_96 % BgL_n2z00_97);
		}
	}



/* _remainderllong1514 */
	obj_t BGl__remainderllong1514z00zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1264, obj_t BgL_n1z00_1265, obj_t BgL_n2z00_1266)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 753 */
			{	/* Ieee/fixnum.scm 754 */
				BGL_LONGLONG_T BgL_auxz00_1796;

				{	/* Ieee/fixnum.scm 754 */
					BGL_LONGLONG_T BgL_auxz00_1799;
					BGL_LONGLONG_T BgL_auxz00_1797;

					BgL_auxz00_1799 = BLLONG_TO_LLONG(BgL_n2z00_1266);
					BgL_auxz00_1797 = BLLONG_TO_LLONG(BgL_n1z00_1265);
					BgL_auxz00_1796 = (BgL_auxz00_1797 % BgL_auxz00_1799);
				}
				return make_bllong(BgL_auxz00_1796);
			}
		}
	}



/* modulo */
	BGL_EXPORTED_DEF long BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(long
		BgL_xz00_98, long BgL_yz00_99)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 759 */
			{	/* Ieee/fixnum.scm 760 */
				long BgL_rz00_395;

				BgL_rz00_395 = (BgL_xz00_98 % BgL_yz00_99);
				if ((BgL_rz00_395 == ((long) 0)))
					{	/* Ieee/fixnum.scm 761 */
						return BgL_rz00_395;
					}
				else
					{	/* Ieee/fixnum.scm 761 */
						if ((BgL_yz00_99 > ((long) 0)))
							{	/* Ieee/fixnum.scm 763 */
								if ((BgL_rz00_395 > ((long) 0)))
									{	/* Ieee/fixnum.scm 764 */
										return BgL_rz00_395;
									}
								else
									{	/* Ieee/fixnum.scm 764 */
										return (BgL_yz00_99 + BgL_rz00_395);
									}
							}
						else
							{	/* Ieee/fixnum.scm 763 */
								if ((BgL_rz00_395 < ((long) 0)))
									{	/* Ieee/fixnum.scm 765 */
										return BgL_rz00_395;
									}
								else
									{	/* Ieee/fixnum.scm 765 */
										return (BgL_yz00_99 + BgL_rz00_395);
									}
							}
					}
			}
		}
	}



/* _modulo */
	obj_t BGl__moduloz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1267,
		obj_t BgL_xz00_1268, obj_t BgL_yz00_1269)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 759 */
			return
				BINT(BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(
					(long) CINT(BgL_xz00_1268), (long) CINT(BgL_yz00_1269)));
		}
	}



/* gcd */
	BGL_EXPORTED_DEF long BGl_gcdz00zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_xz00_100)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 770 */
			{
				long BgL_mz00_419;
				long BgL_nz00_420;

				{

					{	/* Ieee/fixnum.scm 778 */
						long BgL_aux1115z00_402;

						BgL_aux1115z00_402 = bgl_list_length(BgL_xz00_100);
						switch (BgL_aux1115z00_402)
							{
							case ((long) 0):

								return ((long) 0);
								break;
							case ((long) 1):

								{	/* Ieee/fixnum.scm 780 */
									long BgL_nz00_792;

									{	/* Ieee/fixnum.scm 780 */
										obj_t BgL_pairz00_791;

										BgL_pairz00_791 = BgL_xz00_100;
										BgL_nz00_792 = (long) CINT(CAR(BgL_pairz00_791));
									}
									if ((BgL_nz00_792 < ((long) 0)))
										{	/* Ieee/fixnum.scm 780 */
											return NEG(BgL_nz00_792);
										}
									else
										{	/* Ieee/fixnum.scm 780 */
											return BgL_nz00_792;
										}
								}
								break;
							default:
								{	/* Ieee/fixnum.scm 782 */
									long BgL_g1111z00_405;
									obj_t BgL_g1112z00_406;

									{	/* Ieee/fixnum.scm 782 */
										long BgL_arg1206z00_415;
										long BgL_arg1207z00_416;

										{	/* Ieee/fixnum.scm 782 */
											long BgL_nz00_799;

											{	/* Ieee/fixnum.scm 782 */
												obj_t BgL_pairz00_798;

												BgL_pairz00_798 = BgL_xz00_100;
												BgL_nz00_799 = (long) CINT(CAR(BgL_pairz00_798));
											}
											if ((BgL_nz00_799 < ((long) 0)))
												{	/* Ieee/fixnum.scm 782 */
													BgL_arg1206z00_415 = NEG(BgL_nz00_799);
												}
											else
												{	/* Ieee/fixnum.scm 782 */
													BgL_arg1206z00_415 = BgL_nz00_799;
												}
										}
										{	/* Ieee/fixnum.scm 782 */
											long BgL_nz00_809;

											{	/* Ieee/fixnum.scm 782 */
												obj_t BgL_pairz00_805;

												BgL_pairz00_805 = BgL_xz00_100;
												{	/* Ieee/fixnum.scm 782 */
													obj_t BgL_pairz00_808;

													BgL_pairz00_808 = CDR(BgL_pairz00_805);
													BgL_nz00_809 = (long) CINT(CAR(BgL_pairz00_808));
											}}
											if ((BgL_nz00_809 < ((long) 0)))
												{	/* Ieee/fixnum.scm 782 */
													BgL_arg1207z00_416 = NEG(BgL_nz00_809);
												}
											else
												{	/* Ieee/fixnum.scm 782 */
													BgL_arg1207z00_416 = BgL_nz00_809;
												}
										}
										{
											long BgL_mz00_816;
											long BgL_nz00_817;

											BgL_mz00_816 = BgL_arg1206z00_415;
											BgL_nz00_817 = BgL_arg1207z00_416;
										BgL_gcd2z00_815:
											if ((BgL_nz00_817 == ((long) 0)))
												{	/* Ieee/fixnum.scm 782 */
													BgL_g1111z00_405 = BgL_mz00_816;
												}
											else
												{	/* Ieee/fixnum.scm 782 */
													long BgL_rz00_822;

													BgL_rz00_822 = (BgL_mz00_816 % BgL_nz00_817);
													if ((BgL_rz00_822 == ((long) 0)))
														{	/* Ieee/fixnum.scm 782 */
															BgL_g1111z00_405 = BgL_nz00_817;
														}
													else
														{
															long BgL_nz00_1841;
															long BgL_mz00_1840;

															BgL_mz00_1840 = BgL_nz00_817;
															BgL_nz00_1841 = BgL_rz00_822;
															BgL_nz00_817 = BgL_nz00_1841;
															BgL_mz00_816 = BgL_mz00_1840;
															goto BgL_gcd2z00_815;
														}
												}
										}
									}
									{	/* Ieee/fixnum.scm 783 */
										obj_t BgL_pairz00_831;

										BgL_pairz00_831 = BgL_xz00_100;
										BgL_g1112z00_406 = CDR(CDR(BgL_pairz00_831));
									}
									{
										long BgL_resultz00_836;
										obj_t BgL_leftz00_837;

										BgL_resultz00_836 = BgL_g1111z00_405;
										BgL_leftz00_837 = BgL_g1112z00_406;
									BgL_loopz00_835:
										if (PAIRP(BgL_leftz00_837))
											{
												obj_t BgL_leftz00_1864;
												long BgL_resultz00_1846;

												BgL_mz00_419 = BgL_resultz00_836;
												{	/* Ieee/fixnum.scm 782 */
													long BgL_nz00_850;

													{	/* Ieee/fixnum.scm 782 */
														obj_t BgL_pairz00_849;

														BgL_pairz00_849 = BgL_leftz00_837;
														BgL_nz00_850 = (long) CINT(CAR(BgL_pairz00_849));
													}
													if ((BgL_nz00_850 < ((long) 0)))
														{	/* Ieee/fixnum.scm 782 */
															BgL_nz00_420 = NEG(BgL_nz00_850);
														}
													else
														{	/* Ieee/fixnum.scm 782 */
															BgL_nz00_420 = BgL_nz00_850;
														}
												}
											BgL_zc3anonymousza31210ze3z83_421:
												if ((BgL_nz00_420 == ((long) 0)))
													{	/* Ieee/fixnum.scm 772 */
														BgL_resultz00_1846 = BgL_mz00_419;
													}
												else
													{	/* Ieee/fixnum.scm 772 */
														long BgL_rz00_904;

														BgL_rz00_904 = (BgL_mz00_419 % BgL_nz00_420);
														if ((BgL_rz00_904 == ((long) 0)))
															{	/* Ieee/fixnum.scm 772 */
																BgL_resultz00_1846 = BgL_nz00_420;
															}
														else
															{	/* Ieee/fixnum.scm 772 */
																if ((BgL_rz00_904 == ((long) 0)))
																	{	/* Ieee/fixnum.scm 772 */
																		BgL_resultz00_1846 = BgL_nz00_420;
																	}
																else
																	{	/* Ieee/fixnum.scm 772 */
																		long BgL_rz00_916;

																		BgL_rz00_916 =
																			(BgL_nz00_420 % BgL_rz00_904);
																		if ((BgL_rz00_916 == ((long) 0)))
																			{	/* Ieee/fixnum.scm 772 */
																				BgL_resultz00_1846 = BgL_rz00_904;
																			}
																		else
																			{
																				long BgL_nz00_1858;
																				long BgL_mz00_1857;

																				BgL_mz00_1857 = BgL_rz00_904;
																				BgL_nz00_1858 = BgL_rz00_916;
																				BgL_nz00_420 = BgL_nz00_1858;
																				BgL_mz00_419 = BgL_mz00_1857;
																				goto BgL_zc3anonymousza31210ze3z83_421;
																			}
																	}
															}
													}
												BgL_leftz00_1864 = CDR(BgL_leftz00_837);
												BgL_leftz00_837 = BgL_leftz00_1864;
												BgL_resultz00_836 = BgL_resultz00_1846;
												goto BgL_loopz00_835;
											}
										else
											{	/* Ieee/fixnum.scm 782 */
												return BgL_resultz00_836;
											}
									}
								}
							}
					}
				}
			}
		}
	}



/* _gcd */
	obj_t BGl__gcdz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1270,
		obj_t BgL_xz00_1271)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 770 */
			return BINT(BGl_gcdz00zz__r4_numbers_6_5_fixnumz00(BgL_xz00_1271));
		}
	}



/* lcm */
	BGL_EXPORTED_DEF long BGl_lcmz00zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_xz00_101)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 791 */
			{

				{	/* Ieee/fixnum.scm 798 */
					long BgL_aux1119z00_428;

					BgL_aux1119z00_428 = bgl_list_length(BgL_xz00_101);
					switch (BgL_aux1119z00_428)
						{
						case ((long) 0):

							return ((long) 1);
							break;
						case ((long) 1):

							{	/* Ieee/fixnum.scm 800 */
								long BgL_nz00_926;

								{	/* Ieee/fixnum.scm 800 */
									obj_t BgL_pairz00_925;

									BgL_pairz00_925 = BgL_xz00_101;
									BgL_nz00_926 = (long) CINT(CAR(BgL_pairz00_925));
								}
								if ((BgL_nz00_926 < ((long) 0)))
									{	/* Ieee/fixnum.scm 800 */
										return NEG(BgL_nz00_926);
									}
								else
									{	/* Ieee/fixnum.scm 800 */
										return BgL_nz00_926;
									}
							}
							break;
						default:
							{	/* Ieee/fixnum.scm 801 */
								long BgL_g1116z00_431;
								obj_t BgL_g1117z00_432;

								{	/* Ieee/fixnum.scm 801 */
									obj_t BgL_arg1222z00_440;
									obj_t BgL_arg1223z00_441;

									BgL_arg1222z00_440 = CAR(BgL_xz00_101);
									{	/* Ieee/fixnum.scm 801 */
										obj_t BgL_pairz00_933;

										BgL_pairz00_933 = BgL_xz00_101;
										BgL_arg1223z00_441 = CAR(CDR(BgL_pairz00_933));
									}
									BgL_g1116z00_431 =
										BGl_lcm2z00zz__r4_numbers_6_5_fixnumz00(BgL_arg1222z00_440,
										BgL_arg1223z00_441);
								}
								{	/* Ieee/fixnum.scm 801 */
									obj_t BgL_pairz00_937;

									BgL_pairz00_937 = BgL_xz00_101;
									BgL_g1117z00_432 = CDR(CDR(BgL_pairz00_937));
								}
								{
									long BgL_resultz00_942;
									obj_t BgL_leftz00_943;

									BgL_resultz00_942 = BgL_g1116z00_431;
									BgL_leftz00_943 = BgL_g1117z00_432;
								BgL_loopz00_941:
									if (PAIRP(BgL_leftz00_943))
										{
											obj_t BgL_leftz00_1887;
											long BgL_resultz00_1883;

											BgL_resultz00_1883 =
												BGl_lcm2z00zz__r4_numbers_6_5_fixnumz00(BINT
												(BgL_resultz00_942), CAR(BgL_leftz00_943));
											BgL_leftz00_1887 = CDR(BgL_leftz00_943);
											BgL_leftz00_943 = BgL_leftz00_1887;
											BgL_resultz00_942 = BgL_resultz00_1883;
											goto BgL_loopz00_941;
										}
									else
										{	/* Ieee/fixnum.scm 801 */
											return BgL_resultz00_942;
										}
								}
							}
						}
				}
			}
		}
	}



/* lcm2 */
	long BGl_lcm2z00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_mz00_442,
		obj_t BgL_nz00_443)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 797 */
			{	/* Ieee/fixnum.scm 793 */
				long BgL_mz00_445;
				long BgL_nz00_446;

				{	/* Ieee/fixnum.scm 793 */
					long BgL_nz00_971;

					BgL_nz00_971 = (long) CINT(BgL_mz00_442);
					if ((BgL_nz00_971 < ((long) 0)))
						{	/* Ieee/fixnum.scm 793 */
							BgL_mz00_445 = NEG(BgL_nz00_971);
						}
					else
						{	/* Ieee/fixnum.scm 793 */
							BgL_mz00_445 = BgL_nz00_971;
						}
				}
				{	/* Ieee/fixnum.scm 793 */
					long BgL_nz00_977;

					BgL_nz00_977 = (long) CINT(BgL_nz00_443);
					if ((BgL_nz00_977 < ((long) 0)))
						{	/* Ieee/fixnum.scm 793 */
							BgL_nz00_446 = NEG(BgL_nz00_977);
						}
					else
						{	/* Ieee/fixnum.scm 793 */
							BgL_nz00_446 = BgL_nz00_977;
						}
				}
				if ((BgL_mz00_445 == BgL_nz00_446))
					{	/* Ieee/fixnum.scm 794 */
						return BgL_mz00_445;
					}
				else
					{	/* Ieee/fixnum.scm 795 */
						bool_t BgL_testz00_1900;

						{	/* Ieee/fixnum.scm 795 */
							long BgL_arg1235z00_456;

							BgL_arg1235z00_456 = (BgL_mz00_445 % BgL_nz00_446);
							BgL_testz00_1900 = (BgL_arg1235z00_456 == ((long) 0));
						}
						if (BgL_testz00_1900)
							{	/* Ieee/fixnum.scm 795 */
								return BgL_mz00_445;
							}
						else
							{	/* Ieee/fixnum.scm 796 */
								bool_t BgL_testz00_1903;

								{	/* Ieee/fixnum.scm 796 */
									long BgL_arg1232z00_454;

									BgL_arg1232z00_454 = (BgL_nz00_446 % BgL_mz00_445);
									BgL_testz00_1903 = (BgL_arg1232z00_454 == ((long) 0));
								}
								if (BgL_testz00_1903)
									{	/* Ieee/fixnum.scm 796 */
										return BgL_nz00_446;
									}
								else
									{	/* Ieee/fixnum.scm 797 */
										long BgL_arg1228z00_450;

										{	/* Ieee/fixnum.scm 797 */
											long BgL_arg1229z00_451;

											{	/* Ieee/fixnum.scm 797 */
												obj_t BgL_list1230z00_452;

												{	/* Ieee/fixnum.scm 797 */
													obj_t BgL_arg1231z00_453;

													BgL_arg1231z00_453 =
														MAKE_PAIR(BINT(BgL_nz00_446), BNIL);
													BgL_list1230z00_452 =
														MAKE_PAIR(BINT(BgL_mz00_445), BgL_arg1231z00_453);
												}
												BgL_arg1229z00_451 =
													BGl_gcdz00zz__r4_numbers_6_5_fixnumz00
													(BgL_list1230z00_452);
											}
											BgL_arg1228z00_450 = (BgL_mz00_445 / BgL_arg1229z00_451);
										}
										return (BgL_arg1228z00_450 * BgL_nz00_446);
									}
							}
					}
			}
		}
	}



/* _lcm */
	obj_t BGl__lcmz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1272,
		obj_t BgL_xz00_1273)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 791 */
			return BINT(BGl_lcmz00zz__r4_numbers_6_5_fixnumz00(BgL_xz00_1273));
		}
	}



/* integer->string */
	BGL_EXPORTED_DEF obj_t
		BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long BgL_xz00_102,
		obj_t BgL_radixz00_103)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 809 */
			{	/* Ieee/fixnum.scm 810 */
				obj_t BgL_rz00_459;

				if (NULLP(BgL_radixz00_103))
					{	/* Ieee/fixnum.scm 810 */
						BgL_rz00_459 = BINT(((long) 10));
					}
				else
					{	/* Ieee/fixnum.scm 810 */
						BgL_rz00_459 = CAR(BgL_radixz00_103);
					}
				if (INTEGERP(BgL_rz00_459))
					{	/* Ieee/fixnum.scm 811 */
						switch ((long) CINT(BgL_rz00_459))
							{
							case ((long) 2):
							case ((long) 8):
							case ((long) 10):
							case ((long) 16):

								return
									integer_to_string(BgL_xz00_102, (long) CINT(BgL_rz00_459));
								break;
							default:
								return
									BGl_errorz00zz__errorz00
									(BGl_string1517z00zz__r4_numbers_6_5_fixnumz00,
									BGl_string1518z00zz__r4_numbers_6_5_fixnumz00, BgL_rz00_459);
							}
					}
				else
					{	/* Ieee/fixnum.scm 811 */
						return
							BGl_errorz00zz__errorz00
							(BGl_string1517z00zz__r4_numbers_6_5_fixnumz00,
							BGl_string1518z00zz__r4_numbers_6_5_fixnumz00, BgL_rz00_459);
					}
			}
		}
	}



/* _integer->string */
	obj_t BGl__integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1274, obj_t BgL_xz00_1275, obj_t BgL_radixz00_1276)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 809 */
			return
				BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
				(long) CINT(BgL_xz00_1275), BgL_radixz00_1276);
		}
	}



/* elong->string */
	BGL_EXPORTED_DEF obj_t
		BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long BgL_xz00_104,
		obj_t BgL_radixz00_105)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 820 */
			{	/* Ieee/fixnum.scm 821 */
				obj_t BgL_rz00_464;

				if (NULLP(BgL_radixz00_105))
					{	/* Ieee/fixnum.scm 821 */
						BgL_rz00_464 = BINT(((long) 10));
					}
				else
					{	/* Ieee/fixnum.scm 821 */
						BgL_rz00_464 = CAR(BgL_radixz00_105);
					}
				if (INTEGERP(BgL_rz00_464))
					{	/* Ieee/fixnum.scm 822 */
						switch ((long) CINT(BgL_rz00_464))
							{
							case ((long) 2):
							case ((long) 8):
							case ((long) 10):
							case ((long) 16):

								return
									integer_to_string(BgL_xz00_104, (long) CINT(BgL_rz00_464));
								break;
							default:
								return
									BGl_errorz00zz__errorz00
									(BGl_string1519z00zz__r4_numbers_6_5_fixnumz00,
									BGl_string1518z00zz__r4_numbers_6_5_fixnumz00, BgL_rz00_464);
							}
					}
				else
					{	/* Ieee/fixnum.scm 822 */
						return
							BGl_errorz00zz__errorz00
							(BGl_string1519z00zz__r4_numbers_6_5_fixnumz00,
							BGl_string1518z00zz__r4_numbers_6_5_fixnumz00, BgL_rz00_464);
					}
			}
		}
	}



/* _elong->string1515 */
	obj_t BGl__elongzd2ze3string1515z31zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1277, obj_t BgL_xz00_1278, obj_t BgL_radixz00_1279)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 820 */
			return
				BGl_elongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BELONG_TO_LONG
				(BgL_xz00_1278), BgL_radixz00_1279);
		}
	}



/* llong->string */
	BGL_EXPORTED_DEF obj_t
		BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BGL_LONGLONG_T
		BgL_xz00_106, obj_t BgL_radixz00_107)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 831 */
			{	/* Ieee/fixnum.scm 832 */
				obj_t BgL_rz00_469;

				if (NULLP(BgL_radixz00_107))
					{	/* Ieee/fixnum.scm 832 */
						BgL_rz00_469 = BINT(((long) 10));
					}
				else
					{	/* Ieee/fixnum.scm 832 */
						BgL_rz00_469 = CAR(BgL_radixz00_107);
					}
				if (INTEGERP(BgL_rz00_469))
					{	/* Ieee/fixnum.scm 833 */
						switch ((long) CINT(BgL_rz00_469))
							{
							case ((long) 2):
							case ((long) 8):
							case ((long) 10):
							case ((long) 16):

								return llong_to_string(BgL_xz00_106, (long) CINT(BgL_rz00_469));
								break;
							default:
								return
									BGl_errorz00zz__errorz00
									(BGl_string1520z00zz__r4_numbers_6_5_fixnumz00,
									BGl_string1518z00zz__r4_numbers_6_5_fixnumz00, BgL_rz00_469);
							}
					}
				else
					{	/* Ieee/fixnum.scm 833 */
						return
							BGl_errorz00zz__errorz00
							(BGl_string1520z00zz__r4_numbers_6_5_fixnumz00,
							BGl_string1518z00zz__r4_numbers_6_5_fixnumz00, BgL_rz00_469);
					}
			}
		}
	}



/* _llong->string1516 */
	obj_t BGl__llongzd2ze3string1516z31zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1280, obj_t BgL_xz00_1281, obj_t BgL_radixz00_1282)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 831 */
			return
				BGl_llongzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BLLONG_TO_LLONG
				(BgL_xz00_1281), BgL_radixz00_1282);
		}
	}



/* string->integer */
	BGL_EXPORTED_DEF long
		BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_stringz00_108, obj_t BgL_radixz00_109)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 842 */
			{	/* Ieee/fixnum.scm 843 */
				obj_t BgL_rz00_474;

				if (NULLP(BgL_radixz00_109))
					{	/* Ieee/fixnum.scm 843 */
						BgL_rz00_474 = BINT(((long) 10));
					}
				else
					{	/* Ieee/fixnum.scm 843 */
						BgL_rz00_474 = CAR(BgL_radixz00_109);
					}
				if (INTEGERP(BgL_rz00_474))
					{	/* Ieee/fixnum.scm 844 */
						switch ((long) CINT(BgL_rz00_474))
							{
							case ((long) 2):
							case ((long) 8):
							case ((long) 10):
							case ((long) 16):

								{	/* Ieee/fixnum.scm 846 */
									long BgL_auxz00_1965;
									char *BgL_auxz00_1963;

									BgL_auxz00_1965 = (long) CINT(BgL_rz00_474);
									BgL_auxz00_1963 = BSTRING_TO_STRING(BgL_stringz00_108);
									return strtol(BgL_auxz00_1963, ((long) 0), BgL_auxz00_1965);
								} break;
							default:
								return
									(long)
									CINT(BGl_errorz00zz__errorz00
									(BGl_string1521z00zz__r4_numbers_6_5_fixnumz00,
										BGl_string1518z00zz__r4_numbers_6_5_fixnumz00,
										BgL_rz00_474));
					}}
				else
					{	/* Ieee/fixnum.scm 844 */
						return
							(long)
							CINT(BGl_errorz00zz__errorz00
							(BGl_string1521z00zz__r4_numbers_6_5_fixnumz00,
								BGl_string1518z00zz__r4_numbers_6_5_fixnumz00, BgL_rz00_474));
		}}}
	}



/* _string->integer */
	obj_t BGl__stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1283, obj_t BgL_stringz00_1284, obj_t BgL_radixz00_1285)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 842 */
			return
				BINT(BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
				(BgL_stringz00_1284, BgL_radixz00_1285));
		}
	}



/* string->elong */
	BGL_EXPORTED_DEF long
		BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_stringz00_110, obj_t BgL_radixz00_111)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 853 */
			{	/* Ieee/fixnum.scm 854 */
				obj_t BgL_rz00_479;

				if (NULLP(BgL_radixz00_111))
					{	/* Ieee/fixnum.scm 854 */
						BgL_rz00_479 = BINT(((long) 10));
					}
				else
					{	/* Ieee/fixnum.scm 854 */
						BgL_rz00_479 = CAR(BgL_radixz00_111);
					}
				if (INTEGERP(BgL_rz00_479))
					{	/* Ieee/fixnum.scm 855 */
						switch ((long) CINT(BgL_rz00_479))
							{
							case ((long) 2):
							case ((long) 8):
							case ((long) 10):
							case ((long) 16):

								{	/* Ieee/fixnum.scm 857 */
									long BgL_auxz00_1984;
									char *BgL_auxz00_1982;

									BgL_auxz00_1984 = (long) CINT(BgL_rz00_479);
									BgL_auxz00_1982 = BSTRING_TO_STRING(BgL_stringz00_110);
									return strtol(BgL_auxz00_1982, ((long) 0), BgL_auxz00_1984);
								} break;
							default:
								{	/* Ieee/fixnum.scm 855 */
									obj_t BgL_auxz00_1987;

									BgL_auxz00_1987 =
										BGl_errorz00zz__errorz00
										(BGl_string1522z00zz__r4_numbers_6_5_fixnumz00,
										BGl_string1518z00zz__r4_numbers_6_5_fixnumz00,
										BgL_rz00_479);
									return BELONG_TO_LONG(BgL_auxz00_1987);
								}
							}
					}
				else
					{	/* Ieee/fixnum.scm 855 */
						obj_t BgL_auxz00_1992;

						BgL_auxz00_1992 =
							BGl_errorz00zz__errorz00
							(BGl_string1522z00zz__r4_numbers_6_5_fixnumz00,
							BGl_string1518z00zz__r4_numbers_6_5_fixnumz00, BgL_rz00_479);
						return BELONG_TO_LONG(BgL_auxz00_1992);
					}
			}
		}
	}



/* _string->elong */
	obj_t BGl__stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1286, obj_t BgL_stringz00_1287, obj_t BgL_radixz00_1288)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 853 */
			{	/* Ieee/fixnum.scm 854 */
				long BgL_auxz00_1995;

				BgL_auxz00_1995 =
					BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00
					(BgL_stringz00_1287, BgL_radixz00_1288);
				return make_belong(BgL_auxz00_1995);
			}
		}
	}



/* string->llong */
	BGL_EXPORTED_DEF BGL_LONGLONG_T
		BGl_stringzd2ze3llongz31zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_stringz00_112, obj_t BgL_radixz00_113)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 864 */
			{	/* Ieee/fixnum.scm 865 */
				obj_t BgL_rz00_484;

				if (NULLP(BgL_radixz00_113))
					{	/* Ieee/fixnum.scm 865 */
						BgL_rz00_484 = BINT(((long) 10));
					}
				else
					{	/* Ieee/fixnum.scm 865 */
						BgL_rz00_484 = CAR(BgL_radixz00_113);
					}
				if (INTEGERP(BgL_rz00_484))
					{	/* Ieee/fixnum.scm 866 */
						switch ((long) CINT(BgL_rz00_484))
							{
							case ((long) 2):
							case ((long) 8):
							case ((long) 10):
							case ((long) 16):

								{	/* Ieee/fixnum.scm 868 */
									long BgL_auxz00_2006;
									char *BgL_auxz00_2004;

									BgL_auxz00_2006 = (long) CINT(BgL_rz00_484);
									BgL_auxz00_2004 = BSTRING_TO_STRING(BgL_stringz00_112);
									return
										BGL_STRTOLL(BgL_auxz00_2004, ((long) 0), BgL_auxz00_2006);
								} break;
							default:
								return
									BLLONG_TO_LLONG(BGl_errorz00zz__errorz00
									(BGl_string1523z00zz__r4_numbers_6_5_fixnumz00,
										BGl_string1518z00zz__r4_numbers_6_5_fixnumz00,
										BgL_rz00_484));
							}
					}
				else
					{	/* Ieee/fixnum.scm 866 */
						return
							BLLONG_TO_LLONG(BGl_errorz00zz__errorz00
							(BGl_string1523z00zz__r4_numbers_6_5_fixnumz00,
								BGl_string1518z00zz__r4_numbers_6_5_fixnumz00, BgL_rz00_484));
					}
			}
		}
	}



/* _string->llong */
	obj_t BGl__stringzd2ze3llongz31zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1289, obj_t BgL_stringz00_1290, obj_t BgL_radixz00_1291)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 864 */
			return
				make_bllong(BGl_stringzd2ze3llongz31zz__r4_numbers_6_5_fixnumz00
				(BgL_stringz00_1290, BgL_radixz00_1291));
		}
	}



/* random */
	BGL_EXPORTED_DEF int BGl_randomz00zz__r4_numbers_6_5_fixnumz00(int
		BgL_maxz00_114)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 875 */
			{	/* Ieee/fixnum.scm 876 */
				int BgL_arg1249z00_1405;

				BgL_arg1249z00_1405 = rand();
				return
					(int) (BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(
						(long) (BgL_arg1249z00_1405), (long) (BgL_maxz00_114)));
		}}
	}



/* _random */
	obj_t BGl__randomz00zz__r4_numbers_6_5_fixnumz00(obj_t BgL_envz00_1292,
		obj_t BgL_maxz00_1293)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 875 */
			{	/* Ieee/fixnum.scm 876 */
				int BgL_auxz00_2022;

				{	/* Ieee/fixnum.scm 876 */
					int BgL_res1527z00_1408;

					{	/* Ieee/fixnum.scm 876 */
						int BgL_maxz00_1406;

						BgL_maxz00_1406 = CINT(BgL_maxz00_1293);
						{	/* Ieee/fixnum.scm 876 */
							int BgL_arg1249z00_1407;

							BgL_arg1249z00_1407 = rand();
							BgL_res1527z00_1408 =
								(int) (BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(
									(long) (BgL_arg1249z00_1407), (long) (BgL_maxz00_1406)));
					}}
					BgL_auxz00_2022 = BgL_res1527z00_1408;
				}
				return BINT(BgL_auxz00_2022);
			}
		}
	}



/* seed-random! */
	BGL_EXPORTED_DEF obj_t BGl_seedzd2randomz12zc0zz__r4_numbers_6_5_fixnumz00(int
		BgL_seedz00_115)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 881 */
			srand(BgL_seedz00_115);
			BUNSPEC;
			return BINT(BgL_seedz00_115);
		}
	}



/* _seed-random! */
	obj_t BGl__seedzd2randomz12zc0zz__r4_numbers_6_5_fixnumz00(obj_t
		BgL_envz00_1294, obj_t BgL_seedz00_1295)
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 881 */
			return
				BGl_seedzd2randomz12zc0zz__r4_numbers_6_5_fixnumz00(CINT
				(BgL_seedz00_1295));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_fixnumz00()
	{
		AN_OBJECT;
		{	/* Ieee/fixnum.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string1524z00zz__r4_numbers_6_5_fixnumz00));
		}
	}

#ifdef __cplusplus
}
#endif
