/*===========================================================================*/
/*   (Unsafe/tar.scm)                                                        */
/*   Bigloo (3.0a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:06:35 CEST 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0a -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Unsafe/tar.scm -indent -o objs/obj_u/Unsafe/tar.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	extern long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern BgL_z62iozd2parsezd2errorz62_bglt
		BGl_makezd2z62iozd2parsezd2errorzb0zz__objectz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__tarzd2headerzd2nilz00zz__tarz00(obj_t);
	static obj_t BGl__tarzd2readzd2headerz00zz__tarz00(obj_t, obj_t);
	extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__tarz00 = BUNSPEC;
	static obj_t BGl__tarzd2headerzf3z21zz__tarz00(obj_t, obj_t);
	static obj_t BGl_z52thezd2tarzd2headerzd2nilz80zz__tarz00 = BUNSPEC;
	static obj_t BGl__tarzd2headerzd2devmajorz00zz__tarz00(obj_t, obj_t);
	static obj_t BGl__tarzd2headerzd2devminorz00zz__tarz00(obj_t, obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl__tarzd2headerzd2gnamez00zz__tarz00(obj_t, obj_t);
	extern bool_t bigloo_strcmp(obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_tarzd2roundzd2upzd2tozd2recordzd2siza7ez75zz__tarz00(long);
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t);
	static obj_t BGl_tarzd2typezd2namez00zz__tarz00(unsigned char);
	extern long BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	static obj_t BGl__tarzd2headerzd2namez00zz__tarz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_tarzd2headerzd2_bglt
		BGl_tarzd2headerzd2nilz00zz__tarz00();
	static obj_t BGl_cnstzd2initzd2zz__tarz00();
	static long BGl_checksumz00zz__tarz00(obj_t);
	BGL_EXPORTED_DECL BgL_tarzd2headerzd2_bglt
		BGl_fillzd2tarzd2headerz12z12zz__tarz00(BgL_tarzd2headerzd2_bglt, obj_t,
		long, long, long, long, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t,
		long, long);
	static obj_t BGl_importedzd2moduleszd2initz00zz__tarz00();
	static obj_t BGl_extractz00zz__tarz00(obj_t, obj_t, obj_t, long, obj_t, long);
	extern obj_t make_struct(obj_t, int, obj_t);
	static obj_t BGl__tarzd2headerzd2linknamez00zz__tarz00(obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__tarzd2readzd2blockz00zz__tarz00(obj_t, obj_t);
	static obj_t BGl_symbol2301z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2303z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2293z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2305z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2295z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2307z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2297z00zz__tarz00 = BUNSPEC;
	static obj_t BGl__tarzd2headerzd2typez00zz__tarz00(obj_t, obj_t);
	static obj_t BGl_symbol2309z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2299z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2311z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2315z00zz__tarz00 = BUNSPEC;
	extern obj_t string_append_3(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2319z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2321z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2323z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2325z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2327z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2329z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2331z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2333z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2335z00zz__tarz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__tarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL BgL_tarzd2headerzd2_bglt
		BGl_z52allocatezd2tarzd2headerz52zz__tarz00();
	static obj_t BGl_symbol2337z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2339z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2341z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2343z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2352z00zz__tarz00 = BUNSPEC;
	static obj_t BGl__tarzd2headerzd2mtimez00zz__tarz00(obj_t, obj_t);
	static obj_t BGl_symbol2357z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2358z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2360z00zz__tarz00 = BUNSPEC;
	static obj_t BGl_symbol2363z00zz__tarz00 = BUNSPEC;
	static obj_t BGl__tarzd2headerzd2gidz00zz__tarz00(obj_t, obj_t);
	extern long bgl_current_seconds();
	extern obj_t bgl_seconds_to_date(long);
	static obj_t BGl__z52allocatezd2tarzd2headerz52zz__tarz00(obj_t);
	extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl__tarzd2headerzd2siza7eza7zz__tarz00(obj_t, obj_t);
	static obj_t BGl__tarzd2headerzd2modez00zz__tarz00(obj_t, obj_t);
	extern obj_t BGl_readzd2charszd2zz__r4_input_6_10_2z00(obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2tarzd2h1737z31zz__tarz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_tarzd2readzd2blockz00zz__tarz00(BgL_tarzd2headerzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_tarzd2headerzd2_bglt
		BGl_makezd2tarzd2headerz00zz__tarz00(obj_t, long, long, long, long, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, long, long);
	static obj_t BGl__tarzd2headerzd2uidz00zz__tarz00(obj_t, obj_t);
	extern obj_t c_substring(obj_t, long, long);
	static obj_t BGl__tarzd2headerzd2checksumz00zz__tarz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_tarzd2headerzd2zz__tarz00 = BUNSPEC;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_tarzd2headerzf3z21zz__tarz00(obj_t);
	static obj_t BGl__makezd2tarzd2headerz00zz__tarz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec1739z83zz__tarz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__tarzd2headerzd2magicz00zz__tarz00(obj_t, obj_t);
	extern obj_t string_for_read(obj_t);
	extern long BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00(obj_t,
		obj_t);
	static obj_t BGl__fillzd2tarzd2headerz12z12zz__tarz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl__tarzd2headerzd2unamez00zz__tarz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__tarz00();
	static obj_t BGl__tarzd2roundzd2upzd2tozd2recordzd2siza7ez75zz__tarz00(obj_t,
		obj_t);
	extern obj_t BGl_raisez00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tarzd2readzd2headerz00zz__tarz00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__tarz00();
	extern obj_t BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2365z00zz__tarz00,
		BgL_bgl_string2365za700za7za7_2373za7, "__error", 7);
	      DEFINE_STRING(BGl_string2366z00zz__tarz00,
		BgL_bgl_string2366za700za7za7_2374za7, "__r4_ports_6_10_1", 17);
	      DEFINE_STRING(BGl_string2367z00zz__tarz00,
		BgL_bgl_string2367za700za7za7_2375za7, "__r4_output_6_10_3", 18);
	      DEFINE_STRING(BGl_string2368z00zz__tarz00,
		BgL_bgl_string2368za700za7za7_2376za7, "__r5_control_features_6_4", 25);
	      DEFINE_STRING(BGl_string2370z00zz__tarz00,
		BgL_bgl_string2370za700za7za7_2377za7, "__rgc", 5);
	      DEFINE_STRING(BGl_string2369z00zz__tarz00,
		BgL_bgl_string2369za700za7za7_2378za7, "__object", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2typezd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22379z00, BGl__tarzd2headerzd2typez00zz__tarz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2siza7ezd2envz75zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22380z00,
		BGl__tarzd2headerzd2siza7eza7zz__tarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2mtimezd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22381z00, BGl__tarzd2headerzd2mtimez00zz__tarz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_tarzd2roundzd2upzd2tozd2recordzd2siza7ezd2envza7zz__tarz00,
		BgL_bgl__tarza7d2roundza7d2u2382z00,
		BGl__tarzd2roundzd2upzd2tozd2recordzd2siza7ez75zz__tarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2gnamezd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22383z00, BGl__tarzd2headerzd2gnamez00zz__tarz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2modezd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22384z00, BGl__tarzd2headerzd2modez00zz__tarz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2linknamezd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22385z00,
		BGl__tarzd2headerzd2linknamez00zz__tarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2magiczd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22386z00, BGl__tarzd2headerzd2magicz00zz__tarz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2namezd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22387z00, BGl__tarzd2headerzd2namez00zz__tarz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tarzd2readzd2headerzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2readza7d2he2388z00, opt_generic_entry,
		BGl__tarzd2readzd2headerz00zz__tarz00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2tarzd2headerzd2envz80zz__tarz00,
		BgL_bgl__za752allocateza7d2t2389z00,
		BGl__z52allocatezd2tarzd2headerz52zz__tarz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2uidzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22390z00, BGl__tarzd2headerzd2uidz00zz__tarz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2checksumzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22391z00,
		BGl__tarzd2headerzd2checksumz00zz__tarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2unamezd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22392z00, BGl__tarzd2headerzd2unamez00zz__tarz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tarzd2headerzf3zd2envzf3zz__tarz00,
		BgL_bgl__tarza7d2headerza7f32393z00, BGl__tarzd2headerzf3z21zz__tarz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2gidzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22394z00, BGl__tarzd2headerzd2gidz00zz__tarz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2devminorzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22395z00,
		BGl__tarzd2headerzd2devminorz00zz__tarz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tarzd2headerzd2nilzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22396z00, BGl__tarzd2headerzd2nilz00zz__tarz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tarzd2readzd2blockzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2readza7d2bl2397z00, opt_generic_entry,
		BGl__tarzd2readzd2blockz00zz__tarz00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fillzd2tarzd2headerz12zd2envzc0zz__tarz00,
		BgL_bgl__fillza7d2tarza7d2he2398z00,
		BGl__fillzd2tarzd2headerz12z12zz__tarz00, 0L, BUNSPEC, 15);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_tarzd2headerzd2devmajorzd2envzd2zz__tarz00,
		BgL_bgl__tarza7d2headerza7d22399z00,
		BGl__tarzd2headerzd2devmajorz00zz__tarz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	extern obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_STRING(BGl_string2300z00zz__tarz00,
		BgL_bgl_string2300za700za7za7_2400za7, "symlink", 7);
	      DEFINE_STRING(BGl_string2302z00zz__tarz00,
		BgL_bgl_string2302za700za7za7_2401za7, "chr", 3);
	      DEFINE_STRING(BGl_string2304z00zz__tarz00,
		BgL_bgl_string2304za700za7za7_2402za7, "blk", 3);
	      DEFINE_STRING(BGl_string2294z00zz__tarz00,
		BgL_bgl_string2294za700za7za7_2403za7, "oldnormal", 9);
	      DEFINE_STRING(BGl_string2306z00zz__tarz00,
		BgL_bgl_string2306za700za7za7_2404za7, "dir", 3);
	      DEFINE_STRING(BGl_string2296z00zz__tarz00,
		BgL_bgl_string2296za700za7za7_2405za7, "normal", 6);
	      DEFINE_STRING(BGl_string2308z00zz__tarz00,
		BgL_bgl_string2308za700za7za7_2406za7, "fifo", 4);
	      DEFINE_STRING(BGl_string2298z00zz__tarz00,
		BgL_bgl_string2298za700za7za7_2407za7, "link", 4);
	      DEFINE_STRING(BGl_string2310z00zz__tarz00,
		BgL_bgl_string2310za700za7za7_2408za7, "contig", 6);
	      DEFINE_STRING(BGl_string2312z00zz__tarz00,
		BgL_bgl_string2312za700za7za7_2409za7, "tar", 3);
	      DEFINE_STRING(BGl_string2313z00zz__tarz00,
		BgL_bgl_string2313za700za7za7_2410za7, "invalid file type", 17);
	      DEFINE_STRING(BGl_string2314z00zz__tarz00,
		BgL_bgl_string2314za700za7za7_2411za7, "        ", 8);
	      DEFINE_STRING(BGl_string2316z00zz__tarz00,
		BgL_bgl_string2316za700za7za7_2412za7, "tar-read-header", 15);
	      DEFINE_STRING(BGl_string2317z00zz__tarz00,
		BgL_bgl_string2317za700za7za7_2413za7,
		"wrong number of arguments: [0..1] expected, provided", 52);
	      DEFINE_STRING(BGl_string2318z00zz__tarz00,
		BgL_bgl_string2318za700za7za7_2414za7, "", 0);
	      DEFINE_STRING(BGl_string2320z00zz__tarz00,
		BgL_bgl_string2320za700za7za7_2415za7, "name", 4);
	      DEFINE_STRING(BGl_string2322z00zz__tarz00,
		BgL_bgl_string2322za700za7za7_2416za7, "mode", 4);
	      DEFINE_STRING(BGl_string2324z00zz__tarz00,
		BgL_bgl_string2324za700za7za7_2417za7, "uid", 3);
	      DEFINE_STRING(BGl_string2326z00zz__tarz00,
		BgL_bgl_string2326za700za7za7_2418za7, "gid", 3);
	      DEFINE_STRING(BGl_string2328z00zz__tarz00,
		BgL_bgl_string2328za700za7za7_2419za7, "size", 4);
	      DEFINE_STRING(BGl_string2330z00zz__tarz00,
		BgL_bgl_string2330za700za7za7_2420za7, "mtime", 5);
	      DEFINE_STRING(BGl_string2332z00zz__tarz00,
		BgL_bgl_string2332za700za7za7_2421za7, "chksum", 6);
	      DEFINE_STRING(BGl_string2334z00zz__tarz00,
		BgL_bgl_string2334za700za7za7_2422za7, "linkname", 8);
	      DEFINE_STRING(BGl_string2336z00zz__tarz00,
		BgL_bgl_string2336za700za7za7_2423za7, "magic", 5);
	      DEFINE_STRING(BGl_string2338z00zz__tarz00,
		BgL_bgl_string2338za700za7za7_2424za7, "uname", 5);
	      DEFINE_STRING(BGl_string2340z00zz__tarz00,
		BgL_bgl_string2340za700za7za7_2425za7, "gname", 5);
	      DEFINE_STRING(BGl_string2342z00zz__tarz00,
		BgL_bgl_string2342za700za7za7_2426za7, "devmajor", 8);
	      DEFINE_STRING(BGl_string2344z00zz__tarz00,
		BgL_bgl_string2344za700za7za7_2427za7, "devminor", 8);
	      DEFINE_STRING(BGl_string2345z00zz__tarz00,
		BgL_bgl_string2345za700za7za7_2428za7, "ustar  ", 7);
	      DEFINE_STRING(BGl_string2346z00zz__tarz00,
		BgL_bgl_string2346za700za7za7_2429za7, "ustar", 5);
	      DEFINE_STRING(BGl_string2347z00zz__tarz00,
		BgL_bgl_string2347za700za7za7_2430za7, "GNUtar ", 7);
	      DEFINE_STRING(BGl_string2348z00zz__tarz00,
		BgL_bgl_string2348za700za7za7_2431za7, "invalid checksum (expected: ~s)",
		31);
	      DEFINE_STRING(BGl_string2350z00zz__tarz00,
		BgL_bgl_string2350za700za7za7_2432za7,
		"no terminator for zero-terminated `~a' found", 44);
	      DEFINE_STRING(BGl_string2349z00zz__tarz00,
		BgL_bgl_string2349za700za7za7_2433za7, "invalid magic number", 20);
	      DEFINE_STRING(BGl_string2351z00zz__tarz00,
		BgL_bgl_string2351za700za7za7_2434za7, "corrupted tar file", 18);
	      DEFINE_STRING(BGl_string2353z00zz__tarz00,
		BgL_bgl_string2353za700za7za7_2435za7, "tar-read-block", 14);
	      DEFINE_STRING(BGl_string2354z00zz__tarz00,
		BgL_bgl_string2354za700za7za7_2436za7,
		"wrong number of arguments: [1..2] expected, provided", 52);
	      DEFINE_STRING(BGl_string2355z00zz__tarz00,
		BgL_bgl_string2355za700za7za7_2437za7, "Illegal block", 13);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2tarzd2headerzd2envzd2zz__tarz00,
		BgL_bgl__makeza7d2tarza7d2he2438z00, BGl__makezd2tarzd2headerz00zz__tarz00,
		0L, BUNSPEC, 14);
	      DEFINE_STRING(BGl_string2356z00zz__tarz00,
		BgL_bgl_string2356za700za7za7_2439za7, "tar-header", 10);
	      DEFINE_STRING(BGl_string2359z00zz__tarz00,
		BgL_bgl_string2359za700za7za7_2440za7, "checksum", 8);
	      DEFINE_STRING(BGl_string2361z00zz__tarz00,
		BgL_bgl_string2361za700za7za7_2441za7, "type", 4);
	      DEFINE_STRING(BGl_string2362z00zz__tarz00,
		BgL_bgl_string2362za700za7za7_2442za7, "0", 1);
	      DEFINE_STRING(BGl_string2364z00zz__tarz00,
		BgL_bgl_string2364za700za7za7_2443za7, "_", 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__tarz00(long
		BgL_checksumz00_2262, char *BgL_fromz00_2263)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__tarz00))
				{
					BGl_requirezd2initializa7ationz75zz__tarz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__tarz00();
					BGl_importedzd2moduleszd2initz00zz__tarz00();
					BGl_objectzd2initzd2zz__tarz00();
					BGl_methodzd2initzd2zz__tarz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__tarz00()
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 17 */
			BGl_symbol2293z00zz__tarz00 =
				bstring_to_symbol(BGl_string2294z00zz__tarz00);
			BGl_symbol2295z00zz__tarz00 =
				bstring_to_symbol(BGl_string2296z00zz__tarz00);
			BGl_symbol2297z00zz__tarz00 =
				bstring_to_symbol(BGl_string2298z00zz__tarz00);
			BGl_symbol2299z00zz__tarz00 =
				bstring_to_symbol(BGl_string2300z00zz__tarz00);
			BGl_symbol2301z00zz__tarz00 =
				bstring_to_symbol(BGl_string2302z00zz__tarz00);
			BGl_symbol2303z00zz__tarz00 =
				bstring_to_symbol(BGl_string2304z00zz__tarz00);
			BGl_symbol2305z00zz__tarz00 =
				bstring_to_symbol(BGl_string2306z00zz__tarz00);
			BGl_symbol2307z00zz__tarz00 =
				bstring_to_symbol(BGl_string2308z00zz__tarz00);
			BGl_symbol2309z00zz__tarz00 =
				bstring_to_symbol(BGl_string2310z00zz__tarz00);
			BGl_symbol2311z00zz__tarz00 =
				bstring_to_symbol(BGl_string2312z00zz__tarz00);
			BGl_symbol2315z00zz__tarz00 =
				bstring_to_symbol(BGl_string2316z00zz__tarz00);
			BGl_symbol2319z00zz__tarz00 =
				bstring_to_symbol(BGl_string2320z00zz__tarz00);
			BGl_symbol2321z00zz__tarz00 =
				bstring_to_symbol(BGl_string2322z00zz__tarz00);
			BGl_symbol2323z00zz__tarz00 =
				bstring_to_symbol(BGl_string2324z00zz__tarz00);
			BGl_symbol2325z00zz__tarz00 =
				bstring_to_symbol(BGl_string2326z00zz__tarz00);
			BGl_symbol2327z00zz__tarz00 =
				bstring_to_symbol(BGl_string2328z00zz__tarz00);
			BGl_symbol2329z00zz__tarz00 =
				bstring_to_symbol(BGl_string2330z00zz__tarz00);
			BGl_symbol2331z00zz__tarz00 =
				bstring_to_symbol(BGl_string2332z00zz__tarz00);
			BGl_symbol2333z00zz__tarz00 =
				bstring_to_symbol(BGl_string2334z00zz__tarz00);
			BGl_symbol2335z00zz__tarz00 =
				bstring_to_symbol(BGl_string2336z00zz__tarz00);
			BGl_symbol2337z00zz__tarz00 =
				bstring_to_symbol(BGl_string2338z00zz__tarz00);
			BGl_symbol2339z00zz__tarz00 =
				bstring_to_symbol(BGl_string2340z00zz__tarz00);
			BGl_symbol2341z00zz__tarz00 =
				bstring_to_symbol(BGl_string2342z00zz__tarz00);
			BGl_symbol2343z00zz__tarz00 =
				bstring_to_symbol(BGl_string2344z00zz__tarz00);
			BGl_symbol2352z00zz__tarz00 =
				bstring_to_symbol(BGl_string2353z00zz__tarz00);
			BGl_symbol2357z00zz__tarz00 =
				bstring_to_symbol(BGl_string2356z00zz__tarz00);
			BGl_symbol2358z00zz__tarz00 =
				bstring_to_symbol(BGl_string2359z00zz__tarz00);
			BGl_symbol2360z00zz__tarz00 =
				bstring_to_symbol(BGl_string2361z00zz__tarz00);
			return (BGl_symbol2363z00zz__tarz00 =
				bstring_to_symbol(BGl_string2364z00zz__tarz00), BUNSPEC);
		}
	}



/* tar-type-name */
	obj_t BGl_tarzd2typezd2namez00zz__tarz00(unsigned char BgL_cz00_3)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 93 */
			switch (BgL_cz00_3)
				{
				case ((unsigned char) '\000'):

					return BGl_symbol2293z00zz__tarz00;
					break;
				case ((unsigned char) '0'):

					return BGl_symbol2295z00zz__tarz00;
					break;
				case ((unsigned char) '1'):

					return BGl_symbol2297z00zz__tarz00;
					break;
				case ((unsigned char) '2'):

					return BGl_symbol2299z00zz__tarz00;
					break;
				case ((unsigned char) '3'):

					return BGl_symbol2301z00zz__tarz00;
					break;
				case ((unsigned char) '4'):

					return BGl_symbol2303z00zz__tarz00;
					break;
				case ((unsigned char) '5'):

					return BGl_symbol2305z00zz__tarz00;
					break;
				case ((unsigned char) '6'):

					return BGl_symbol2307z00zz__tarz00;
					break;
				case ((unsigned char) '7'):

					return BGl_symbol2309z00zz__tarz00;
					break;
				default:
					{	/* Unsafe/tar.scm 94 */
						BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1761z00_1494;

						BgL_arg1761z00_1494 =
							BGl_makezd2z62iozd2parsezd2errorzb0zz__objectz00(BFALSE, BFALSE,
							BGl_symbol2311z00zz__tarz00, BGl_string2313z00zz__tarz00,
							BCHAR(BgL_cz00_3));
						return BGl_raisez00zz__errorz00((obj_t) (BgL_arg1761z00_1494));
					}
				}
		}
	}



/* checksum */
	long BGl_checksumz00zz__tarz00(obj_t BgL_bufz00_8)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 118 */
			{	/* Unsafe/tar.scm 119 */
				long BgL_pz00_778;

				BgL_pz00_778 = (((long) 100) + ((long) 48));
				{	/* Unsafe/tar.scm 119 */
					obj_t BgL_b2z00_779;

					BgL_b2z00_779 =
						string_append_3(c_substring(BgL_bufz00_8, ((long) 0), BgL_pz00_778),
						BGl_string2314z00zz__tarz00, c_substring(BgL_bufz00_8,
							(BgL_pz00_778 + ((long) 8)), STRING_LENGTH(BgL_bufz00_8)));
					{	/* Unsafe/tar.scm 120 */

						{
							long BgL_iz00_1532;
							long BgL_sz00_1533;

							BgL_iz00_1532 = ((long) 0);
							BgL_sz00_1533 = ((long) 0);
						BgL_dozd2loopzd2zd21698zd2_1531:
							if ((BgL_iz00_1532 >= ((long) 512)))
								{	/* Unsafe/tar.scm 124 */
									return BgL_sz00_1533;
								}
							else
								{
									long BgL_sz00_2315;
									long BgL_iz00_2313;

									BgL_iz00_2313 = (((long) 1) + BgL_iz00_1532);
									BgL_sz00_2315 =
										(BgL_sz00_1533 +
										(STRING_REF(BgL_b2z00_779, BgL_iz00_1532)));
									BgL_sz00_1533 = BgL_sz00_2315;
									BgL_iz00_1532 = BgL_iz00_2313;
									goto BgL_dozd2loopzd2zd21698zd2_1531;
								}
						}
					}
				}
			}
		}
	}



/* _tar-read-header */
	obj_t BGl__tarzd2readzd2headerz00zz__tarz00(obj_t BgL_envz00_11,
		obj_t BgL_optz00_10)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 131 */
			{	/* Unsafe/tar.scm 131 */

				{

					{	/* Unsafe/tar.scm 131 */
						int BgL_aux1732z00_799;

						BgL_aux1732z00_799 = VECTOR_LENGTH(BgL_optz00_10);
						switch ((long) (BgL_aux1732z00_799))
							{
							case ((long) 0):

								{	/* Unsafe/tar.scm 131 */
									obj_t BgL_portz00_801;

									BgL_portz00_801 = BGL_CURRENT_INPUT_PORT();
									{	/* Unsafe/tar.scm 131 */

										return
											BGl_tarzd2readzd2headerz00zz__tarz00(BgL_portz00_801);
									}
								}
								break;
							case ((long) 1):

								{	/* Unsafe/tar.scm 131 */
									obj_t BgL_portz00_802;

									BgL_portz00_802 =
										VECTOR_REF(BgL_optz00_10, (int) (((long) 0)));
									{	/* Unsafe/tar.scm 131 */

										return
											BGl_tarzd2readzd2headerz00zz__tarz00(BgL_portz00_802);
									}
								}
								break;
							default:
								{	/* Unsafe/tar.scm 131 */
									obj_t BgL_arg1787z00_803;
									int BgL_arg1791z00_805;

									BgL_arg1787z00_803 = BGl_symbol2315z00zz__tarz00;
									BgL_arg1791z00_805 = VECTOR_LENGTH(BgL_optz00_10);
									return
										BGl_errorz00zz__errorz00(BgL_arg1787z00_803,
										BGl_string2317z00zz__tarz00, BINT(BgL_arg1791z00_805));
								}
							}
					}
				}
			}
		}
	}



/* tar-read-header */
	BGL_EXPORTED_DEF obj_t BGl_tarzd2readzd2headerz00zz__tarz00(obj_t
		BgL_portz00_9)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 131 */
			{	/* Unsafe/tar.scm 132 */
				obj_t BgL_ptrz00_806;

				{	/* Unsafe/tar.scm 132 */
					obj_t BgL_cellvalz00_2330;

					BgL_cellvalz00_2330 = BINT(((long) 0));
					BgL_ptrz00_806 = MAKE_CELL(BgL_cellvalz00_2330);
				}
				{	/* Unsafe/tar.scm 132 */
					obj_t BgL_dataz00_807;

					BgL_dataz00_807 =
						BGl_readzd2charszd2zz__r4_input_6_10_2z00(BINT(((long) 512)),
						BgL_portz00_9);
					{	/* Unsafe/tar.scm 133 */
						long BgL_lenz00_808;

						BgL_lenz00_808 = STRING_LENGTH(BgL_dataz00_807);
						{	/* Unsafe/tar.scm 134 */

							{

								{	/* Unsafe/tar.scm 156 */
									obj_t BgL_namez00_811;

									{	/* Unsafe/tar.scm 156 */
										bool_t BgL_testz00_2335;

										if (STRINGP(BgL_dataz00_807))
											{	/* Unsafe/tar.scm 156 */
												BgL_testz00_2335 = (BgL_lenz00_808 == ((long) 0));
											}
										else
											{	/* Unsafe/tar.scm 156 */
												BgL_testz00_2335 = ((bool_t) 1);
											}
										if (BgL_testz00_2335)
											{	/* Unsafe/tar.scm 156 */
												BgL_namez00_811 = BGl_string2318z00zz__tarz00;
											}
										else
											{	/* Unsafe/tar.scm 158 */
												obj_t BgL_arg1831z00_869;

												BgL_arg1831z00_869 = BGl_symbol2319z00zz__tarz00;
												BgL_namez00_811 =
													BGl_extractz00zz__tarz00(BgL_portz00_9,
													BgL_dataz00_807, BgL_ptrz00_806, BgL_lenz00_808,
													BgL_arg1831z00_869, ((long) 100));
									}}
									if ((STRING_LENGTH(BgL_namez00_811) > ((long) 0)))
										{	/* Unsafe/tar.scm 160 */
											obj_t BgL_modez00_813;

											{	/* Unsafe/tar.scm 160 */
												obj_t BgL_arg1827z00_863;

												BgL_arg1827z00_863 =
													BGl_extractz00zz__tarz00(BgL_portz00_9,
													BgL_dataz00_807, BgL_ptrz00_806, BgL_lenz00_808,
													BGl_symbol2321z00zz__tarz00, ((long) 8));
												{	/* Unsafe/tar.scm 160 */

													{	/* Unsafe/tar.scm 160 */
														long BgL__ortest_1697z00_1597;

														{	/* Unsafe/tar.scm 160 */
															obj_t BgL_list1770z00_1598;

															BgL_list1770z00_1598 =
																MAKE_PAIR(BINT(((long) 8)), BNIL);
															BgL__ortest_1697z00_1597 =
																BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
																(BgL_arg1827z00_863, BgL_list1770z00_1598);
														}
														BgL_modez00_813 = BINT(BgL__ortest_1697z00_1597);
											}}}
											{	/* Unsafe/tar.scm 160 */
												obj_t BgL_uidz00_814;

												{	/* Unsafe/tar.scm 161 */
													obj_t BgL_arg1826z00_860;

													BgL_arg1826z00_860 =
														BGl_extractz00zz__tarz00(BgL_portz00_9,
														BgL_dataz00_807, BgL_ptrz00_806, BgL_lenz00_808,
														BGl_symbol2323z00zz__tarz00, ((long) 8));
													{	/* Unsafe/tar.scm 161 */

														{	/* Unsafe/tar.scm 161 */
															long BgL__ortest_1697z00_1604;

															{	/* Unsafe/tar.scm 161 */
																obj_t BgL_list1770z00_1605;

																BgL_list1770z00_1605 =
																	MAKE_PAIR(BINT(((long) 8)), BNIL);
																BgL__ortest_1697z00_1604 =
																	BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
																	(BgL_arg1826z00_860, BgL_list1770z00_1605);
															}
															BgL_uidz00_814 = BINT(BgL__ortest_1697z00_1604);
												}}}
												{	/* Unsafe/tar.scm 161 */
													obj_t BgL_gidz00_815;

													{	/* Unsafe/tar.scm 162 */
														obj_t BgL_arg1825z00_857;

														BgL_arg1825z00_857 =
															BGl_extractz00zz__tarz00(BgL_portz00_9,
															BgL_dataz00_807, BgL_ptrz00_806, BgL_lenz00_808,
															BGl_symbol2325z00zz__tarz00, ((long) 8));
														{	/* Unsafe/tar.scm 162 */

															{	/* Unsafe/tar.scm 162 */
																long BgL__ortest_1697z00_1611;

																{	/* Unsafe/tar.scm 162 */
																	obj_t BgL_list1770z00_1612;

																	BgL_list1770z00_1612 =
																		MAKE_PAIR(BINT(((long) 8)), BNIL);
																	BgL__ortest_1697z00_1611 =
																		BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
																		(BgL_arg1825z00_857, BgL_list1770z00_1612);
																}
																BgL_gidz00_815 = BINT(BgL__ortest_1697z00_1611);
													}}}
													{	/* Unsafe/tar.scm 162 */
														long BgL_siza7eza7_816;

														{	/* Unsafe/tar.scm 163 */
															obj_t BgL_arg1822z00_854;

															BgL_arg1822z00_854 =
																BGl_extractz00zz__tarz00(BgL_portz00_9,
																BgL_dataz00_807, BgL_ptrz00_806, BgL_lenz00_808,
																BGl_symbol2327z00zz__tarz00, ((long) 12));
															{	/* Unsafe/tar.scm 163 */
																obj_t BgL_list1824z00_856;

																BgL_list1824z00_856 =
																	MAKE_PAIR(BINT(((long) 8)), BNIL);
																BgL_siza7eza7_816 =
																	BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00
																	(BgL_arg1822z00_854, BgL_list1824z00_856);
														}}
														{	/* Unsafe/tar.scm 163 */
															long BgL_mtimez00_817;

															{	/* Unsafe/tar.scm 164 */
																obj_t BgL_arg1818z00_851;

																BgL_arg1818z00_851 =
																	BGl_extractz00zz__tarz00(BgL_portz00_9,
																	BgL_dataz00_807, BgL_ptrz00_806,
																	BgL_lenz00_808, BGl_symbol2329z00zz__tarz00,
																	((long) 12));
																{	/* Unsafe/tar.scm 164 */
																	obj_t BgL_list1820z00_853;

																	BgL_list1820z00_853 =
																		MAKE_PAIR(BINT(((long) 8)), BNIL);
																	BgL_mtimez00_817 =
																		BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00
																		(BgL_arg1818z00_851, BgL_list1820z00_853);
															}}
															{	/* Unsafe/tar.scm 164 */
																obj_t BgL_chksumz00_818;

																{	/* Unsafe/tar.scm 165 */
																	obj_t BgL_arg1817z00_848;

																	BgL_arg1817z00_848 =
																		BGl_extractz00zz__tarz00(BgL_portz00_9,
																		BgL_dataz00_807, BgL_ptrz00_806,
																		BgL_lenz00_808, BGl_symbol2331z00zz__tarz00,
																		((long) 8));
																	{	/* Unsafe/tar.scm 165 */

																		{	/* Unsafe/tar.scm 165 */
																			long BgL__ortest_1697z00_1618;

																			{	/* Unsafe/tar.scm 165 */
																				obj_t BgL_list1770z00_1619;

																				BgL_list1770z00_1619 =
																					MAKE_PAIR(BINT(((long) 8)), BNIL);
																				BgL__ortest_1697z00_1618 =
																					BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
																					(BgL_arg1817z00_848,
																					BgL_list1770z00_1619);
																			}
																			BgL_chksumz00_818 =
																				BINT(BgL__ortest_1697z00_1618);
																}}}
																{	/* Unsafe/tar.scm 165 */
																	unsigned char BgL_linkflagz00_819;

																	{	/* Unsafe/tar.scm 153 */
																		unsigned char BgL_cz00_875;

																		{	/* Unsafe/tar.scm 153 */
																			obj_t BgL_stringz00_1704;
																			long BgL_kz00_1705;

																			BgL_stringz00_1704 = BgL_dataz00_807;
																			BgL_kz00_1705 =
																				(long) CINT(CELL_REF(BgL_ptrz00_806));
																			BgL_cz00_875 =
																				STRING_REF(BgL_stringz00_1704,
																				BgL_kz00_1705);
																		}
																		{	/* Unsafe/tar.scm 154 */
																			obj_t BgL_auxz00_2189;

																			{	/* Unsafe/tar.scm 154 */
																				long BgL_za72za7_1707;

																				BgL_za72za7_1707 =
																					(long) CINT(CELL_REF(BgL_ptrz00_806));
																				BgL_auxz00_2189 =
																					BINT((((long) 1) + BgL_za72za7_1707));
																			}
																			CELL_SET(BgL_ptrz00_806, BgL_auxz00_2189);
																		}
																		BgL_linkflagz00_819 = BgL_cz00_875;
																	}
																	{	/* Unsafe/tar.scm 166 */
																		obj_t BgL_linknamez00_820;

																		{	/* Unsafe/tar.scm 167 */
																			obj_t BgL_arg1815z00_846;

																			BgL_arg1815z00_846 =
																				BGl_symbol2333z00zz__tarz00;
																			BgL_linknamez00_820 =
																				BGl_extractz00zz__tarz00(BgL_portz00_9,
																				BgL_dataz00_807, BgL_ptrz00_806,
																				BgL_lenz00_808, BgL_arg1815z00_846,
																				((long) 100));
																		}
																		{	/* Unsafe/tar.scm 167 */
																			obj_t BgL_magicz00_821;

																			BgL_magicz00_821 =
																				BGl_extractz00zz__tarz00(BgL_portz00_9,
																				BgL_dataz00_807, BgL_ptrz00_806,
																				BgL_lenz00_808,
																				BGl_symbol2335z00zz__tarz00,
																				((long) 8));
																			{	/* Unsafe/tar.scm 168 */
																				obj_t BgL_unamez00_822;

																				{	/* Unsafe/tar.scm 169 */
																					obj_t BgL_arg1813z00_844;

																					BgL_arg1813z00_844 =
																						BGl_symbol2337z00zz__tarz00;
																					BgL_unamez00_822 =
																						BGl_extractz00zz__tarz00
																						(BgL_portz00_9, BgL_dataz00_807,
																						BgL_ptrz00_806, BgL_lenz00_808,
																						BgL_arg1813z00_844, ((long) 32));
																				}
																				{	/* Unsafe/tar.scm 169 */
																					obj_t BgL_gnamez00_823;

																					{	/* Unsafe/tar.scm 170 */
																						obj_t BgL_arg1811z00_842;

																						BgL_arg1811z00_842 =
																							BGl_symbol2339z00zz__tarz00;
																						BgL_gnamez00_823 =
																							BGl_extractz00zz__tarz00
																							(BgL_portz00_9, BgL_dataz00_807,
																							BgL_ptrz00_806, BgL_lenz00_808,
																							BgL_arg1811z00_842, ((long) 32));
																					}
																					{	/* Unsafe/tar.scm 170 */
																						obj_t BgL_devmajorz00_824;

																						{	/* Unsafe/tar.scm 171 */
																							obj_t BgL_arg1810z00_841;

																							BgL_arg1810z00_841 =
																								BGl_extractz00zz__tarz00
																								(BgL_portz00_9, BgL_dataz00_807,
																								BgL_ptrz00_806, BgL_lenz00_808,
																								BGl_symbol2341z00zz__tarz00,
																								((long) 8));
																							{	/* Unsafe/tar.scm 171 */
																								long BgL__ortest_1697z00_1625;

																								{	/* Unsafe/tar.scm 171 */
																									obj_t BgL_list1770z00_1626;

																									BgL_list1770z00_1626 =
																										MAKE_PAIR(BINT(((long) 8)),
																										BNIL);
																									BgL__ortest_1697z00_1625 =
																										BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
																										(BgL_arg1810z00_841,
																										BgL_list1770z00_1626);
																								}
																								BgL_devmajorz00_824 =
																									BINT
																									(BgL__ortest_1697z00_1625);
																						}}
																						{	/* Unsafe/tar.scm 171 */
																							obj_t BgL_devminorz00_825;

																							{	/* Unsafe/tar.scm 172 */
																								obj_t BgL_arg1809z00_840;

																								BgL_arg1809z00_840 =
																									BGl_extractz00zz__tarz00
																									(BgL_portz00_9,
																									BgL_dataz00_807,
																									BgL_ptrz00_806,
																									BgL_lenz00_808,
																									BGl_symbol2343z00zz__tarz00,
																									((long) 8));
																								{	/* Unsafe/tar.scm 172 */
																									long BgL__ortest_1697z00_1632;

																									{	/* Unsafe/tar.scm 172 */
																										obj_t BgL_list1770z00_1633;

																										BgL_list1770z00_1633 =
																											MAKE_PAIR(BINT(((long)
																													8)), BNIL);
																										BgL__ortest_1697z00_1632 =
																											BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
																											(BgL_arg1809z00_840,
																											BgL_list1770z00_1633);
																									}
																									BgL_devminorz00_825 =
																										BINT
																										(BgL__ortest_1697z00_1632);
																							}}
																							{	/* Unsafe/tar.scm 172 */
																								long BgL_csum2z00_826;

																								BgL_csum2z00_826 =
																									BGl_checksumz00zz__tarz00
																									(BgL_dataz00_807);
																								{	/* Unsafe/tar.scm 173 */

																									{	/* Unsafe/tar.scm 175 */
																										bool_t BgL_testz00_2391;

																										if (bigloo_strcmp
																											(BGl_string2345z00zz__tarz00,
																												BgL_magicz00_821))
																											{	/* Unsafe/tar.scm 175 */
																												BgL_testz00_2391 =
																													((bool_t) 1);
																											}
																										else
																											{	/* Unsafe/tar.scm 175 */
																												if (bigloo_strcmp
																													(BGl_string2346z00zz__tarz00,
																														BgL_magicz00_821))
																													{	/* Unsafe/tar.scm 176 */
																														BgL_testz00_2391 =
																															((bool_t) 1);
																													}
																												else
																													{	/* Unsafe/tar.scm 176 */
																														BgL_testz00_2391 =
																															bigloo_strcmp
																															(BGl_string2347z00zz__tarz00,
																															BgL_magicz00_821);
																													}
																											}
																										if (BgL_testz00_2391)
																											{	/* Unsafe/tar.scm 175 */
																												if (
																													(BgL_csum2z00_826 ==
																														(long)
																														CINT
																														(BgL_chksumz00_818)))
																													{	/* Unsafe/tar.scm 190 */
																														obj_t
																															BgL_arg1795z00_829;
																														obj_t
																															BgL_arg1796z00_830;
																														BgL_arg1795z00_829 =
																															bgl_seconds_to_date
																															(BgL_mtimez00_817);
																														BgL_arg1796z00_830 =
																															BGl_tarzd2typezd2namez00zz__tarz00
																															(BgL_linkflagz00_819);
																														{	/* Unsafe/tar.scm 184 */
																															BgL_tarzd2headerzd2_bglt
																																BgL_res2276z00_1696;
																															{	/* Unsafe/tar.scm 184 */
																																obj_t
																																	BgL_name1587z00_1646;
																																long
																																	BgL_mode1588z00_1647;
																																long
																																	BgL_uid1589z00_1648;
																																long
																																	BgL_gid1590z00_1649;
																																long
																																	BgL_checksum1593z00_1652;
																																obj_t
																																	BgL_type1594z00_1653;
																																obj_t
																																	BgL_linkname1595z00_1654;
																																obj_t
																																	BgL_magic1596z00_1655;
																																obj_t
																																	BgL_uname1597z00_1656;
																																obj_t
																																	BgL_gname1598z00_1657;
																																long
																																	BgL_devmajor1599z00_1658;
																																long
																																	BgL_devminor1600z00_1659;
																																BgL_name1587z00_1646
																																	=
																																	BgL_namez00_811;
																																BgL_mode1588z00_1647
																																	=
																																	(long)
																																	CINT
																																	(BgL_modez00_813);
																																BgL_uid1589z00_1648
																																	=
																																	(long)
																																	CINT
																																	(BgL_uidz00_814);
																																BgL_gid1590z00_1649
																																	=
																																	(long)
																																	CINT
																																	(BgL_gidz00_815);
																																BgL_checksum1593z00_1652
																																	=
																																	(long)
																																	CINT
																																	(BgL_chksumz00_818);
																																BgL_type1594z00_1653
																																	=
																																	BgL_arg1796z00_830;
																																BgL_linkname1595z00_1654
																																	=
																																	BgL_linknamez00_820;
																																BgL_magic1596z00_1655
																																	=
																																	BgL_magicz00_821;
																																BgL_uname1597z00_1656
																																	=
																																	BgL_unamez00_822;
																																BgL_gname1598z00_1657
																																	=
																																	BgL_gnamez00_823;
																																BgL_devmajor1599z00_1658
																																	=
																																	(long)
																																	CINT
																																	(BgL_devmajorz00_824);
																																BgL_devminor1600z00_1659
																																	=
																																	(long)
																																	CINT
																																	(BgL_devminorz00_825);
																																{	/* Unsafe/tar.scm 184 */
																																	BgL_tarzd2headerzd2_bglt
																																		BgL_new1601z00_1660;
																																	{	/* Unsafe/tar.scm 184 */
																																		BgL_tarzd2headerzd2_bglt
																																			BgL_res2274z00_1665;
																																		{	/* Unsafe/tar.scm 184 */
																																			BgL_tarzd2headerzd2_bglt
																																				BgL_new1633z00_1661;
																																			BgL_new1633z00_1661
																																				=
																																				(
																																				(BgL_tarzd2headerzd2_bglt)
																																				BREF
																																				(GC_MALLOC
																																					(sizeof
																																						(struct
																																							BgL_tarzd2headerzd2_bgl))));
																																			{	/* Unsafe/tar.scm 184 */
																																				long
																																					BgL_arg1941z00_1662;
																																				BgL_arg1941z00_1662
																																					=
																																					BGl_classzd2numzd2zz__objectz00
																																					(BGl_tarzd2headerzd2zz__tarz00);
																																				{	/* Unsafe/tar.scm 184 */
																																					BgL_objectz00_bglt
																																						BgL_objz00_1663;
																																					BgL_objz00_1663
																																						=
																																						(BgL_objectz00_bglt)
																																						(BgL_new1633z00_1661);
																																					BGL_OBJECT_CLASS_NUM_SET
																																						(BgL_objz00_1663,
																																						BgL_arg1941z00_1662);
																																			}}
																																			{	/* Unsafe/tar.scm 184 */
																																				BgL_objectz00_bglt
																																					BgL_auxz00_2412;
																																				BgL_auxz00_2412
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_new1633z00_1661);
																																				BGL_OBJECT_WIDENING_SET
																																					(BgL_auxz00_2412,
																																					BFALSE);
																																			}
																																			BgL_res2274z00_1665
																																				=
																																				BgL_new1633z00_1661;
																																		}
																																		BgL_new1601z00_1660
																																			=
																																			BgL_res2274z00_1665;
																																	}
																																	{	/* Unsafe/tar.scm 184 */
																																		BgL_tarzd2headerzd2_bglt
																																			BgL_res2275z00_1695;
																																		{	/* Unsafe/tar.scm 184 */
																																			BgL_tarzd2headerzd2_bglt
																																				BgL_new1617z00_1666;
																																			BgL_new1617z00_1666
																																				=
																																				BgL_new1601z00_1660;
																																			{	/* Unsafe/tar.scm 184 */
																																				obj_t
																																					BgL_name1603z00_1681;
																																				long
																																					BgL_mode1604z00_1682;
																																				long
																																					BgL_uid1605z00_1683;
																																				long
																																					BgL_gid1606z00_1684;
																																				long
																																					BgL_siza7e1607za7_1685;
																																				obj_t
																																					BgL_mtime1608z00_1686;
																																				long
																																					BgL_checksum1609z00_1687;
																																				obj_t
																																					BgL_type1610z00_1688;
																																				obj_t
																																					BgL_linkname1611z00_1689;
																																				obj_t
																																					BgL_magic1612z00_1690;
																																				obj_t
																																					BgL_uname1613z00_1691;
																																				obj_t
																																					BgL_gname1614z00_1692;
																																				long
																																					BgL_devmajor1615z00_1693;
																																				long
																																					BgL_devminor1616z00_1694;
																																				BgL_name1603z00_1681
																																					=
																																					BgL_name1587z00_1646;
																																				BgL_mode1604z00_1682
																																					=
																																					BgL_mode1588z00_1647;
																																				BgL_uid1605z00_1683
																																					=
																																					BgL_uid1589z00_1648;
																																				BgL_gid1606z00_1684
																																					=
																																					BgL_gid1590z00_1649;
																																				BgL_siza7e1607za7_1685
																																					=
																																					BgL_siza7eza7_816;
																																				BgL_mtime1608z00_1686
																																					=
																																					BgL_arg1795z00_829;
																																				BgL_checksum1609z00_1687
																																					=
																																					BgL_checksum1593z00_1652;
																																				BgL_type1610z00_1688
																																					=
																																					BgL_type1594z00_1653;
																																				BgL_linkname1611z00_1689
																																					=
																																					BgL_linkname1595z00_1654;
																																				BgL_magic1612z00_1690
																																					=
																																					BgL_magic1596z00_1655;
																																				BgL_uname1613z00_1691
																																					=
																																					BgL_uname1597z00_1656;
																																				BgL_gname1614z00_1692
																																					=
																																					BgL_gname1598z00_1657;
																																				BgL_devmajor1615z00_1693
																																					=
																																					BgL_devmajor1599z00_1658;
																																				BgL_devminor1616z00_1694
																																					=
																																					BgL_devminor1600z00_1659;
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1666))->BgL_namez00) = ((obj_t) BgL_name1603z00_1681), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1666))->BgL_modez00) = ((long) BgL_mode1604z00_1682), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1666))->BgL_uidz00) = ((long) BgL_uid1605z00_1683), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1666))->BgL_gidz00) = ((long) BgL_gid1606z00_1684), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1666))->BgL_siza7eza7) = ((long) BgL_siza7e1607za7_1685), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1666))->BgL_mtimez00) = ((obj_t) BgL_mtime1608z00_1686), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1666))->BgL_checksumz00) = ((long) BgL_checksum1609z00_1687), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1666))->BgL_typez00) = ((obj_t) BgL_type1610z00_1688), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1666))->BgL_linknamez00) = ((obj_t) BgL_linkname1611z00_1689), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1666))->BgL_magicz00) = ((obj_t) BgL_magic1612z00_1690), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1666))->BgL_unamez00) = ((obj_t) BgL_uname1613z00_1691), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1666))->BgL_gnamez00) = ((obj_t) BgL_gname1614z00_1692), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1666))->BgL_devmajorz00) = ((long) BgL_devmajor1615z00_1693), BUNSPEC);
																																				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1666))->BgL_devminorz00) = ((long) BgL_devminor1616z00_1694), BUNSPEC);
																																				BgL_res2275z00_1695
																																					=
																																					BgL_new1617z00_1666;
																																		}} BgL_res2275z00_1695;
																																	}
																																	BgL_res2276z00_1696
																																		=
																																		BgL_new1601z00_1660;
																															}}
																															return
																																(obj_t)
																																(BgL_res2276z00_1696);
																														}
																													}
																												else
																													{	/* Unsafe/tar.scm 181 */
																														obj_t
																															BgL_arg1797z00_831;
																														{	/* Unsafe/tar.scm 181 */
																															obj_t
																																BgL_list1798z00_832;
																															BgL_list1798z00_832
																																=
																																MAKE_PAIR
																																(BgL_chksumz00_818,
																																BNIL);
																															BgL_arg1797z00_831
																																=
																																BGl_formatz00zz__r4_output_6_10_3z00
																																(BGl_string2348z00zz__tarz00,
																																BgL_list1798z00_832);
																														}
																														{	/* Unsafe/tar.scm 180 */
																															BgL_z62iozd2parsezd2errorz62_bglt
																																BgL_arg1761z00_1699;
																															BgL_arg1761z00_1699
																																=
																																BGl_makezd2z62iozd2parsezd2errorzb0zz__objectz00
																																(BFALSE, BFALSE,
																																BGl_symbol2311z00zz__tarz00,
																																BgL_arg1797z00_831,
																																BINT
																																(BgL_csum2z00_826));
																															return
																																BGl_raisez00zz__errorz00
																																((obj_t)
																																(BgL_arg1761z00_1699));
																														}
																													}
																											}
																										else
																											{	/* Unsafe/tar.scm 178 */
																												obj_t
																													BgL_arg1800z00_834;
																												BgL_arg1800z00_834 =
																													string_for_read
																													(BgL_magicz00_821);
																												{	/* Unsafe/tar.scm 178 */
																													BgL_z62iozd2parsezd2errorz62_bglt
																														BgL_arg1761z00_1703;
																													BgL_arg1761z00_1703 =
																														BGl_makezd2z62iozd2parsezd2errorzb0zz__objectz00
																														(BFALSE, BFALSE,
																														BGl_symbol2311z00zz__tarz00,
																														BGl_string2349z00zz__tarz00,
																														BgL_arg1800z00_834);
																													return
																														BGl_raisez00zz__errorz00
																														((obj_t)
																														(BgL_arg1761z00_1703));
																												}
																											}
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									else
										{	/* Unsafe/tar.scm 159 */
											return BFALSE;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* extract */
	obj_t BGl_extractz00zz__tarz00(obj_t BgL_portz00_2187, obj_t BgL_dataz00_2186,
		obj_t BgL_ptrz00_2185, long BgL_lenz00_2184, obj_t BgL_whatz00_876,
		long BgL_siza7eza7_877)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 151 */
			{
				long BgL_iz00_879;

				BgL_iz00_879 = ((long) 0);
			BgL_loopz00_880:
				if ((BgL_iz00_879 >= BgL_siza7eza7_877))
					{	/* Unsafe/tar.scm 140 */
						obj_t BgL_arg1839z00_882;

						{	/* Unsafe/tar.scm 140 */
							obj_t BgL_list1840z00_883;

							BgL_list1840z00_883 = MAKE_PAIR(BgL_whatz00_876, BNIL);
							BgL_arg1839z00_882 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2350z00zz__tarz00, BgL_list1840z00_883);
						}
						{	/* Unsafe/tar.scm 139 */
							BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1761z00_1712;

							BgL_arg1761z00_1712 =
								BGl_makezd2z62iozd2parsezd2errorzb0zz__objectz00(BFALSE, BFALSE,
								BGl_symbol2311z00zz__tarz00, BgL_arg1839z00_882,
								BINT(BgL_siza7eza7_877));
							return BGl_raisez00zz__errorz00((obj_t) (BgL_arg1761z00_1712));
						}
					}
				else
					{	/* Unsafe/tar.scm 138 */
						if ((BgL_iz00_879 >= BgL_lenz00_2184))
							{	/* Unsafe/tar.scm 143 */
								BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1761z00_1717;

								BgL_arg1761z00_1717 =
									BGl_makezd2z62iozd2parsezd2errorzb0zz__objectz00(BFALSE,
									BFALSE, BGl_symbol2311z00zz__tarz00,
									BGl_string2351z00zz__tarz00, BgL_portz00_2187);
								return BGl_raisez00zz__errorz00((obj_t) (BgL_arg1761z00_1717));
							}
						else
							{	/* Unsafe/tar.scm 145 */
								unsigned char BgL_cz00_885;

								{	/* Unsafe/tar.scm 145 */
									obj_t BgL_stringz00_1720;

									BgL_stringz00_1720 = BgL_dataz00_2186;
									{	/* Unsafe/tar.scm 145 */
										long BgL_auxz00_2453;

										{	/* Unsafe/tar.scm 145 */
											long BgL_za71za7_1718;

											BgL_za71za7_1718 = (long) CINT(CELL_REF(BgL_ptrz00_2185));
											BgL_auxz00_2453 = (BgL_za71za7_1718 + BgL_iz00_879);
										}
										BgL_cz00_885 =
											STRING_REF(BgL_stringz00_1720, BgL_auxz00_2453);
								}}
								if ((((unsigned char) '\000') == BgL_cz00_885))
									{	/* Unsafe/tar.scm 147 */
										long BgL_nptrz00_887;

										{	/* Unsafe/tar.scm 147 */
											long BgL_za71za7_1724;

											BgL_za71za7_1724 = (long) CINT(CELL_REF(BgL_ptrz00_2185));
											BgL_nptrz00_887 = (BgL_za71za7_1724 + BgL_iz00_879);
										}
										{	/* Unsafe/tar.scm 147 */
											obj_t BgL_subz00_888;

											{	/* Unsafe/tar.scm 148 */
												obj_t BgL_stringz00_1726;
												long BgL_startz00_1727;

												BgL_stringz00_1726 = BgL_dataz00_2186;
												BgL_startz00_1727 =
													(long) CINT(CELL_REF(BgL_ptrz00_2185));
												BgL_subz00_888 =
													c_substring(BgL_stringz00_1726, BgL_startz00_1727,
													BgL_nptrz00_887);
											}
											{	/* Unsafe/tar.scm 148 */

												{	/* Unsafe/tar.scm 149 */
													obj_t BgL_auxz00_2188;

													{	/* Unsafe/tar.scm 149 */
														long BgL_za71za7_1729;

														BgL_za71za7_1729 =
															(long) CINT(CELL_REF(BgL_ptrz00_2185));
														BgL_auxz00_2188 =
															BINT((BgL_za71za7_1729 + BgL_siza7eza7_877));
													}
													CELL_SET(BgL_ptrz00_2185, BgL_auxz00_2188);
												}
												return BgL_subz00_888;
											}
										}
									}
								else
									{
										long BgL_iz00_2466;

										BgL_iz00_2466 = (((long) 1) + BgL_iz00_879);
										BgL_iz00_879 = BgL_iz00_2466;
										goto BgL_loopz00_880;
									}
							}
					}
			}
		}
	}



/* tar-round-up-to-record-size */
	BGL_EXPORTED_DEF long
		BGl_tarzd2roundzd2upzd2tozd2recordzd2siza7ez75zz__tarz00(long BgL_nz00_12)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 203 */
			return
				(((long) 512) *
				((BgL_nz00_12 + (((long) 512) - ((long) 1))) / ((long) 512)));
		}
	}



/* _tar-round-up-to-record-size */
	obj_t BGl__tarzd2roundzd2upzd2tozd2recordzd2siza7ez75zz__tarz00(obj_t
		BgL_envz00_2107, obj_t BgL_nz00_2108)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 203 */
			return
				BINT(BGl_tarzd2roundzd2upzd2tozd2recordzd2siza7ez75zz__tarz00(
					(long) CINT(BgL_nz00_2108)));
		}
	}



/* _tar-read-block */
	obj_t BGl__tarzd2readzd2blockz00zz__tarz00(obj_t BgL_envz00_16,
		obj_t BgL_optz00_15)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 210 */
			{	/* Unsafe/tar.scm 210 */
				obj_t BgL_g1733z00_901;

				BgL_g1733z00_901 = VECTOR_REF(BgL_optz00_15, (int) (((long) 0)));
				{

					{	/* Unsafe/tar.scm 210 */
						int BgL_aux1735z00_903;

						BgL_aux1735z00_903 = VECTOR_LENGTH(BgL_optz00_15);
						switch ((long) (BgL_aux1735z00_903))
							{
							case ((long) 1):

								{	/* Unsafe/tar.scm 210 */
									obj_t BgL_pz00_905;

									BgL_pz00_905 = BGL_CURRENT_INPUT_PORT();
									{	/* Unsafe/tar.scm 210 */

										{	/* Unsafe/tar.scm 210 */
											obj_t BgL_arg1854z00_906;

											BgL_arg1854z00_906 =
												VECTOR_REF(BgL_optz00_15, (int) (((long) 0)));
											return
												BGl_tarzd2readzd2blockz00zz__tarz00(
												(BgL_tarzd2headerzd2_bglt) (BgL_arg1854z00_906),
												BgL_pz00_905);
										}
									}
								}
								break;
							case ((long) 2):

								{	/* Unsafe/tar.scm 210 */
									obj_t BgL_pz00_907;

									BgL_pz00_907 = VECTOR_REF(BgL_optz00_15, (int) (((long) 1)));
									{	/* Unsafe/tar.scm 210 */

										{	/* Unsafe/tar.scm 210 */
											obj_t BgL_arg1855z00_908;

											BgL_arg1855z00_908 =
												VECTOR_REF(BgL_optz00_15, (int) (((long) 0)));
											return
												BGl_tarzd2readzd2blockz00zz__tarz00(
												(BgL_tarzd2headerzd2_bglt) (BgL_arg1855z00_908),
												BgL_pz00_907);
										}
									}
								}
								break;
							default:
								{	/* Unsafe/tar.scm 210 */
									obj_t BgL_arg1856z00_909;
									int BgL_arg1858z00_911;

									BgL_arg1856z00_909 = BGl_symbol2352z00zz__tarz00;
									BgL_arg1858z00_911 = VECTOR_LENGTH(BgL_optz00_15);
									return
										BGl_errorz00zz__errorz00(BgL_arg1856z00_909,
										BGl_string2354z00zz__tarz00, BINT(BgL_arg1858z00_911));
								}
							}
					}
				}
			}
		}
	}



/* tar-read-block */
	BGL_EXPORTED_DEF obj_t
		BGl_tarzd2readzd2blockz00zz__tarz00(BgL_tarzd2headerzd2_bglt BgL_hz00_13,
		obj_t BgL_pz00_14)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 210 */
			{	/* Unsafe/tar.scm 211 */
				bool_t BgL_testz00_2494;

				{	/* Unsafe/tar.scm 211 */
					obj_t BgL_obj1692z00_1741;

					BgL_obj1692z00_1741 = (obj_t) (BgL_hz00_13);
					BgL_testz00_2494 =
						BGl_iszd2azf3z21zz__objectz00(BgL_obj1692z00_1741,
						BGl_tarzd2headerzd2zz__tarz00);
				}
				if (BgL_testz00_2494)
					{	/* Unsafe/tar.scm 212 */
						long BgL_nz00_913;

						{	/* Unsafe/tar.scm 212 */
							long BgL_arg1868z00_923;

							BgL_arg1868z00_923 =
								(((BgL_tarzd2headerzd2_bglt) CREF(BgL_hz00_13))->BgL_siza7eza7);
							{	/* Unsafe/tar.scm 212 */
								long BgL_res2277z00_1744;

								{	/* Unsafe/tar.scm 212 */
									long BgL_auxz00_2498;

									{	/* Unsafe/tar.scm 212 */
										long BgL_auxz00_2499;

										BgL_auxz00_2499 = ELONG_TO_LONG(BgL_arg1868z00_923);
										BgL_auxz00_2498 = ELONG_TO_LONG(BgL_auxz00_2499);
									}
									BgL_res2277z00_1744 = ELONG_TO_LONG(BgL_auxz00_2498);
								}
								BgL_nz00_913 = BgL_res2277z00_1744;
						}}
						if ((BgL_nz00_913 == ((long) 0)))
							{	/* Unsafe/tar.scm 213 */
								return BFALSE;
							}
						else
							{	/* Unsafe/tar.scm 215 */
								obj_t BgL_sz00_915;

								BgL_sz00_915 =
									BGl_readzd2charszd2zz__r4_input_6_10_2z00(BINT(BgL_nz00_913),
									BgL_pz00_14);
								if ((STRING_LENGTH(BgL_sz00_915) < BgL_nz00_913))
									{	/* Unsafe/tar.scm 217 */
										obj_t BgL_arg1862z00_917;
										obj_t BgL_arg1864z00_919;

										BgL_arg1862z00_917 = BGl_symbol2352z00zz__tarz00;
										BgL_arg1864z00_919 =
											(((BgL_tarzd2headerzd2_bglt) CREF(BgL_hz00_13))->
											BgL_namez00);
										BGl_errorz00zz__errorz00(BgL_arg1862z00_917,
											BGl_string2355z00zz__tarz00, BgL_arg1864z00_919);
									}
								else
									{	/* Unsafe/tar.scm 220 */
										long BgL_arg1865z00_920;

										BgL_arg1865z00_920 =
											(BGl_tarzd2roundzd2upzd2tozd2recordzd2siza7ez75zz__tarz00
											(BgL_nz00_913) - BgL_nz00_913);
										BGl_readzd2charszd2zz__r4_input_6_10_2z00(BINT
											(BgL_arg1865z00_920), BgL_pz00_14);
									}
								return BgL_sz00_915;
							}
					}
				else
					{	/* Unsafe/tar.scm 211 */
						return
							BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2352z00zz__tarz00, BGl_string2356z00zz__tarz00,
							(obj_t) (BgL_hz00_13));
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__tarz00()
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 17 */
			{	/* Unsafe/tar.scm 50 */
				obj_t BgL_arg1869z00_924;
				obj_t BgL_arg1870z00_925;
				obj_t BgL_arg1875z00_929;
				obj_t BgL_arg1877z00_930;

				BgL_arg1869z00_924 = BGl_symbol2357z00zz__tarz00;
				BgL_arg1870z00_925 = BGl_objectz00zz__objectz00;
				{	/* Unsafe/tar.scm 50 */
					obj_t BgL_arg1878z00_931;
					obj_t BgL_arg1879z00_932;
					obj_t BgL_arg1880z00_933;
					obj_t BgL_arg1881z00_934;
					obj_t BgL_arg1882z00_935;
					obj_t BgL_arg1883z00_936;
					obj_t BgL_arg1884z00_937;
					obj_t BgL_arg1885z00_938;
					obj_t BgL_arg1886z00_939;
					obj_t BgL_arg1888z00_940;
					obj_t BgL_arg1889z00_941;
					obj_t BgL_arg1890z00_942;
					obj_t BgL_arg1891z00_943;
					obj_t BgL_arg1892z00_944;

					BgL_arg1878z00_931 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2319z00zz__tarz00,
						BGl_tarzd2headerzd2namezd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1879z00_932 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2321z00zz__tarz00,
						BGl_tarzd2headerzd2modezd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1880z00_933 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2323z00zz__tarz00,
						BGl_tarzd2headerzd2uidzd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1881z00_934 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2325z00zz__tarz00,
						BGl_tarzd2headerzd2gidzd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1882z00_935 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2327z00zz__tarz00,
						BGl_tarzd2headerzd2siza7ezd2envz75zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1883z00_936 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2329z00zz__tarz00,
						BGl_tarzd2headerzd2mtimezd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1884z00_937 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2358z00zz__tarz00,
						BGl_tarzd2headerzd2checksumzd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1885z00_938 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2360z00zz__tarz00,
						BGl_tarzd2headerzd2typezd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1886z00_939 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2333z00zz__tarz00,
						BGl_tarzd2headerzd2linknamezd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1888z00_940 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2335z00zz__tarz00,
						BGl_tarzd2headerzd2magiczd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1889z00_941 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2337z00zz__tarz00,
						BGl_tarzd2headerzd2unamezd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1890z00_942 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2339z00zz__tarz00,
						BGl_tarzd2headerzd2gnamezd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1891z00_943 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2341z00zz__tarz00,
						BGl_tarzd2headerzd2devmajorzd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					BgL_arg1892z00_944 =
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2343z00zz__tarz00,
						BGl_tarzd2headerzd2devminorzd2envzd2zz__tarz00, BUNSPEC, BUNSPEC,
						((bool_t) 0), BFALSE,
						BGl_classzd2fieldzd2nozd2defaultzd2valuez00zz__objectz00());
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_list1893z00_945;

						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_arg1894z00_946;

							{	/* Unsafe/tar.scm 50 */
								obj_t BgL_arg1895z00_947;

								{	/* Unsafe/tar.scm 50 */
									obj_t BgL_arg1896z00_948;

									{	/* Unsafe/tar.scm 50 */
										obj_t BgL_arg1897z00_949;

										{	/* Unsafe/tar.scm 50 */
											obj_t BgL_arg1898z00_950;

											{	/* Unsafe/tar.scm 50 */
												obj_t BgL_arg1899z00_951;

												{	/* Unsafe/tar.scm 50 */
													obj_t BgL_arg1900z00_952;

													{	/* Unsafe/tar.scm 50 */
														obj_t BgL_arg1901z00_953;

														{	/* Unsafe/tar.scm 50 */
															obj_t BgL_arg1902z00_954;

															{	/* Unsafe/tar.scm 50 */
																obj_t BgL_arg1903z00_955;

																{	/* Unsafe/tar.scm 50 */
																	obj_t BgL_arg1904z00_956;

																	{	/* Unsafe/tar.scm 50 */
																		obj_t BgL_arg1905z00_957;

																		{	/* Unsafe/tar.scm 50 */
																			obj_t BgL_arg1906z00_958;

																			BgL_arg1906z00_958 =
																				MAKE_PAIR(BgL_arg1892z00_944, BNIL);
																			BgL_arg1905z00_957 =
																				MAKE_PAIR(BgL_arg1891z00_943,
																				BgL_arg1906z00_958);
																		}
																		BgL_arg1904z00_956 =
																			MAKE_PAIR(BgL_arg1890z00_942,
																			BgL_arg1905z00_957);
																	}
																	BgL_arg1903z00_955 =
																		MAKE_PAIR(BgL_arg1889z00_941,
																		BgL_arg1904z00_956);
																}
																BgL_arg1902z00_954 =
																	MAKE_PAIR(BgL_arg1888z00_940,
																	BgL_arg1903z00_955);
															}
															BgL_arg1901z00_953 =
																MAKE_PAIR(BgL_arg1886z00_939,
																BgL_arg1902z00_954);
														}
														BgL_arg1900z00_952 =
															MAKE_PAIR(BgL_arg1885z00_938, BgL_arg1901z00_953);
													}
													BgL_arg1899z00_951 =
														MAKE_PAIR(BgL_arg1884z00_937, BgL_arg1900z00_952);
												}
												BgL_arg1898z00_950 =
													MAKE_PAIR(BgL_arg1883z00_936, BgL_arg1899z00_951);
											}
											BgL_arg1897z00_949 =
												MAKE_PAIR(BgL_arg1882z00_935, BgL_arg1898z00_950);
										}
										BgL_arg1896z00_948 =
											MAKE_PAIR(BgL_arg1881z00_934, BgL_arg1897z00_949);
									}
									BgL_arg1895z00_947 =
										MAKE_PAIR(BgL_arg1880z00_933, BgL_arg1896z00_948);
								}
								BgL_arg1894z00_946 =
									MAKE_PAIR(BgL_arg1879z00_932, BgL_arg1895z00_947);
							}
							BgL_list1893z00_945 =
								MAKE_PAIR(BgL_arg1878z00_931, BgL_arg1894z00_946);
						}
						BgL_arg1875z00_929 = BgL_list1893z00_945;
					}
				}
				{	/* Unsafe/tar.scm 50 */
					obj_t BgL_v1722z00_987;

					BgL_v1722z00_987 = create_vector((int) (((long) 0)));
					BgL_arg1877z00_930 = BgL_v1722z00_987;
				}
				BGl_tarzd2headerzd2zz__tarz00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg1869z00_924,
					BgL_arg1870z00_925, ((bool_t) 0),
					BGl_makezd2tarzd2headerzd2envzd2zz__tarz00,
					BGl_z52allocatezd2tarzd2headerzd2envz80zz__tarz00,
					BGl_tarzd2headerzd2nilzd2envzd2zz__tarz00,
					BGl_tarzd2headerzf3zd2envzf3zz__tarz00, ((long) 380980310),
					BgL_arg1875z00_929, BFALSE, BgL_arg1877z00_930);
			}
			return (BGl_z52thezd2tarzd2headerzd2nilz80zz__tarz00 = BUNSPEC, BUNSPEC);
		}
	}



/* tar-header? */
	BGL_EXPORTED_DEF bool_t BGl_tarzd2headerzf3z21zz__tarz00(obj_t
		BgL_obj1692z00_17)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj1692z00_17,
				BGl_tarzd2headerzd2zz__tarz00);
		}
	}



/* _tar-header? */
	obj_t BGl__tarzd2headerzf3z21zz__tarz00(obj_t BgL_envz00_2154,
		obj_t BgL_obj1692z00_2155)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1692z00_2155,
					BGl_tarzd2headerzd2zz__tarz00));
		}
	}



/* make-tar-header */
	BGL_EXPORTED_DEF BgL_tarzd2headerzd2_bglt
		BGl_makezd2tarzd2headerz00zz__tarz00(obj_t BgL_name1587z00_21,
		long BgL_mode1588z00_22, long BgL_uid1589z00_23, long BgL_gid1590z00_24,
		long BgL_siza7e1591za7_25, obj_t BgL_mtime1592z00_26,
		long BgL_checksum1593z00_27, obj_t BgL_type1594z00_28,
		obj_t BgL_linkname1595z00_29, obj_t BgL_magic1596z00_30,
		obj_t BgL_uname1597z00_31, obj_t BgL_gname1598z00_32,
		long BgL_devmajor1599z00_33, long BgL_devminor1600z00_34)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{	/* Unsafe/tar.scm 50 */
				BgL_tarzd2headerzd2_bglt BgL_new1601z00_1755;

				{	/* Unsafe/tar.scm 50 */
					BgL_tarzd2headerzd2_bglt BgL_res2279z00_1760;

					{	/* Unsafe/tar.scm 50 */
						BgL_tarzd2headerzd2_bglt BgL_new1633z00_1756;
						BgL_new1633z00_1756 =
							((BgL_tarzd2headerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_tarzd2headerzd2_bgl))));
						{	/* Unsafe/tar.scm 50 */
							long BgL_arg1941z00_1757;

							BgL_arg1941z00_1757 =
								BGl_classzd2numzd2zz__objectz00(BGl_tarzd2headerzd2zz__tarz00);
							{	/* Unsafe/tar.scm 50 */
								BgL_objectz00_bglt BgL_objz00_1758;

								BgL_objz00_1758 = (BgL_objectz00_bglt) (BgL_new1633z00_1756);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1758, BgL_arg1941z00_1757);
						}}
						{	/* Unsafe/tar.scm 50 */
							BgL_objectz00_bglt BgL_auxz00_2570;

							BgL_auxz00_2570 = (BgL_objectz00_bglt) (BgL_new1633z00_1756);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2570, BFALSE);
						}
						BgL_res2279z00_1760 = BgL_new1633z00_1756;
					}
					BgL_new1601z00_1755 = BgL_res2279z00_1760;
				}
				{	/* Unsafe/tar.scm 50 */
					BgL_tarzd2headerzd2_bglt BgL_res2280z00_1790;

					{	/* Unsafe/tar.scm 50 */
						BgL_tarzd2headerzd2_bglt BgL_new1617z00_1761;

						BgL_new1617z00_1761 = BgL_new1601z00_1755;
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_name1603z00_1776;
							long BgL_mode1604z00_1777;
							long BgL_uid1605z00_1778;
							long BgL_gid1606z00_1779;
							long BgL_siza7e1607za7_1780;
							obj_t BgL_mtime1608z00_1781;
							long BgL_checksum1609z00_1782;
							obj_t BgL_type1610z00_1783;
							obj_t BgL_linkname1611z00_1784;
							obj_t BgL_magic1612z00_1785;
							obj_t BgL_uname1613z00_1786;
							obj_t BgL_gname1614z00_1787;
							long BgL_devmajor1615z00_1788;
							long BgL_devminor1616z00_1789;

							BgL_name1603z00_1776 = BgL_name1587z00_21;
							BgL_mode1604z00_1777 = BgL_mode1588z00_22;
							BgL_uid1605z00_1778 = BgL_uid1589z00_23;
							BgL_gid1606z00_1779 = BgL_gid1590z00_24;
							BgL_siza7e1607za7_1780 = BgL_siza7e1591za7_25;
							BgL_mtime1608z00_1781 = BgL_mtime1592z00_26;
							BgL_checksum1609z00_1782 = BgL_checksum1593z00_27;
							BgL_type1610z00_1783 = BgL_type1594z00_28;
							BgL_linkname1611z00_1784 = BgL_linkname1595z00_29;
							BgL_magic1612z00_1785 = BgL_magic1596z00_30;
							BgL_uname1613z00_1786 = BgL_uname1597z00_31;
							BgL_gname1614z00_1787 = BgL_gname1598z00_32;
							BgL_devmajor1615z00_1788 = BgL_devmajor1599z00_33;
							BgL_devminor1616z00_1789 = BgL_devminor1600z00_34;
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1761))->
									BgL_namez00) = ((obj_t) BgL_name1603z00_1776), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1761))->
									BgL_modez00) = ((long) BgL_mode1604z00_1777), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1761))->
									BgL_uidz00) = ((long) BgL_uid1605z00_1778), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1761))->
									BgL_gidz00) = ((long) BgL_gid1606z00_1779), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1761))->
									BgL_siza7eza7) = ((long) BgL_siza7e1607za7_1780), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1761))->
									BgL_mtimez00) = ((obj_t) BgL_mtime1608z00_1781), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1761))->
									BgL_checksumz00) =
								((long) BgL_checksum1609z00_1782), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1761))->
									BgL_typez00) = ((obj_t) BgL_type1610z00_1783), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1761))->
									BgL_linknamez00) =
								((obj_t) BgL_linkname1611z00_1784), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1761))->
									BgL_magicz00) = ((obj_t) BgL_magic1612z00_1785), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1761))->
									BgL_unamez00) = ((obj_t) BgL_uname1613z00_1786), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1761))->
									BgL_gnamez00) = ((obj_t) BgL_gname1614z00_1787), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1761))->
									BgL_devmajorz00) =
								((long) BgL_devmajor1615z00_1788), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1761))->
									BgL_devminorz00) =
								((long) BgL_devminor1616z00_1789), BUNSPEC);
							BgL_res2280z00_1790 = BgL_new1617z00_1761;
					}} BgL_res2280z00_1790;
				}
				return BgL_new1601z00_1755;
			}
		}
	}



/* _make-tar-header */
	obj_t BGl__makezd2tarzd2headerz00zz__tarz00(obj_t BgL_envz00_2109,
		obj_t BgL_name1587z00_2110, obj_t BgL_mode1588z00_2111,
		obj_t BgL_uid1589z00_2112, obj_t BgL_gid1590z00_2113,
		obj_t BgL_siza7e1591za7_2114, obj_t BgL_mtime1592z00_2115,
		obj_t BgL_checksum1593z00_2116, obj_t BgL_type1594z00_2117,
		obj_t BgL_linkname1595z00_2118, obj_t BgL_magic1596z00_2119,
		obj_t BgL_uname1597z00_2120, obj_t BgL_gname1598z00_2121,
		obj_t BgL_devmajor1599z00_2122, obj_t BgL_devminor1600z00_2123)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{	/* Unsafe/tar.scm 50 */
				BgL_tarzd2headerzd2_bglt BgL_auxz00_2587;

				BgL_auxz00_2587 =
					BGl_makezd2tarzd2headerz00zz__tarz00(BgL_name1587z00_2110,
					(long) CINT(BgL_mode1588z00_2111),
					(long) CINT(BgL_uid1589z00_2112),
					(long) CINT(BgL_gid1590z00_2113),
					BELONG_TO_LONG(BgL_siza7e1591za7_2114), BgL_mtime1592z00_2115,
					(long) CINT(BgL_checksum1593z00_2116), BgL_type1594z00_2117,
					BgL_linkname1595z00_2118, BgL_magic1596z00_2119,
					BgL_uname1597z00_2120, BgL_gname1598z00_2121,
					(long) CINT(BgL_devmajor1599z00_2122),
					(long) CINT(BgL_devminor1600z00_2123));
				return (obj_t) (BgL_auxz00_2587);
			}
		}
	}



/* fill-tar-header! */
	BGL_EXPORTED_DEF BgL_tarzd2headerzd2_bglt
		BGl_fillzd2tarzd2headerz12z12zz__tarz00(BgL_tarzd2headerzd2_bglt
		BgL_new1617z00_35, obj_t BgL_name1603z00_36, long BgL_mode1604z00_37,
		long BgL_uid1605z00_38, long BgL_gid1606z00_39, long BgL_siza7e1607za7_40,
		obj_t BgL_mtime1608z00_41, long BgL_checksum1609z00_42,
		obj_t BgL_type1610z00_43, obj_t BgL_linkname1611z00_44,
		obj_t BgL_magic1612z00_45, obj_t BgL_uname1613z00_46,
		obj_t BgL_gname1614z00_47, long BgL_devmajor1615z00_48,
		long BgL_devminor1616z00_49)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{	/* Unsafe/tar.scm 50 */
				obj_t BgL_name1603z00_2197;
				long BgL_mode1604z00_2198;
				long BgL_uid1605z00_2199;
				long BgL_gid1606z00_2200;
				long BgL_siza7e1607za7_2201;
				obj_t BgL_mtime1608z00_2202;
				long BgL_checksum1609z00_2203;
				obj_t BgL_type1610z00_2204;
				obj_t BgL_linkname1611z00_2205;
				obj_t BgL_magic1612z00_2206;
				obj_t BgL_uname1613z00_2207;
				obj_t BgL_gname1614z00_2208;
				long BgL_devmajor1615z00_2209;
				long BgL_devminor1616z00_2210;

				BgL_name1603z00_2197 = BgL_name1603z00_36;
				BgL_mode1604z00_2198 = BgL_mode1604z00_37;
				BgL_uid1605z00_2199 = BgL_uid1605z00_38;
				BgL_gid1606z00_2200 = BgL_gid1606z00_39;
				BgL_siza7e1607za7_2201 = BgL_siza7e1607za7_40;
				BgL_mtime1608z00_2202 = BgL_mtime1608z00_41;
				BgL_checksum1609z00_2203 = BgL_checksum1609z00_42;
				BgL_type1610z00_2204 = BgL_type1610z00_43;
				BgL_linkname1611z00_2205 = BgL_linkname1611z00_44;
				BgL_magic1612z00_2206 = BgL_magic1612z00_45;
				BgL_uname1613z00_2207 = BgL_uname1613z00_46;
				BgL_gname1614z00_2208 = BgL_gname1614z00_47;
				BgL_devmajor1615z00_2209 = BgL_devmajor1615z00_48;
				BgL_devminor1616z00_2210 = BgL_devminor1616z00_49;
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_35))->BgL_namez00) =
					((obj_t) BgL_name1603z00_2197), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_35))->BgL_modez00) =
					((long) BgL_mode1604z00_2198), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_35))->BgL_uidz00) =
					((long) BgL_uid1605z00_2199), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_35))->BgL_gidz00) =
					((long) BgL_gid1606z00_2200), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_35))->BgL_siza7eza7) =
					((long) BgL_siza7e1607za7_2201), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_35))->BgL_mtimez00) =
					((obj_t) BgL_mtime1608z00_2202), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_35))->
						BgL_checksumz00) = ((long) BgL_checksum1609z00_2203), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_35))->BgL_typez00) =
					((obj_t) BgL_type1610z00_2204), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_35))->
						BgL_linknamez00) = ((obj_t) BgL_linkname1611z00_2205), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_35))->BgL_magicz00) =
					((obj_t) BgL_magic1612z00_2206), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_35))->BgL_unamez00) =
					((obj_t) BgL_uname1613z00_2207), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_35))->BgL_gnamez00) =
					((obj_t) BgL_gname1614z00_2208), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_35))->
						BgL_devmajorz00) = ((long) BgL_devmajor1615z00_2209), BUNSPEC);
				((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_35))->
						BgL_devminorz00) = ((long) BgL_devminor1616z00_2210), BUNSPEC);
				return BgL_new1617z00_35;
			}
		}
	}



/* _fill-tar-header! */
	obj_t BGl__fillzd2tarzd2headerz12z12zz__tarz00(obj_t BgL_envz00_2156,
		obj_t BgL_new1617z00_2157, obj_t BgL_name1603z00_2158,
		obj_t BgL_mode1604z00_2159, obj_t BgL_uid1605z00_2160,
		obj_t BgL_gid1606z00_2161, obj_t BgL_siza7e1607za7_2162,
		obj_t BgL_mtime1608z00_2163, obj_t BgL_checksum1609z00_2164,
		obj_t BgL_type1610z00_2165, obj_t BgL_linkname1611z00_2166,
		obj_t BgL_magic1612z00_2167, obj_t BgL_uname1613z00_2168,
		obj_t BgL_gname1614z00_2169, obj_t BgL_devmajor1615z00_2170,
		obj_t BgL_devminor1616z00_2171)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{	/* Unsafe/tar.scm 50 */
				BgL_tarzd2headerzd2_bglt BgL_auxz00_2611;

				{	/* Unsafe/tar.scm 50 */
					BgL_tarzd2headerzd2_bglt BgL_res2371z00_2240;

					{	/* Unsafe/tar.scm 50 */
						BgL_tarzd2headerzd2_bglt BgL_new1617z00_2211;
						obj_t BgL_name1603z00_2212;
						long BgL_mode1604z00_2213;
						long BgL_uid1605z00_2214;
						long BgL_gid1606z00_2215;
						long BgL_siza7e1607za7_2216;
						obj_t BgL_mtime1608z00_2217;
						long BgL_checksum1609z00_2218;
						obj_t BgL_type1610z00_2219;
						obj_t BgL_linkname1611z00_2220;
						obj_t BgL_magic1612z00_2221;
						obj_t BgL_uname1613z00_2222;
						obj_t BgL_gname1614z00_2223;
						long BgL_devmajor1615z00_2224;
						long BgL_devminor1616z00_2225;

						BgL_new1617z00_2211 =
							(BgL_tarzd2headerzd2_bglt) (BgL_new1617z00_2157);
						BgL_name1603z00_2212 = BgL_name1603z00_2158;
						BgL_mode1604z00_2213 = (long) CINT(BgL_mode1604z00_2159);
						BgL_uid1605z00_2214 = (long) CINT(BgL_uid1605z00_2160);
						BgL_gid1606z00_2215 = (long) CINT(BgL_gid1606z00_2161);
						BgL_siza7e1607za7_2216 = BELONG_TO_LONG(BgL_siza7e1607za7_2162);
						BgL_mtime1608z00_2217 = BgL_mtime1608z00_2163;
						BgL_checksum1609z00_2218 = (long) CINT(BgL_checksum1609z00_2164);
						BgL_type1610z00_2219 = BgL_type1610z00_2165;
						BgL_linkname1611z00_2220 = BgL_linkname1611z00_2166;
						BgL_magic1612z00_2221 = BgL_magic1612z00_2167;
						BgL_uname1613z00_2222 = BgL_uname1613z00_2168;
						BgL_gname1614z00_2223 = BgL_gname1614z00_2169;
						BgL_devmajor1615z00_2224 = (long) CINT(BgL_devmajor1615z00_2170);
						BgL_devminor1616z00_2225 = (long) CINT(BgL_devminor1616z00_2171);
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_name1603z00_2226;
							long BgL_mode1604z00_2227;
							long BgL_uid1605z00_2228;
							long BgL_gid1606z00_2229;
							long BgL_siza7e1607za7_2230;
							obj_t BgL_mtime1608z00_2231;
							long BgL_checksum1609z00_2232;
							obj_t BgL_type1610z00_2233;
							obj_t BgL_linkname1611z00_2234;
							obj_t BgL_magic1612z00_2235;
							obj_t BgL_uname1613z00_2236;
							obj_t BgL_gname1614z00_2237;
							long BgL_devmajor1615z00_2238;
							long BgL_devminor1616z00_2239;

							BgL_name1603z00_2226 = BgL_name1603z00_2212;
							BgL_mode1604z00_2227 = BgL_mode1604z00_2213;
							BgL_uid1605z00_2228 = BgL_uid1605z00_2214;
							BgL_gid1606z00_2229 = BgL_gid1606z00_2215;
							BgL_siza7e1607za7_2230 = BgL_siza7e1607za7_2216;
							BgL_mtime1608z00_2231 = BgL_mtime1608z00_2217;
							BgL_checksum1609z00_2232 = BgL_checksum1609z00_2218;
							BgL_type1610z00_2233 = BgL_type1610z00_2219;
							BgL_linkname1611z00_2234 = BgL_linkname1611z00_2220;
							BgL_magic1612z00_2235 = BgL_magic1612z00_2221;
							BgL_uname1613z00_2236 = BgL_uname1613z00_2222;
							BgL_gname1614z00_2237 = BgL_gname1614z00_2223;
							BgL_devmajor1615z00_2238 = BgL_devmajor1615z00_2224;
							BgL_devminor1616z00_2239 = BgL_devminor1616z00_2225;
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_2211))->
									BgL_namez00) = ((obj_t) BgL_name1603z00_2226), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_2211))->
									BgL_modez00) = ((long) BgL_mode1604z00_2227), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_2211))->
									BgL_uidz00) = ((long) BgL_uid1605z00_2228), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_2211))->
									BgL_gidz00) = ((long) BgL_gid1606z00_2229), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_2211))->
									BgL_siza7eza7) = ((long) BgL_siza7e1607za7_2230), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_2211))->
									BgL_mtimez00) = ((obj_t) BgL_mtime1608z00_2231), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_2211))->
									BgL_checksumz00) =
								((long) BgL_checksum1609z00_2232), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_2211))->
									BgL_typez00) = ((obj_t) BgL_type1610z00_2233), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_2211))->
									BgL_linknamez00) =
								((obj_t) BgL_linkname1611z00_2234), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_2211))->
									BgL_magicz00) = ((obj_t) BgL_magic1612z00_2235), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_2211))->
									BgL_unamez00) = ((obj_t) BgL_uname1613z00_2236), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_2211))->
									BgL_gnamez00) = ((obj_t) BgL_gname1614z00_2237), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_2211))->
									BgL_devmajorz00) =
								((long) BgL_devmajor1615z00_2238), BUNSPEC);
							((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_2211))->
									BgL_devminorz00) =
								((long) BgL_devminor1616z00_2239), BUNSPEC);
							BgL_res2371z00_2240 = BgL_new1617z00_2211;
					}}
					BgL_auxz00_2611 = BgL_res2371z00_2240;
				}
				return (obj_t) (BgL_auxz00_2611);
			}
		}
	}



/* %allocate-tar-header */
	BGL_EXPORTED_DEF BgL_tarzd2headerzd2_bglt
		BGl_z52allocatezd2tarzd2headerz52zz__tarz00()
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{	/* Unsafe/tar.scm 50 */
				BgL_tarzd2headerzd2_bglt BgL_new1633z00_2241;
				BgL_new1633z00_2241 =
					((BgL_tarzd2headerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_tarzd2headerzd2_bgl))));
				{	/* Unsafe/tar.scm 50 */
					long BgL_arg1941z00_2242;

					BgL_arg1941z00_2242 =
						BGl_classzd2numzd2zz__objectz00(BGl_tarzd2headerzd2zz__tarz00);
					{	/* Unsafe/tar.scm 50 */
						BgL_objectz00_bglt BgL_objz00_2243;

						BgL_objz00_2243 = (BgL_objectz00_bglt) (BgL_new1633z00_2241);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2243, BgL_arg1941z00_2242);
				}}
				{	/* Unsafe/tar.scm 50 */
					BgL_objectz00_bglt BgL_auxz00_2639;

					BgL_auxz00_2639 = (BgL_objectz00_bglt) (BgL_new1633z00_2241);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_2639, BFALSE);
				}
				return BgL_new1633z00_2241;
			}
		}
	}



/* _%allocate-tar-header */
	obj_t BGl__z52allocatezd2tarzd2headerz52zz__tarz00(obj_t BgL_envz00_2124)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{	/* Unsafe/tar.scm 50 */
				BgL_tarzd2headerzd2_bglt BgL_auxz00_2642;

				{	/* Unsafe/tar.scm 50 */
					BgL_tarzd2headerzd2_bglt BgL_res2372z00_2247;

					{	/* Unsafe/tar.scm 50 */
						BgL_tarzd2headerzd2_bglt BgL_new1633z00_2244;
						BgL_new1633z00_2244 =
							((BgL_tarzd2headerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_tarzd2headerzd2_bgl))));
						{	/* Unsafe/tar.scm 50 */
							long BgL_arg1941z00_2245;

							BgL_arg1941z00_2245 =
								BGl_classzd2numzd2zz__objectz00(BGl_tarzd2headerzd2zz__tarz00);
							{	/* Unsafe/tar.scm 50 */
								BgL_objectz00_bglt BgL_objz00_2246;

								BgL_objz00_2246 = (BgL_objectz00_bglt) (BgL_new1633z00_2244);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2246, BgL_arg1941z00_2245);
						}}
						{	/* Unsafe/tar.scm 50 */
							BgL_objectz00_bglt BgL_auxz00_2647;

							BgL_auxz00_2647 = (BgL_objectz00_bglt) (BgL_new1633z00_2244);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2647, BFALSE);
						}
						BgL_res2372z00_2247 = BgL_new1633z00_2244;
					}
					BgL_auxz00_2642 = BgL_res2372z00_2247;
				}
				return (obj_t) (BgL_auxz00_2642);
			}
		}
	}



/* tar-header-nil */
	BGL_EXPORTED_DEF BgL_tarzd2headerzd2_bglt
		BGl_tarzd2headerzd2nilz00zz__tarz00()
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			if ((BGl_z52thezd2tarzd2headerzd2nilz80zz__tarz00 == BUNSPEC))
				{	/* Unsafe/tar.scm 50 */
					{	/* Unsafe/tar.scm 50 */
						BgL_tarzd2headerzd2_bglt BgL_res2281z00_1813;

						{	/* Unsafe/tar.scm 50 */
							BgL_tarzd2headerzd2_bglt BgL_new1633z00_1809;
							BgL_new1633z00_1809 =
								((BgL_tarzd2headerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_tarzd2headerzd2_bgl))));
							{	/* Unsafe/tar.scm 50 */
								long BgL_arg1941z00_1810;

								BgL_arg1941z00_1810 =
									BGl_classzd2numzd2zz__objectz00
									(BGl_tarzd2headerzd2zz__tarz00);
								{	/* Unsafe/tar.scm 50 */
									BgL_objectz00_bglt BgL_objz00_1811;

									BgL_objz00_1811 = (BgL_objectz00_bglt) (BgL_new1633z00_1809);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1811,
										BgL_arg1941z00_1810);
							}}
							{	/* Unsafe/tar.scm 50 */
								BgL_objectz00_bglt BgL_auxz00_2657;

								BgL_auxz00_2657 = (BgL_objectz00_bglt) (BgL_new1633z00_1809);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2657, BFALSE);
							}
							BgL_res2281z00_1813 = BgL_new1633z00_1809;
						}
						BGl_z52thezd2tarzd2headerzd2nilz80zz__tarz00 =
							(obj_t) (BgL_res2281z00_1813);
					}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg1949z00_1010;
						obj_t BgL_arg1950z00_1011;
						obj_t BgL_arg1953z00_1013;

						BgL_arg1949z00_1010 =
							BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00
							(BGl_string2362z00zz__tarz00, BNIL);
						BgL_arg1950z00_1011 = bgl_seconds_to_date(bgl_current_seconds());
						BgL_arg1953z00_1013 = BGl_symbol2363z00zz__tarz00;
						{	/* Unsafe/tar.scm 50 */
							BgL_tarzd2headerzd2_bglt BgL_res2283z00_1845;

							{	/* Unsafe/tar.scm 50 */
								BgL_tarzd2headerzd2_bglt BgL_new1617z00_1816;

								BgL_new1617z00_1816 =
									(BgL_tarzd2headerzd2_bglt)
									(BGl_z52thezd2tarzd2headerzd2nilz80zz__tarz00);
								{	/* Unsafe/tar.scm 50 */
									obj_t BgL_name1603z00_1831;
									long BgL_mode1604z00_1832;
									long BgL_uid1605z00_1833;
									long BgL_gid1606z00_1834;
									long BgL_siza7e1607za7_1835;
									obj_t BgL_mtime1608z00_1836;
									long BgL_checksum1609z00_1837;
									obj_t BgL_type1610z00_1838;
									obj_t BgL_linkname1611z00_1839;
									obj_t BgL_magic1612z00_1840;
									obj_t BgL_uname1613z00_1841;
									obj_t BgL_gname1614z00_1842;
									long BgL_devmajor1615z00_1843;
									long BgL_devminor1616z00_1844;

									BgL_name1603z00_1831 = BGl_string2318z00zz__tarz00;
									BgL_mode1604z00_1832 = ((long) 0);
									BgL_uid1605z00_1833 = ((long) 0);
									BgL_gid1606z00_1834 = ((long) 0);
									BgL_siza7e1607za7_1835 = BgL_arg1949z00_1010;
									BgL_mtime1608z00_1836 = BgL_arg1950z00_1011;
									BgL_checksum1609z00_1837 = ((long) 0);
									BgL_type1610z00_1838 = BgL_arg1953z00_1013;
									BgL_linkname1611z00_1839 = BGl_string2318z00zz__tarz00;
									BgL_magic1612z00_1840 = BGl_string2318z00zz__tarz00;
									BgL_uname1613z00_1841 = BGl_string2318z00zz__tarz00;
									BgL_gname1614z00_1842 = BGl_string2318z00zz__tarz00;
									BgL_devmajor1615z00_1843 = ((long) 0);
									BgL_devminor1616z00_1844 = ((long) 0);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1816))->
											BgL_namez00) = ((obj_t) BgL_name1603z00_1831), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1816))->
											BgL_modez00) = ((long) BgL_mode1604z00_1832), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1816))->
											BgL_uidz00) = ((long) BgL_uid1605z00_1833), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1816))->
											BgL_gidz00) = ((long) BgL_gid1606z00_1834), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1816))->
											BgL_siza7eza7) =
										((long) BgL_siza7e1607za7_1835), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1816))->
											BgL_mtimez00) = ((obj_t) BgL_mtime1608z00_1836), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1816))->
											BgL_checksumz00) =
										((long) BgL_checksum1609z00_1837), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1816))->
											BgL_typez00) = ((obj_t) BgL_type1610z00_1838), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1816))->
											BgL_linknamez00) =
										((obj_t) BgL_linkname1611z00_1839), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1816))->
											BgL_magicz00) = ((obj_t) BgL_magic1612z00_1840), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1816))->
											BgL_unamez00) = ((obj_t) BgL_uname1613z00_1841), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1816))->
											BgL_gnamez00) = ((obj_t) BgL_gname1614z00_1842), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1816))->
											BgL_devmajorz00) =
										((long) BgL_devmajor1615z00_1843), BUNSPEC);
									((((BgL_tarzd2headerzd2_bglt) CREF(BgL_new1617z00_1816))->
											BgL_devminorz00) =
										((long) BgL_devminor1616z00_1844), BUNSPEC);
									BgL_res2283z00_1845 = BgL_new1617z00_1816;
							}}
							(obj_t) (BgL_res2283z00_1845);
				}}}
			else
				{	/* Unsafe/tar.scm 50 */
					BFALSE;
				}
			return
				(BgL_tarzd2headerzd2_bglt)
				(BGl_z52thezd2tarzd2headerzd2nilz80zz__tarz00);
		}
	}



/* _tar-header-nil */
	obj_t BGl__tarzd2headerzd2nilz00zz__tarz00(obj_t BgL_envz00_2153)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{	/* Unsafe/tar.scm 50 */
				BgL_tarzd2headerzd2_bglt BgL_auxz00_2681;

				BgL_auxz00_2681 = BGl_tarzd2headerzd2nilz00zz__tarz00();
				return (obj_t) (BgL_auxz00_2681);
			}
		}
	}



/* _tar-header-name */
	obj_t BGl__tarzd2headerzd2namez00zz__tarz00(obj_t BgL_envz00_2125,
		obj_t BgL_obj1572z00_2126)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 51 */
			{	/* Unsafe/tar.scm 51 */
				BgL_tarzd2headerzd2_bglt BgL_obj1572z00_2248;

				BgL_obj1572z00_2248 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1572z00_2126);
				return
					(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1572z00_2248))->BgL_namez00);
			}
		}
	}



/* _tar-header-mode */
	obj_t BGl__tarzd2headerzd2modez00zz__tarz00(obj_t BgL_envz00_2127,
		obj_t BgL_obj1573z00_2128)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 52 */
			{	/* Unsafe/tar.scm 52 */
				long BgL_auxz00_2686;

				{	/* Unsafe/tar.scm 52 */
					BgL_tarzd2headerzd2_bglt BgL_obj1573z00_2249;

					BgL_obj1573z00_2249 =
						(BgL_tarzd2headerzd2_bglt) (BgL_obj1573z00_2128);
					BgL_auxz00_2686 =
						(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1573z00_2249))->
						BgL_modez00);
				}
				return BINT(BgL_auxz00_2686);
			}
		}
	}



/* _tar-header-uid */
	obj_t BGl__tarzd2headerzd2uidz00zz__tarz00(obj_t BgL_envz00_2129,
		obj_t BgL_obj1575z00_2130)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 53 */
			{	/* Unsafe/tar.scm 53 */
				long BgL_auxz00_2690;

				{	/* Unsafe/tar.scm 53 */
					BgL_tarzd2headerzd2_bglt BgL_obj1575z00_2250;

					BgL_obj1575z00_2250 =
						(BgL_tarzd2headerzd2_bglt) (BgL_obj1575z00_2130);
					BgL_auxz00_2690 =
						(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1575z00_2250))->
						BgL_uidz00);
				}
				return BINT(BgL_auxz00_2690);
			}
		}
	}



/* _tar-header-gid */
	obj_t BGl__tarzd2headerzd2gidz00zz__tarz00(obj_t BgL_envz00_2131,
		obj_t BgL_obj1576z00_2132)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 54 */
			{	/* Unsafe/tar.scm 54 */
				long BgL_auxz00_2694;

				{	/* Unsafe/tar.scm 54 */
					BgL_tarzd2headerzd2_bglt BgL_obj1576z00_2251;

					BgL_obj1576z00_2251 =
						(BgL_tarzd2headerzd2_bglt) (BgL_obj1576z00_2132);
					BgL_auxz00_2694 =
						(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1576z00_2251))->
						BgL_gidz00);
				}
				return BINT(BgL_auxz00_2694);
			}
		}
	}



/* _tar-header-size */
	obj_t BGl__tarzd2headerzd2siza7eza7zz__tarz00(obj_t BgL_envz00_2133,
		obj_t BgL_obj1577z00_2134)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 55 */
			{	/* Unsafe/tar.scm 55 */
				long BgL_auxz00_2698;

				{	/* Unsafe/tar.scm 55 */
					BgL_tarzd2headerzd2_bglt BgL_obj1577z00_2252;

					BgL_obj1577z00_2252 =
						(BgL_tarzd2headerzd2_bglt) (BgL_obj1577z00_2134);
					BgL_auxz00_2698 =
						(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1577z00_2252))->
						BgL_siza7eza7);
				}
				return make_belong(BgL_auxz00_2698);
			}
		}
	}



/* _tar-header-mtime */
	obj_t BGl__tarzd2headerzd2mtimez00zz__tarz00(obj_t BgL_envz00_2135,
		obj_t BgL_obj1578z00_2136)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 56 */
			{	/* Unsafe/tar.scm 56 */
				BgL_tarzd2headerzd2_bglt BgL_obj1578z00_2253;

				BgL_obj1578z00_2253 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1578z00_2136);
				return
					(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1578z00_2253))->
					BgL_mtimez00);
			}
		}
	}



/* _tar-header-checksum */
	obj_t BGl__tarzd2headerzd2checksumz00zz__tarz00(obj_t BgL_envz00_2137,
		obj_t BgL_obj1579z00_2138)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 57 */
			{	/* Unsafe/tar.scm 57 */
				long BgL_auxz00_2704;

				{	/* Unsafe/tar.scm 57 */
					BgL_tarzd2headerzd2_bglt BgL_obj1579z00_2254;

					BgL_obj1579z00_2254 =
						(BgL_tarzd2headerzd2_bglt) (BgL_obj1579z00_2138);
					BgL_auxz00_2704 =
						(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1579z00_2254))->
						BgL_checksumz00);
				}
				return BINT(BgL_auxz00_2704);
			}
		}
	}



/* _tar-header-type */
	obj_t BGl__tarzd2headerzd2typez00zz__tarz00(obj_t BgL_envz00_2139,
		obj_t BgL_obj1580z00_2140)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 58 */
			{	/* Unsafe/tar.scm 58 */
				BgL_tarzd2headerzd2_bglt BgL_obj1580z00_2255;

				BgL_obj1580z00_2255 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1580z00_2140);
				return
					(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1580z00_2255))->BgL_typez00);
			}
		}
	}



/* _tar-header-linkname */
	obj_t BGl__tarzd2headerzd2linknamez00zz__tarz00(obj_t BgL_envz00_2141,
		obj_t BgL_obj1581z00_2142)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 59 */
			{	/* Unsafe/tar.scm 59 */
				BgL_tarzd2headerzd2_bglt BgL_obj1581z00_2256;

				BgL_obj1581z00_2256 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1581z00_2142);
				return
					(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1581z00_2256))->
					BgL_linknamez00);
			}
		}
	}



/* _tar-header-magic */
	obj_t BGl__tarzd2headerzd2magicz00zz__tarz00(obj_t BgL_envz00_2143,
		obj_t BgL_obj1582z00_2144)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 60 */
			{	/* Unsafe/tar.scm 60 */
				BgL_tarzd2headerzd2_bglt BgL_obj1582z00_2257;

				BgL_obj1582z00_2257 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1582z00_2144);
				return
					(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1582z00_2257))->
					BgL_magicz00);
			}
		}
	}



/* _tar-header-uname */
	obj_t BGl__tarzd2headerzd2unamez00zz__tarz00(obj_t BgL_envz00_2145,
		obj_t BgL_obj1583z00_2146)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 61 */
			{	/* Unsafe/tar.scm 61 */
				BgL_tarzd2headerzd2_bglt BgL_obj1583z00_2258;

				BgL_obj1583z00_2258 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1583z00_2146);
				return
					(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1583z00_2258))->
					BgL_unamez00);
			}
		}
	}



/* _tar-header-gname */
	obj_t BGl__tarzd2headerzd2gnamez00zz__tarz00(obj_t BgL_envz00_2147,
		obj_t BgL_obj1584z00_2148)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 62 */
			{	/* Unsafe/tar.scm 62 */
				BgL_tarzd2headerzd2_bglt BgL_obj1584z00_2259;

				BgL_obj1584z00_2259 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1584z00_2148);
				return
					(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1584z00_2259))->
					BgL_gnamez00);
			}
		}
	}



/* _tar-header-devmajor */
	obj_t BGl__tarzd2headerzd2devmajorz00zz__tarz00(obj_t BgL_envz00_2149,
		obj_t BgL_obj1585z00_2150)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 63 */
			{	/* Unsafe/tar.scm 63 */
				long BgL_auxz00_2718;

				{	/* Unsafe/tar.scm 63 */
					BgL_tarzd2headerzd2_bglt BgL_obj1585z00_2260;

					BgL_obj1585z00_2260 =
						(BgL_tarzd2headerzd2_bglt) (BgL_obj1585z00_2150);
					BgL_auxz00_2718 =
						(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1585z00_2260))->
						BgL_devmajorz00);
				}
				return BINT(BgL_auxz00_2718);
			}
		}
	}



/* _tar-header-devminor */
	obj_t BGl__tarzd2headerzd2devminorz00zz__tarz00(obj_t BgL_envz00_2151,
		obj_t BgL_obj1586z00_2152)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 64 */
			{	/* Unsafe/tar.scm 64 */
				long BgL_auxz00_2722;

				{	/* Unsafe/tar.scm 64 */
					BgL_tarzd2headerzd2_bglt BgL_obj1586z00_2261;

					BgL_obj1586z00_2261 =
						(BgL_tarzd2headerzd2_bglt) (BgL_obj1586z00_2152);
					BgL_auxz00_2722 =
						(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1586z00_2261))->
						BgL_devminorz00);
				}
				return BINT(BgL_auxz00_2722);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__tarz00()
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 17 */
			{	/* Unsafe/tar.scm 17 */
				obj_t BgL_objectzd2ze3structzd2tarzd2h1737z31_2173;

				BgL_objectzd2ze3structzd2tarzd2h1737z31_2173 =
					make_fx_procedure(BGl_objectzd2ze3structzd2tarzd2h1737z31zz__tarz00,
					(int) (((long) 1)), (int) (((long) 0)));
				BGl_addzd2methodz12zc0zz__objectz00
					(BGl_objectzd2ze3structzd2envze3zz__objectz00,
					BGl_tarzd2headerzd2zz__tarz00,
					BgL_objectzd2ze3structzd2tarzd2h1737z31_2173);
			}
			{	/* Unsafe/tar.scm 17 */
				obj_t BgL_structzb2objectzd2ze3objec1739z83_2172;

				BgL_structzb2objectzd2ze3objec1739z83_2172 =
					make_fx_procedure(BGl_structzb2objectzd2ze3objec1739z83zz__tarz00,
					(int) (((long) 2)), (int) (((long) 0)));
				return
					BGl_addzd2methodz12zc0zz__objectz00
					(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
					BGl_tarzd2headerzd2zz__tarz00,
					BgL_structzb2objectzd2ze3objec1739z83_2172);
			}
		}
	}



/* struct+object->objec1739 */
	obj_t BGl_structzb2objectzd2ze3objec1739z83zz__tarz00(obj_t BgL_envz00_2174,
		obj_t BgL_oz00_2175, obj_t BgL_sz00_2176)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{
				BgL_tarzd2headerzd2_bglt BgL_oz00_1172;
				obj_t BgL_sz00_1173;

				{	/* Unsafe/tar.scm 50 */
					BgL_tarzd2headerzd2_bglt BgL_auxz00_2734;

					BgL_oz00_1172 = (BgL_tarzd2headerzd2_bglt) (BgL_oz00_2175);
					BgL_sz00_1173 = BgL_sz00_2176;
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg2012z00_1176;

						BgL_arg2012z00_1176 = STRUCT_REF(BgL_sz00_1173, (int) (((long) 0)));
						{	/* Unsafe/tar.scm 50 */
							BgL_objectz00_bglt BgL_auxz00_2737;

							BgL_auxz00_2737 = (BgL_objectz00_bglt) (BgL_oz00_1172);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2737, BgL_arg2012z00_1176);
					}}
					{
						obj_t BgL_auxz00_2740;

						BgL_auxz00_2740 = STRUCT_REF(BgL_sz00_1173, (int) (((long) 1)));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1172))->BgL_namez00) =
							((obj_t) BgL_auxz00_2740), BUNSPEC);
					}
					{
						long BgL_auxz00_2744;

						BgL_auxz00_2744 =
							(long) CINT(STRUCT_REF(BgL_sz00_1173, (int) (((long) 2))));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1172))->BgL_modez00) =
							((long) BgL_auxz00_2744), BUNSPEC);
					}
					{
						long BgL_auxz00_2749;

						BgL_auxz00_2749 =
							(long) CINT(STRUCT_REF(BgL_sz00_1173, (int) (((long) 3))));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1172))->BgL_uidz00) =
							((long) BgL_auxz00_2749), BUNSPEC);
					}
					{
						long BgL_auxz00_2754;

						BgL_auxz00_2754 =
							(long) CINT(STRUCT_REF(BgL_sz00_1173, (int) (((long) 4))));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1172))->BgL_gidz00) =
							((long) BgL_auxz00_2754), BUNSPEC);
					}
					{	/* Unsafe/tar.scm 50 */
						long BgL_v1654z00_1181;

						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_auxz00_2759;

							BgL_auxz00_2759 = STRUCT_REF(BgL_sz00_1173, (int) (((long) 5)));
							BgL_v1654z00_1181 = BELONG_TO_LONG(BgL_auxz00_2759);
						}
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1172))->BgL_siza7eza7) =
							((long) BgL_v1654z00_1181), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2764;

						BgL_auxz00_2764 = STRUCT_REF(BgL_sz00_1173, (int) (((long) 6)));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1172))->BgL_mtimez00) =
							((obj_t) BgL_auxz00_2764), BUNSPEC);
					}
					{
						long BgL_auxz00_2768;

						BgL_auxz00_2768 =
							(long) CINT(STRUCT_REF(BgL_sz00_1173, (int) (((long) 7))));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1172))->
								BgL_checksumz00) = ((long) BgL_auxz00_2768), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2773;

						BgL_auxz00_2773 = STRUCT_REF(BgL_sz00_1173, (int) (((long) 8)));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1172))->BgL_typez00) =
							((obj_t) BgL_auxz00_2773), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2777;

						BgL_auxz00_2777 = STRUCT_REF(BgL_sz00_1173, (int) (((long) 9)));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1172))->
								BgL_linknamez00) = ((obj_t) BgL_auxz00_2777), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2781;

						BgL_auxz00_2781 = STRUCT_REF(BgL_sz00_1173, (int) (((long) 10)));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1172))->BgL_magicz00) =
							((obj_t) BgL_auxz00_2781), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2785;

						BgL_auxz00_2785 = STRUCT_REF(BgL_sz00_1173, (int) (((long) 11)));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1172))->BgL_unamez00) =
							((obj_t) BgL_auxz00_2785), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2789;

						BgL_auxz00_2789 = STRUCT_REF(BgL_sz00_1173, (int) (((long) 12)));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1172))->BgL_gnamez00) =
							((obj_t) BgL_auxz00_2789), BUNSPEC);
					}
					{
						long BgL_auxz00_2793;

						BgL_auxz00_2793 =
							(long) CINT(STRUCT_REF(BgL_sz00_1173, (int) (((long) 13))));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1172))->
								BgL_devmajorz00) = ((long) BgL_auxz00_2793), BUNSPEC);
					}
					{
						long BgL_auxz00_2798;

						BgL_auxz00_2798 =
							(long) CINT(STRUCT_REF(BgL_sz00_1173, (int) (((long) 14))));
						((((BgL_tarzd2headerzd2_bglt) CREF(BgL_oz00_1172))->
								BgL_devminorz00) = ((long) BgL_auxz00_2798), BUNSPEC);
					}
					BgL_auxz00_2734 = BgL_oz00_1172;
					return (obj_t) (BgL_auxz00_2734);
				}
			}
		}
	}



/* object->struct-tar-h1737 */
	obj_t BGl_objectzd2ze3structzd2tarzd2h1737z31zz__tarz00(obj_t BgL_envz00_2177,
		obj_t BgL_obj1634z00_2178)
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 50 */
			{
				BgL_tarzd2headerzd2_bglt BgL_obj1634z00_1138;

				BgL_obj1634z00_1138 = (BgL_tarzd2headerzd2_bglt) (BgL_obj1634z00_2178);
				{	/* Unsafe/tar.scm 50 */
					obj_t BgL_res1635z00_1141;

					BgL_res1635z00_1141 =
						make_struct(BGl_symbol2357z00zz__tarz00,
						(int) (((long) 15)), BUNSPEC);
					{	/* Unsafe/tar.scm 50 */
						int BgL_auxz00_2807;

						BgL_auxz00_2807 = (int) (((long) 0));
						STRUCT_SET(BgL_res1635z00_1141, BgL_auxz00_2807, BFALSE);
					}
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg1983z00_1143;

						BgL_arg1983z00_1143 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1634z00_1138))->
							BgL_namez00);
						{	/* Unsafe/tar.scm 50 */
							int BgL_auxz00_2811;

							BgL_auxz00_2811 = (int) (((long) 1));
							STRUCT_SET(BgL_res1635z00_1141, BgL_auxz00_2811,
								BgL_arg1983z00_1143);
					}}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg1985z00_1145;

						BgL_arg1985z00_1145 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1634z00_1138))->
							BgL_modez00);
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_auxz00_2817;
							int BgL_auxz00_2815;

							BgL_auxz00_2817 = BINT(BgL_arg1985z00_1145);
							BgL_auxz00_2815 = (int) (((long) 2));
							STRUCT_SET(BgL_res1635z00_1141, BgL_auxz00_2815, BgL_auxz00_2817);
					}}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg1987z00_1147;

						BgL_arg1987z00_1147 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1634z00_1138))->
							BgL_uidz00);
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_auxz00_2823;
							int BgL_auxz00_2821;

							BgL_auxz00_2823 = BINT(BgL_arg1987z00_1147);
							BgL_auxz00_2821 = (int) (((long) 3));
							STRUCT_SET(BgL_res1635z00_1141, BgL_auxz00_2821, BgL_auxz00_2823);
					}}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg1989z00_1149;

						BgL_arg1989z00_1149 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1634z00_1138))->
							BgL_gidz00);
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_auxz00_2829;
							int BgL_auxz00_2827;

							BgL_auxz00_2829 = BINT(BgL_arg1989z00_1149);
							BgL_auxz00_2827 = (int) (((long) 4));
							STRUCT_SET(BgL_res1635z00_1141, BgL_auxz00_2827, BgL_auxz00_2829);
					}}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg1991z00_1151;

						BgL_arg1991z00_1151 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1634z00_1138))->
							BgL_siza7eza7);
						{	/* Unsafe/tar.scm 50 */
							int BgL_kz00_1870;
							obj_t BgL_oz00_1871;

							BgL_kz00_1870 = (int) (((long) 5));
							BgL_oz00_1871 = make_belong(BgL_arg1991z00_1151);
							STRUCT_SET(BgL_res1635z00_1141, BgL_kz00_1870, BgL_oz00_1871);
					}}
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg1993z00_1153;

						BgL_arg1993z00_1153 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1634z00_1138))->
							BgL_mtimez00);
						{	/* Unsafe/tar.scm 50 */
							int BgL_auxz00_2837;

							BgL_auxz00_2837 = (int) (((long) 6));
							STRUCT_SET(BgL_res1635z00_1141, BgL_auxz00_2837,
								BgL_arg1993z00_1153);
					}}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg1995z00_1155;

						BgL_arg1995z00_1155 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1634z00_1138))->
							BgL_checksumz00);
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_auxz00_2843;
							int BgL_auxz00_2841;

							BgL_auxz00_2843 = BINT(BgL_arg1995z00_1155);
							BgL_auxz00_2841 = (int) (((long) 7));
							STRUCT_SET(BgL_res1635z00_1141, BgL_auxz00_2841, BgL_auxz00_2843);
					}}
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg1997z00_1157;

						BgL_arg1997z00_1157 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1634z00_1138))->
							BgL_typez00);
						{	/* Unsafe/tar.scm 50 */
							int BgL_auxz00_2847;

							BgL_auxz00_2847 = (int) (((long) 8));
							STRUCT_SET(BgL_res1635z00_1141, BgL_auxz00_2847,
								BgL_arg1997z00_1157);
					}}
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg1999z00_1159;

						BgL_arg1999z00_1159 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1634z00_1138))->
							BgL_linknamez00);
						{	/* Unsafe/tar.scm 50 */
							int BgL_auxz00_2851;

							BgL_auxz00_2851 = (int) (((long) 9));
							STRUCT_SET(BgL_res1635z00_1141, BgL_auxz00_2851,
								BgL_arg1999z00_1159);
					}}
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg2001z00_1161;

						BgL_arg2001z00_1161 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1634z00_1138))->
							BgL_magicz00);
						{	/* Unsafe/tar.scm 50 */
							int BgL_auxz00_2855;

							BgL_auxz00_2855 = (int) (((long) 10));
							STRUCT_SET(BgL_res1635z00_1141, BgL_auxz00_2855,
								BgL_arg2001z00_1161);
					}}
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg2003z00_1163;

						BgL_arg2003z00_1163 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1634z00_1138))->
							BgL_unamez00);
						{	/* Unsafe/tar.scm 50 */
							int BgL_auxz00_2859;

							BgL_auxz00_2859 = (int) (((long) 11));
							STRUCT_SET(BgL_res1635z00_1141, BgL_auxz00_2859,
								BgL_arg2003z00_1163);
					}}
					{	/* Unsafe/tar.scm 50 */
						obj_t BgL_arg2006z00_1165;

						BgL_arg2006z00_1165 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1634z00_1138))->
							BgL_gnamez00);
						{	/* Unsafe/tar.scm 50 */
							int BgL_auxz00_2863;

							BgL_auxz00_2863 = (int) (((long) 12));
							STRUCT_SET(BgL_res1635z00_1141, BgL_auxz00_2863,
								BgL_arg2006z00_1165);
					}}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg2008z00_1167;

						BgL_arg2008z00_1167 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1634z00_1138))->
							BgL_devmajorz00);
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_auxz00_2869;
							int BgL_auxz00_2867;

							BgL_auxz00_2869 = BINT(BgL_arg2008z00_1167);
							BgL_auxz00_2867 = (int) (((long) 13));
							STRUCT_SET(BgL_res1635z00_1141, BgL_auxz00_2867, BgL_auxz00_2869);
					}}
					{	/* Unsafe/tar.scm 50 */
						long BgL_arg2010z00_1169;

						BgL_arg2010z00_1169 =
							(((BgL_tarzd2headerzd2_bglt) CREF(BgL_obj1634z00_1138))->
							BgL_devminorz00);
						{	/* Unsafe/tar.scm 50 */
							obj_t BgL_auxz00_2875;
							int BgL_auxz00_2873;

							BgL_auxz00_2875 = BINT(BgL_arg2010z00_1169);
							BgL_auxz00_2873 = (int) (((long) 14));
							STRUCT_SET(BgL_res1635z00_1141, BgL_auxz00_2873, BgL_auxz00_2875);
					}}
					return BgL_res1635z00_1141;
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__tarz00()
	{
		AN_OBJECT;
		{	/* Unsafe/tar.scm 17 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string2365z00zz__tarz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 320947253),
				BSTRING_TO_STRING(BGl_string2366z00zz__tarz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					490722456), BSTRING_TO_STRING(BGl_string2367z00zz__tarz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					183289170), BSTRING_TO_STRING(BGl_string2368z00zz__tarz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 276194849),
				BSTRING_TO_STRING(BGl_string2369z00zz__tarz00));
			return BGl_modulezd2initializa7ationz75zz__rgcz00(((long) 108911503),
				BSTRING_TO_STRING(BGl_string2370z00zz__tarz00));
		}
	}

#ifdef __cplusplus
}
#endif
