/*===========================================================================*/
/*   (Rgc/rgc.scm)                                                           */
/*   Bigloo (3.0a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:06:35 CEST 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0a -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Rgc/rgc.scm -indent -o objs/obj_u/Rgc/rgc.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl__rgczd2fillzd2buffer1462z00zz__rgcz00(obj_t, obj_t);
	extern obj_t rgc_buffer_integer(obj_t);
	extern bool_t rgc_buffer_eol_p(obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2stopzd2matchz12z12zz__rgcz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__rgcz00();
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2bytezd2refzd2zz__rgcz00(obj_t, int);
	extern obj_t rgc_buffer_subsymbol(obj_t, long, long);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2substringz00zz__rgcz00(obj_t, long,
		long);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2downcasezd2symbolzd2zz__rgcz00(obj_t);
	static obj_t BGl__rgczd2bufferzd2integer1448z00zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2lengthz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2upcasezd2keywordzd2zz__rgcz00(obj_t);
	static obj_t BGl__rgczd2bufferzd2upcasezd2s1453zd2zz__rgcz00(obj_t, obj_t);
	static obj_t BGl__rgczd2setzd2fileposz121458z12zz__rgcz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t rgc_buffer_keyword(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2downcasezd2keywordzd2zz__rgcz00(obj_t);
	static obj_t BGl__rgczd2bufferzd2characte1442z00zz__rgcz00(obj_t, obj_t);
	extern obj_t rgc_buffer_substring(obj_t, long, long);
	extern long rgc_buffer_fixnum(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__rgcz00 = BUNSPEC;
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2bytez00zz__rgcz00(obj_t);
	extern obj_t rgc_buffer_downcase_symbol(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2emptyzf3zf3zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2integerz00zz__rgcz00(obj_t);
	static obj_t BGl__rgczd2bufferzd2emptyzf31461zf3zz__rgcz00(obj_t, obj_t);
	extern obj_t rgc_buffer_upcase_symbol(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2fillzd2bufferz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2bofzf3zf3zz__rgcz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2unsafezd2rgcza2zd2zz__rgcz00 = BUNSPEC;
	static obj_t BGl__rgczd2bufferzd2length1446z00zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2keywordz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL double BGl_rgczd2bufferzd2flonumz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2setzd2fileposz12z12zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2bolzf3zf3zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2symbolz00zz__rgcz00(obj_t);
	static obj_t BGl__rgczd2bufferzd2symbol1450z00zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2positionz00zz__rgcz00(obj_t);
	extern obj_t rgc_buffer_downcase_keyword(obj_t);
	static obj_t BGl__rgczd2bufferzd2downcase1452z00zz__rgcz00(obj_t, obj_t);
	static obj_t BGl__rgczd2bufferzd2downcase1455z00zz__rgcz00(obj_t, obj_t);
	static obj_t BGl__rgczd2bufferzd2fixnum1447z00zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2eofzf3zf3zz__rgcz00(obj_t);
	extern bool_t rgc_fill_buffer(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_rgczd2fillzd2bufferzd2ifzd2emptyz00zz__rgcz00(obj_t);
	static obj_t BGl__rgczd2bufferzd2getzd2char1440zd2zz__rgcz00(obj_t, obj_t);
	static obj_t BGl__rgczd2bufferzd2upcasezd2k1456zd2zz__rgcz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__rgcz00();
	static obj_t BGl__rgczd2bufferzd2bytezd2ref1444zd2zz__rgcz00(obj_t, obj_t,
		obj_t);
	extern bool_t rgc_buffer_bof_p(obj_t);
	static obj_t BGl__rgczd2bufferzd2substrin1445z00zz__rgcz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2bufferzd2eolzf3zf3zz__rgcz00(obj_t);
	static obj_t BGl__rgczd2stopzd2matchz121460z12zz__rgcz00(obj_t, obj_t);
	static obj_t BGl__rgczd2bufferzd2bolzf31463zf3zz__rgcz00(obj_t, obj_t);
	static obj_t BGl__rgczd2startzd2matchz121459z12zz__rgcz00(obj_t, obj_t);
	static obj_t BGl__rgczd2bufferzd2position1457z00zz__rgcz00(obj_t, obj_t);
	extern bool_t rgc_buffer_bol_p(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgcz00();
	static obj_t BGl__rgczd2bufferzd2bofzf31465zf3zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2bufferzd2fixnumz00zz__rgcz00(obj_t);
	static obj_t BGl_symbol1467z00zz__rgcz00 = BUNSPEC;
	static obj_t BGl_symbol1469z00zz__rgcz00 = BUNSPEC;
	static obj_t BGl_symbol1471z00zz__rgcz00 = BUNSPEC;
	extern double rgc_buffer_flonum(obj_t);
	static obj_t BGl__rgczd2thezd2submatchz00zz__rgcz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl__rgczd2bufferzd2flonum1449z00zz__rgcz00(obj_t, obj_t);
	extern obj_t rgc_buffer_symbol(obj_t);
	static obj_t BGl__rgczd2bufferzd2ungetzd2ch1441zd2zz__rgcz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2ungetzd2charzd2zz__rgcz00(obj_t,
		int);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2thezd2submatchz00zz__rgcz00(obj_t, long,
		long, long);
	static obj_t BGl__rgczd2fillzd2bufferzd2ifzd2emptyz00zz__rgcz00(obj_t, obj_t);
	extern bool_t rgc_buffer_eof_p(obj_t);
	extern obj_t rgc_buffer_upcase_keyword(obj_t);
	BGL_EXPORTED_DECL unsigned char
		BGl_rgczd2bufferzd2characterz00zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2bufferzd2subsymbolz00zz__rgcz00(obj_t, long,
		long);
	static obj_t BGl__rgczd2bufferzd2keyword1454z00zz__rgcz00(obj_t, obj_t);
	static obj_t BGl__rgczd2bufferzd2eolzf31464zf3zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_rgczd2startzd2matchz12z12zz__rgcz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rgczd2bufferzd2upcasezd2symbolzd2zz__rgcz00(obj_t);
	static obj_t BGl__rgczd2bufferzd2eofzf31466zf3zz__rgcz00(obj_t, obj_t);
	BGL_EXPORTED_DECL int BGl_rgczd2bufferzd2getzd2charzd2zz__rgcz00(obj_t);
	extern int rgc_buffer_unget_char(obj_t, int);
	static obj_t BGl__rgczd2bufferzd2byte1443z00zz__rgcz00(obj_t, obj_t);
	static obj_t BGl__rgczd2bufferzd2subsymbo1451z00zz__rgcz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2eolzf3zd2envz21zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21474z00,
		BGl__rgczd2bufferzd2eolzf31464zf3zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2eofzf3zd2envz21zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21475z00,
		BGl__rgczd2bufferzd2eofzf31466zf3zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2getzd2charzd2envz00zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21476z00,
		BGl__rgczd2bufferzd2getzd2char1440zd2zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2bytezd2refzd2envz00zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21477z00,
		BGl__rgczd2bufferzd2bytezd2ref1444zd2zz__rgcz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2keywordzd2envzd2zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21478z00,
		BGl__rgczd2bufferzd2keyword1454z00zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2fillzd2bufferzd2envzd2zz__rgcz00,
		BgL_bgl__rgcza7d2fillza7d2bu1479z00,
		BGl__rgczd2fillzd2buffer1462z00zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bytezd2envzd2zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21480z00,
		BGl__rgczd2bufferzd2byte1443z00zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2setzd2fileposz12zd2envzc0zz__rgcz00,
		BgL_bgl__rgcza7d2setza7d2fil1481z00,
		BGl__rgczd2setzd2fileposz121458z12zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2characterzd2envzd2zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21482z00,
		BGl__rgczd2bufferzd2characte1442z00zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2positionzd2envzd2zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21483z00,
		BGl__rgczd2bufferzd2position1457z00zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2upcasezd2keywordzd2envz00zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21484z00,
		BGl__rgczd2bufferzd2upcasezd2k1456zd2zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2integerzd2envzd2zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21485z00,
		BGl__rgczd2bufferzd2integer1448z00zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2emptyzf3zd2envz21zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21486z00,
		BGl__rgczd2bufferzd2emptyzf31461zf3zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2upcasezd2symbolzd2envz00zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21487z00,
		BGl__rgczd2bufferzd2upcasezd2s1453zd2zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2lengthzd2envzd2zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21488z00,
		BGl__rgczd2bufferzd2length1446z00zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2downcasezd2symbolzd2envz00zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21489z00,
		BGl__rgczd2bufferzd2downcase1452z00zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2symbolzd2envzd2zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21490z00,
		BGl__rgczd2bufferzd2symbol1450z00zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2substringzd2envzd2zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21491z00,
		BGl__rgczd2bufferzd2substrin1445z00zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2subsymbolzd2envzd2zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21492z00,
		BGl__rgczd2bufferzd2subsymbo1451z00zz__rgcz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2fixnumzd2envzd2zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21493z00,
		BGl__rgczd2bufferzd2fixnum1447z00zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1468z00zz__rgcz00,
		BgL_bgl_string1468za700za7za7_1494za7, "stop", 4);
	      DEFINE_STRING(BGl_string1470z00zz__rgcz00,
		BgL_bgl_string1470za700za7za7_1495za7, "start", 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2downcasezd2keywordzd2envz00zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21496z00,
		BGl__rgczd2bufferzd2downcase1455z00zz__rgcz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1472z00zz__rgcz00,
		BgL_bgl_string1472za700za7za7_1497za7, "start*", 6);
	      DEFINE_STRING(BGl_string1473z00zz__rgcz00,
		BgL_bgl_string1473za700za7za7_1498za7, "__error", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2startzd2matchz12zd2envzc0zz__rgcz00,
		BgL_bgl__rgcza7d2startza7d2m1499z00,
		BGl__rgczd2startzd2matchz121459z12zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2stopzd2matchz12zd2envzc0zz__rgcz00,
		BgL_bgl__rgcza7d2stopza7d2ma1500z00,
		BGl__rgczd2stopzd2matchz121460z12zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bolzf3zd2envz21zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21501z00,
		BGl__rgczd2bufferzd2bolzf31463zf3zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2bofzf3zd2envz21zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21502z00,
		BGl__rgczd2bufferzd2bofzf31465zf3zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2bufferzd2flonumzd2envzd2zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21503z00,
		BGl__rgczd2bufferzd2flonum1449z00zz__rgcz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2bufferzd2ungetzd2charzd2envz00zz__rgcz00,
		BgL_bgl__rgcza7d2bufferza7d21504z00,
		BGl__rgczd2bufferzd2ungetzd2ch1441zd2zz__rgcz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2thezd2submatchzd2envzd2zz__rgcz00,
		BgL_bgl__rgcza7d2theza7d2sub1505z00, BGl__rgczd2thezd2submatchz00zz__rgcz00,
		0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2fillzd2bufferzd2ifzd2emptyzd2envzd2zz__rgcz00,
		BgL_bgl__rgcza7d2fillza7d2bu1506z00,
		BGl__rgczd2fillzd2bufferzd2ifzd2emptyz00zz__rgcz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long
		BgL_checksumz00_1084, char *BgL_fromz00_1085)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgcz00))
				{
					BGl_requirezd2initializa7ationz75zz__rgcz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__rgcz00();
					BGl_importedzd2moduleszd2initz00zz__rgcz00();
					BGl_toplevelzd2initzd2zz__rgcz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgcz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 17 */
			BGl_symbol1467z00zz__rgcz00 =
				bstring_to_symbol(BGl_string1468z00zz__rgcz00);
			BGl_symbol1469z00zz__rgcz00 =
				bstring_to_symbol(BGl_string1470z00zz__rgcz00);
			return (BGl_symbol1471z00zz__rgcz00 =
				bstring_to_symbol(BGl_string1472z00zz__rgcz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgcz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 17 */
			return (BGl_za2unsafezd2rgcza2zd2zz__rgcz00 = BFALSE, BUNSPEC);
		}
	}



/* rgc-buffer-get-char */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2getzd2charzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_1)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 209 */
			return RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_1);
		}
	}



/* _rgc-buffer-get-char1440 */
	obj_t BGl__rgczd2bufferzd2getzd2char1440zd2zz__rgcz00(obj_t BgL_envz00_983,
		obj_t BgL_inputzd2portzd2_984)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 209 */
			return BINT(RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_984));
		}
	}



/* rgc-buffer-unget-char */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2ungetzd2charzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_2, int BgL_charz00_3)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 215 */
			return rgc_buffer_unget_char(BgL_inputzd2portzd2_2, BgL_charz00_3);
		}
	}



/* _rgc-buffer-unget-ch1441 */
	obj_t BGl__rgczd2bufferzd2ungetzd2ch1441zd2zz__rgcz00(obj_t BgL_envz00_985,
		obj_t BgL_inputzd2portzd2_986, obj_t BgL_charz00_987)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 215 */
			return
				BINT(rgc_buffer_unget_char(BgL_inputzd2portzd2_986,
					CINT(BgL_charz00_987)));
		}
	}



/* rgc-buffer-character */
	BGL_EXPORTED_DEF unsigned char BGl_rgczd2bufferzd2characterz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_4)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 221 */
			return RGC_BUFFER_CHARACTER(BgL_inputzd2portzd2_4);
		}
	}



/* _rgc-buffer-characte1442 */
	obj_t BGl__rgczd2bufferzd2characte1442z00zz__rgcz00(obj_t BgL_envz00_988,
		obj_t BgL_inputzd2portzd2_989)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 221 */
			return BCHAR(RGC_BUFFER_CHARACTER(BgL_inputzd2portzd2_989));
		}
	}



/* rgc-buffer-byte */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2bytez00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_5)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 227 */
			return RGC_BUFFER_BYTE(BgL_inputzd2portzd2_5);
		}
	}



/* _rgc-buffer-byte1443 */
	obj_t BGl__rgczd2bufferzd2byte1443z00zz__rgcz00(obj_t BgL_envz00_990,
		obj_t BgL_inputzd2portzd2_991)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 227 */
			return BINT(RGC_BUFFER_BYTE(BgL_inputzd2portzd2_991));
		}
	}



/* rgc-buffer-byte-ref */
	BGL_EXPORTED_DEF int BGl_rgczd2bufferzd2bytezd2refzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_6, int BgL_offsetz00_7)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 233 */
			return RGC_BUFFER_BYTE_REF(BgL_inputzd2portzd2_6, BgL_offsetz00_7);
		}
	}



/* _rgc-buffer-byte-ref1444 */
	obj_t BGl__rgczd2bufferzd2bytezd2ref1444zd2zz__rgcz00(obj_t BgL_envz00_992,
		obj_t BgL_inputzd2portzd2_993, obj_t BgL_offsetz00_994)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 233 */
			{	/* Rgc/rgc.scm 234 */
				int BgL_auxz00_1109;

				{	/* Rgc/rgc.scm 234 */
					int BgL_auxz00_1110;

					BgL_auxz00_1110 = CINT(BgL_offsetz00_994);
					BgL_auxz00_1109 =
						RGC_BUFFER_BYTE_REF(BgL_inputzd2portzd2_993, BgL_auxz00_1110);
				}
				return BINT(BgL_auxz00_1109);
			}
		}
	}



/* rgc-buffer-substring */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2substringz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_8, long BgL_startz00_9, long BgL_stopz00_10)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 239 */
			return
				rgc_buffer_substring(BgL_inputzd2portzd2_8, BgL_startz00_9,
				BgL_stopz00_10);
		}
	}



/* _rgc-buffer-substrin1445 */
	obj_t BGl__rgczd2bufferzd2substrin1445z00zz__rgcz00(obj_t BgL_envz00_995,
		obj_t BgL_inputzd2portzd2_996, obj_t BgL_startz00_997,
		obj_t BgL_stopz00_998)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 239 */
			return
				rgc_buffer_substring(BgL_inputzd2portzd2_996,
				(long) CINT(BgL_startz00_997), (long) CINT(BgL_stopz00_998));
		}
	}



/* rgc-buffer-length */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2lengthz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_11)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 245 */
			return RGC_BUFFER_LENGTH(BgL_inputzd2portzd2_11);
		}
	}



/* _rgc-buffer-length1446 */
	obj_t BGl__rgczd2bufferzd2length1446z00zz__rgcz00(obj_t BgL_envz00_999,
		obj_t BgL_inputzd2portzd2_1000)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 245 */
			return BINT(RGC_BUFFER_LENGTH(BgL_inputzd2portzd2_1000));
		}
	}



/* rgc-buffer-fixnum */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2fixnumz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_12)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 251 */
			return rgc_buffer_fixnum(BgL_inputzd2portzd2_12);
		}
	}



/* _rgc-buffer-fixnum1447 */
	obj_t BGl__rgczd2bufferzd2fixnum1447z00zz__rgcz00(obj_t BgL_envz00_1001,
		obj_t BgL_inputzd2portzd2_1002)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 251 */
			return BINT(rgc_buffer_fixnum(BgL_inputzd2portzd2_1002));
		}
	}



/* rgc-buffer-integer */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2integerz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_13)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 257 */
			return rgc_buffer_integer(BgL_inputzd2portzd2_13);
		}
	}



/* _rgc-buffer-integer1448 */
	obj_t BGl__rgczd2bufferzd2integer1448z00zz__rgcz00(obj_t BgL_envz00_1003,
		obj_t BgL_inputzd2portzd2_1004)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 257 */
			return rgc_buffer_integer(BgL_inputzd2portzd2_1004);
		}
	}



/* rgc-buffer-flonum */
	BGL_EXPORTED_DEF double BGl_rgczd2bufferzd2flonumz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_14)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 263 */
			return rgc_buffer_flonum(BgL_inputzd2portzd2_14);
		}
	}



/* _rgc-buffer-flonum1449 */
	obj_t BGl__rgczd2bufferzd2flonum1449z00zz__rgcz00(obj_t BgL_envz00_1005,
		obj_t BgL_inputzd2portzd2_1006)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 263 */
			return DOUBLE_TO_REAL(rgc_buffer_flonum(BgL_inputzd2portzd2_1006));
		}
	}



/* rgc-buffer-symbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2symbolz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_15)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 269 */
			return rgc_buffer_symbol(BgL_inputzd2portzd2_15);
		}
	}



/* _rgc-buffer-symbol1450 */
	obj_t BGl__rgczd2bufferzd2symbol1450z00zz__rgcz00(obj_t BgL_envz00_1007,
		obj_t BgL_inputzd2portzd2_1008)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 269 */
			return rgc_buffer_symbol(BgL_inputzd2portzd2_1008);
		}
	}



/* rgc-buffer-subsymbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2subsymbolz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_16, long BgL_startz00_17, long BgL_stopz00_18)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 275 */
			return
				rgc_buffer_subsymbol(BgL_inputzd2portzd2_16, BgL_startz00_17,
				BgL_stopz00_18);
		}
	}



/* _rgc-buffer-subsymbo1451 */
	obj_t BGl__rgczd2bufferzd2subsymbo1451z00zz__rgcz00(obj_t BgL_envz00_1009,
		obj_t BgL_inputzd2portzd2_1010, obj_t BgL_startz00_1011,
		obj_t BgL_stopz00_1012)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 275 */
			return
				rgc_buffer_subsymbol(BgL_inputzd2portzd2_1010,
				(long) CINT(BgL_startz00_1011), (long) CINT(BgL_stopz00_1012));
		}
	}



/* rgc-buffer-downcase-symbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2downcasezd2symbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_19)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 281 */
			return rgc_buffer_downcase_symbol(BgL_inputzd2portzd2_19);
		}
	}



/* _rgc-buffer-downcase1452 */
	obj_t BGl__rgczd2bufferzd2downcase1452z00zz__rgcz00(obj_t BgL_envz00_1013,
		obj_t BgL_inputzd2portzd2_1014)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 281 */
			return rgc_buffer_downcase_symbol(BgL_inputzd2portzd2_1014);
		}
	}



/* rgc-buffer-upcase-symbol */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2upcasezd2symbolzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_20)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 287 */
			return rgc_buffer_upcase_symbol(BgL_inputzd2portzd2_20);
		}
	}



/* _rgc-buffer-upcase-s1453 */
	obj_t BGl__rgczd2bufferzd2upcasezd2s1453zd2zz__rgcz00(obj_t BgL_envz00_1015,
		obj_t BgL_inputzd2portzd2_1016)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 287 */
			return rgc_buffer_upcase_symbol(BgL_inputzd2portzd2_1016);
		}
	}



/* rgc-buffer-keyword */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2keywordz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_21)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 293 */
			return rgc_buffer_keyword(BgL_inputzd2portzd2_21);
		}
	}



/* _rgc-buffer-keyword1454 */
	obj_t BGl__rgczd2bufferzd2keyword1454z00zz__rgcz00(obj_t BgL_envz00_1017,
		obj_t BgL_inputzd2portzd2_1018)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 293 */
			return rgc_buffer_keyword(BgL_inputzd2portzd2_1018);
		}
	}



/* rgc-buffer-downcase-keyword */
	BGL_EXPORTED_DEF obj_t
		BGl_rgczd2bufferzd2downcasezd2keywordzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_22)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 299 */
			return rgc_buffer_downcase_keyword(BgL_inputzd2portzd2_22);
		}
	}



/* _rgc-buffer-downcase1455 */
	obj_t BGl__rgczd2bufferzd2downcase1455z00zz__rgcz00(obj_t BgL_envz00_1019,
		obj_t BgL_inputzd2portzd2_1020)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 299 */
			return rgc_buffer_downcase_keyword(BgL_inputzd2portzd2_1020);
		}
	}



/* rgc-buffer-upcase-keyword */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2bufferzd2upcasezd2keywordzd2zz__rgcz00(obj_t
		BgL_inputzd2portzd2_23)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 305 */
			return rgc_buffer_upcase_keyword(BgL_inputzd2portzd2_23);
		}
	}



/* _rgc-buffer-upcase-k1456 */
	obj_t BGl__rgczd2bufferzd2upcasezd2k1456zd2zz__rgcz00(obj_t BgL_envz00_1021,
		obj_t BgL_inputzd2portzd2_1022)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 305 */
			return rgc_buffer_upcase_keyword(BgL_inputzd2portzd2_1022);
		}
	}



/* rgc-buffer-position */
	BGL_EXPORTED_DEF long BGl_rgczd2bufferzd2positionz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_24)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 311 */
			return RGC_BUFFER_POSITION(BgL_inputzd2portzd2_24);
		}
	}



/* _rgc-buffer-position1457 */
	obj_t BGl__rgczd2bufferzd2position1457z00zz__rgcz00(obj_t BgL_envz00_1023,
		obj_t BgL_inputzd2portzd2_1024)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 311 */
			return BINT(RGC_BUFFER_POSITION(BgL_inputzd2portzd2_1024));
		}
	}



/* rgc-set-filepos! */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2setzd2fileposz12z12zz__rgcz00(obj_t
		BgL_inputzd2portzd2_25)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 317 */
			return BINT(RGC_SET_FILEPOS(BgL_inputzd2portzd2_25));
		}
	}



/* _rgc-set-filepos!1458 */
	obj_t BGl__rgczd2setzd2fileposz121458z12zz__rgcz00(obj_t BgL_envz00_1025,
		obj_t BgL_inputzd2portzd2_1026)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 317 */
			{	/* Rgc/rgc.scm 318 */
				obj_t BgL_inputzd2portzd2_1074;

				BgL_inputzd2portzd2_1074 = BgL_inputzd2portzd2_1026;
				return BINT(RGC_SET_FILEPOS(BgL_inputzd2portzd2_1074));
			}
		}
	}



/* rgc-start-match! */
	BGL_EXPORTED_DEF long BGl_rgczd2startzd2matchz12z12zz__rgcz00(obj_t
		BgL_inputzd2portzd2_26)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 323 */
			return RGC_START_MATCH(BgL_inputzd2portzd2_26);
		}
	}



/* _rgc-start-match!1459 */
	obj_t BGl__rgczd2startzd2matchz121459z12zz__rgcz00(obj_t BgL_envz00_1027,
		obj_t BgL_inputzd2portzd2_1028)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 323 */
			return BINT(RGC_START_MATCH(BgL_inputzd2portzd2_1028));
		}
	}



/* rgc-stop-match! */
	BGL_EXPORTED_DEF long BGl_rgczd2stopzd2matchz12z12zz__rgcz00(obj_t
		BgL_inputzd2portzd2_27)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 329 */
			return RGC_STOP_MATCH(BgL_inputzd2portzd2_27);
		}
	}



/* _rgc-stop-match!1460 */
	obj_t BGl__rgczd2stopzd2matchz121460z12zz__rgcz00(obj_t BgL_envz00_1029,
		obj_t BgL_inputzd2portzd2_1030)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 329 */
			return BINT(RGC_STOP_MATCH(BgL_inputzd2portzd2_1030));
		}
	}



/* rgc-buffer-empty? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2emptyzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_28)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 335 */
			return RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_28);
		}
	}



/* _rgc-buffer-empty?1461 */
	obj_t BGl__rgczd2bufferzd2emptyzf31461zf3zz__rgcz00(obj_t BgL_envz00_1031,
		obj_t BgL_inputzd2portzd2_1032)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 335 */
			return BBOOL(RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_1032));
		}
	}



/* rgc-fill-buffer */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2fillzd2bufferz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_29)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 341 */
			return rgc_fill_buffer(BgL_inputzd2portzd2_29);
		}
	}



/* _rgc-fill-buffer1462 */
	obj_t BGl__rgczd2fillzd2buffer1462z00zz__rgcz00(obj_t BgL_envz00_1033,
		obj_t BgL_inputzd2portzd2_1034)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 341 */
			return BBOOL(rgc_fill_buffer(BgL_inputzd2portzd2_1034));
		}
	}



/* rgc-fill-buffer-if-empty */
	BGL_EXPORTED_DEF bool_t
		BGl_rgczd2fillzd2bufferzd2ifzd2emptyz00zz__rgcz00(obj_t
		BgL_inputzd2portzd2_30)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 347 */
			if (RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_30))
				{	/* Rgc/rgc.scm 348 */
					return rgc_fill_buffer(BgL_inputzd2portzd2_30);
				}
			else
				{	/* Rgc/rgc.scm 348 */
					return ((bool_t) 0);
				}
		}
	}



/* _rgc-fill-buffer-if-empty */
	obj_t BGl__rgczd2fillzd2bufferzd2ifzd2emptyz00zz__rgcz00(obj_t
		BgL_envz00_1035, obj_t BgL_inputzd2portzd2_1036)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 347 */
			{	/* Rgc/rgc.scm 348 */
				bool_t BgL_auxz00_1167;

				{	/* Rgc/rgc.scm 348 */
					obj_t BgL_inputzd2portzd2_1079;

					BgL_inputzd2portzd2_1079 = BgL_inputzd2portzd2_1036;
					if (RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_1079))
						{	/* Rgc/rgc.scm 348 */
							BgL_auxz00_1167 = rgc_fill_buffer(BgL_inputzd2portzd2_1079);
						}
					else
						{	/* Rgc/rgc.scm 348 */
							BgL_auxz00_1167 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_auxz00_1167);
			}
		}
	}



/* rgc-buffer-bol? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2bolzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_31)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 353 */
			return rgc_buffer_bol_p(BgL_inputzd2portzd2_31);
		}
	}



/* _rgc-buffer-bol?1463 */
	obj_t BGl__rgczd2bufferzd2bolzf31463zf3zz__rgcz00(obj_t BgL_envz00_1037,
		obj_t BgL_inputzd2portzd2_1038)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 353 */
			return BBOOL(rgc_buffer_bol_p(BgL_inputzd2portzd2_1038));
		}
	}



/* rgc-buffer-eol? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2eolzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_32)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 359 */
			return rgc_buffer_eol_p(BgL_inputzd2portzd2_32);
		}
	}



/* _rgc-buffer-eol?1464 */
	obj_t BGl__rgczd2bufferzd2eolzf31464zf3zz__rgcz00(obj_t BgL_envz00_1039,
		obj_t BgL_inputzd2portzd2_1040)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 359 */
			return BBOOL(rgc_buffer_eol_p(BgL_inputzd2portzd2_1040));
		}
	}



/* rgc-buffer-bof? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2bofzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_33)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 365 */
			return rgc_buffer_bof_p(BgL_inputzd2portzd2_33);
		}
	}



/* _rgc-buffer-bof?1465 */
	obj_t BGl__rgczd2bufferzd2bofzf31465zf3zz__rgcz00(obj_t BgL_envz00_1041,
		obj_t BgL_inputzd2portzd2_1042)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 365 */
			return BBOOL(rgc_buffer_bof_p(BgL_inputzd2portzd2_1042));
		}
	}



/* rgc-buffer-eof? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2bufferzd2eofzf3zf3zz__rgcz00(obj_t
		BgL_inputzd2portzd2_34)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 371 */
			return rgc_buffer_eof_p(BgL_inputzd2portzd2_34);
		}
	}



/* _rgc-buffer-eof?1466 */
	obj_t BGl__rgczd2bufferzd2eofzf31466zf3zz__rgcz00(obj_t BgL_envz00_1043,
		obj_t BgL_inputzd2portzd2_1044)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 371 */
			return BBOOL(rgc_buffer_eof_p(BgL_inputzd2portzd2_1044));
		}
	}



/* rgc-the-submatch */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2thezd2submatchz00zz__rgcz00(obj_t
		BgL_rgczd2submatcheszd2_35, long BgL_posz00_36, long BgL_matchz00_37,
		long BgL_submatchz00_38)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 381 */
			{
				obj_t BgL_submatchesz00_491;
				long BgL_startz00_492;
				obj_t BgL_stopz00_493;

				BgL_submatchesz00_491 = BgL_rgczd2submatcheszd2_35;
				BgL_startz00_492 = ((long) -1);
				BgL_stopz00_493 = BINT(((long) -1));
			BgL_loopz00_494:
				if (NULLP(BgL_submatchesz00_491))
					{	/* Rgc/rgc.scm 390 */
						{	/* Rgc/rgc.scm 391 */
							int BgL_auxz00_1186;

							BgL_auxz00_1186 = (int) (((long) 2));
							BGL_MVALUES_NUMBER_SET(BgL_auxz00_1186);
						}
						{	/* Rgc/rgc.scm 391 */
							int BgL_auxz00_1189;

							BgL_auxz00_1189 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_1189, BgL_stopz00_493);
						}
						return BINT(BgL_startz00_492);
					}
				else
					{	/* Rgc/rgc.scm 392 */
						obj_t BgL_mvz00_498;

						BgL_mvz00_498 = CAR(BgL_submatchesz00_491);
						{	/* Rgc/rgc.scm 392 */
							obj_t BgL_ruz00_499;

							BgL_ruz00_499 = VECTOR_REF(BgL_mvz00_498, (int) (((long) 0)));
							{	/* Rgc/rgc.scm 393 */
								obj_t BgL_smz00_500;

								BgL_smz00_500 = VECTOR_REF(BgL_mvz00_498, (int) (((long) 1)));
								{	/* Rgc/rgc.scm 394 */
									obj_t BgL_spz00_501;

									BgL_spz00_501 = VECTOR_REF(BgL_mvz00_498, (int) (((long) 2)));
									{	/* Rgc/rgc.scm 395 */
										obj_t BgL_whatz00_502;

										BgL_whatz00_502 =
											VECTOR_REF(BgL_mvz00_498, (int) (((long) 3)));
										{	/* Rgc/rgc.scm 396 */

											{	/* Rgc/rgc.scm 398 */
												bool_t BgL_testz00_1202;

												if (((long) CINT(BgL_ruz00_499) == BgL_matchz00_37))
													{	/* Rgc/rgc.scm 398 */
														if (
															((long) CINT(BgL_smz00_500) ==
																BgL_submatchz00_38))
															{	/* Rgc/rgc.scm 398 */
																BgL_testz00_1202 =
																	((long) CINT(BgL_spz00_501) <= BgL_posz00_36);
															}
														else
															{	/* Rgc/rgc.scm 398 */
																BgL_testz00_1202 = ((bool_t) 0);
															}
													}
												else
													{	/* Rgc/rgc.scm 398 */
														BgL_testz00_1202 = ((bool_t) 0);
													}
												if (BgL_testz00_1202)
													{	/* Rgc/rgc.scm 398 */
														if (
															(BgL_whatz00_502 == BGl_symbol1467z00zz__rgcz00))
															{	/* Rgc/rgc.scm 399 */
																if (((long) CINT(BgL_stopz00_493) < ((long) 0)))
																	{
																		obj_t BgL_stopz00_1218;
																		obj_t BgL_submatchesz00_1216;

																		BgL_submatchesz00_1216 =
																			CDR(BgL_submatchesz00_491);
																		BgL_stopz00_1218 = BgL_spz00_501;
																		BgL_stopz00_493 = BgL_stopz00_1218;
																		BgL_submatchesz00_491 =
																			BgL_submatchesz00_1216;
																		goto BgL_loopz00_494;
																	}
																else
																	{
																		obj_t BgL_submatchesz00_1219;

																		BgL_submatchesz00_1219 =
																			CDR(BgL_submatchesz00_491);
																		BgL_submatchesz00_491 =
																			BgL_submatchesz00_1219;
																		goto BgL_loopz00_494;
																	}
															}
														else
															{	/* Rgc/rgc.scm 399 */
																if (
																	(BgL_whatz00_502 ==
																		BGl_symbol1469z00zz__rgcz00))
																	{	/* Rgc/rgc.scm 405 */
																		long BgL_val0_1127z00_510;

																		BgL_val0_1127z00_510 =
																			((long) CINT(BgL_spz00_501) - ((long) 1));
																		{	/* Rgc/rgc.scm 405 */
																			int BgL_auxz00_1225;

																			BgL_auxz00_1225 = (int) (((long) 2));
																			BGL_MVALUES_NUMBER_SET(BgL_auxz00_1225);
																		}
																		{	/* Rgc/rgc.scm 405 */
																			int BgL_auxz00_1228;

																			BgL_auxz00_1228 = (int) (((long) 1));
																			BGL_MVALUES_VAL_SET(BgL_auxz00_1228,
																				BgL_stopz00_493);
																		}
																		return BINT(BgL_val0_1127z00_510);
																	}
																else
																	{	/* Rgc/rgc.scm 399 */
																		if (
																			(BgL_whatz00_502 ==
																				BGl_symbol1471z00zz__rgcz00))
																			{
																				long BgL_startz00_1236;
																				obj_t BgL_submatchesz00_1234;

																				BgL_submatchesz00_1234 =
																					CDR(BgL_submatchesz00_491);
																				BgL_startz00_1236 =
																					(
																					(long) CINT(BgL_spz00_501) -
																					((long) 1));
																				BgL_startz00_492 = BgL_startz00_1236;
																				BgL_submatchesz00_491 =
																					BgL_submatchesz00_1234;
																				goto BgL_loopz00_494;
																			}
																		else
																			{	/* Rgc/rgc.scm 399 */
																				return BUNSPEC;
																			}
																	}
															}
													}
												else
													{	/* Rgc/rgc.scm 398 */
														if ((BgL_whatz00_502 == BgL_stopz00_493))
															{	/* Rgc/rgc.scm 408 */
																{	/* Rgc/rgc.scm 409 */
																	int BgL_auxz00_1241;

																	BgL_auxz00_1241 = (int) (((long) 2));
																	BGL_MVALUES_NUMBER_SET(BgL_auxz00_1241);
																}
																{	/* Rgc/rgc.scm 409 */
																	int BgL_auxz00_1244;

																	BgL_auxz00_1244 = (int) (((long) 1));
																	BGL_MVALUES_VAL_SET(BgL_auxz00_1244,
																		BgL_stopz00_493);
																}
																return BINT(BgL_startz00_492);
															}
														else
															{
																obj_t BgL_submatchesz00_1248;

																BgL_submatchesz00_1248 =
																	CDR(BgL_submatchesz00_491);
																BgL_submatchesz00_491 = BgL_submatchesz00_1248;
																goto BgL_loopz00_494;
															}
													}
											}
										}
									}
								}
							}
						}
					}
			}
		}
	}



/* _rgc-the-submatch */
	obj_t BGl__rgczd2thezd2submatchz00zz__rgcz00(obj_t BgL_envz00_1045,
		obj_t BgL_rgczd2submatcheszd2_1046, obj_t BgL_posz00_1047,
		obj_t BgL_matchz00_1048, obj_t BgL_submatchz00_1049)
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 381 */
			return
				BGl_rgczd2thezd2submatchz00zz__rgcz00(BgL_rgczd2submatcheszd2_1046,
				(long) CINT(BgL_posz00_1047),
				(long) CINT(BgL_matchz00_1048), (long) CINT(BgL_submatchz00_1049));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgcz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgc.scm 17 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string1473z00zz__rgcz00));
		}
	}

#ifdef __cplusplus
}
#endif
