/*===========================================================================*/
/*   (Rgc/rgcposix.scm)                                                      */
/*   Bigloo (3.0a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Jun 1 10:06:35 CEST 2007        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.0a -O4 -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -c Rgc/rgcposix.scm -indent -o objs/obj_u/Rgc/rgcposix.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_posixz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(obj_t);
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_parsezd2posixzd2piecez00zz__rgc_posixz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__rgc_posixz00();
	static obj_t BGl_symbol1636z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1638z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1640z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1642z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1644z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1647z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1649z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1653z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1655z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1661z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_symbol1663z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl__posixzd2ze3rgcz31zz__rgc_posixz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_parsezd2posixzd2branchz00zz__rgc_posixz00(obj_t, long);
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_list1659z00zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_parsezd2posixzd2bracketz00zz__rgc_posixz00(obj_t, long);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t c_substring(obj_t, long, long);
	static obj_t BGl_makezd2rgczd2repeatz00zz__rgc_posixz00(obj_t, obj_t, obj_t);
	static obj_t BGl_parsezd2posixzd2expz00zz__rgc_posixz00(obj_t, long);
	static obj_t BGl_parsezd2posixzd2bracesz00zz__rgc_posixz00(obj_t, obj_t);
	extern obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_za2errzd2stringza2zd2zz__rgc_posixz00 = BUNSPEC;
	static obj_t BGl_makezd2rgczd2orz00zz__rgc_posixz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__rgc_posixz00();
	BGL_EXPORTED_DECL obj_t BGl_posixzd2ze3rgcz31zz__rgc_posixz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_posixz00();
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_parsezd2posixzd2atomz00zz__rgc_posixz00(obj_t, obj_t);
	extern obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1637z00zz__rgc_posixz00,
		BgL_bgl_string1637za700za7za7_1669za7, "*", 1);
	      DEFINE_STRING(BGl_string1639z00zz__rgc_posixz00,
		BgL_bgl_string1639za700za7za7_1670za7, "+", 1);
	      DEFINE_STRING(BGl_string1641z00zz__rgc_posixz00,
		BgL_bgl_string1641za700za7za7_1671za7, "?", 1);
	      DEFINE_STRING(BGl_string1643z00zz__rgc_posixz00,
		BgL_bgl_string1643za700za7za7_1672za7, "**", 2);
	      DEFINE_STRING(BGl_string1645z00zz__rgc_posixz00,
		BgL_bgl_string1645za700za7za7_1673za7, ">=", 2);
	      DEFINE_STRING(BGl_string1646z00zz__rgc_posixz00,
		BgL_bgl_string1646za700za7za7_1674za7, "RGC:Illegal posix string", 24);
	      DEFINE_STRING(BGl_string1648z00zz__rgc_posixz00,
		BgL_bgl_string1648za700za7za7_1675za7, "or", 2);
	      DEFINE_STRING(BGl_string1650z00zz__rgc_posixz00,
		BgL_bgl_string1650za700za7za7_1676za7, ":", 1);
	      DEFINE_STRING(BGl_string1651z00zz__rgc_posixz00,
		BgL_bgl_string1651za700za7za7_1677za7, "RGC: `^' regexps not supported.",
		31);
	      DEFINE_STRING(BGl_string1652z00zz__rgc_posixz00,
		BgL_bgl_string1652za700za7za7_1678za7, "RGC: `$' regexps not supported.",
		31);
	      DEFINE_STRING(BGl_string1654z00zz__rgc_posixz00,
		BgL_bgl_string1654za700za7za7_1679za7, "all", 3);
	      DEFINE_STRING(BGl_string1656z00zz__rgc_posixz00,
		BgL_bgl_string1656za700za7za7_1680za7, "submatch", 8);
	      DEFINE_STRING(BGl_string1657z00zz__rgc_posixz00,
		BgL_bgl_string1657za700za7za7_1681za7,
		"RGC:subexpression has no terminating close parenthesis", 54);
	      DEFINE_STRING(BGl_string1658z00zz__rgc_posixz00,
		BgL_bgl_string1658za700za7za7_1682za7,
		"RGC:expression may not terminate with a backslash", 49);
	      DEFINE_STRING(BGl_string1660z00zz__rgc_posixz00,
		BgL_bgl_string1660za700za7za7_1683za7,
		"double-bracket regexps not supported.", 37);
	      DEFINE_STRING(BGl_string1662z00zz__rgc_posixz00,
		BgL_bgl_string1662za700za7za7_1684za7, "out", 3);
	      DEFINE_STRING(BGl_string1664z00zz__rgc_posixz00,
		BgL_bgl_string1664za700za7za7_1685za7, "in", 2);
	      DEFINE_STRING(BGl_string1665z00zz__rgc_posixz00,
		BgL_bgl_string1665za700za7za7_1686za7, "Illegal - in [...] regexp", 25);
	      DEFINE_STRING(BGl_string1666z00zz__rgc_posixz00,
		BgL_bgl_string1666za700za7za7_1687za7,
		"Missing close right bracket in regexp", 37);
	      DEFINE_STRING(BGl_string1667z00zz__rgc_posixz00,
		BgL_bgl_string1667za700za7za7_1688za7, "Missing close brace in regexp", 29);
	      DEFINE_STRING(BGl_string1668z00zz__rgc_posixz00,
		BgL_bgl_string1668za700za7za7_1689za7, "__error", 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_posixzd2ze3rgczd2envze3zz__rgc_posixz00,
		BgL_bgl__posixza7d2za7e3rgcza71690za7,
		BGl__posixzd2ze3rgcz31zz__rgc_posixz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1635z00zz__rgc_posixz00,
		BgL_bgl_string1635za700za7za7_1691za7,
		"RGC:Illegal Posix regexp -- terminated early", 44);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_posixz00(long
		BgL_checksumz00_1473, char *BgL_fromz00_1474)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_posixz00))
				{
					BGl_requirezd2initializa7ationz75zz__rgc_posixz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__rgc_posixz00();
					BGl_importedzd2moduleszd2initz00zz__rgc_posixz00();
					BGl_toplevelzd2initzd2zz__rgc_posixz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgc_posixz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 14 */
			BGl_symbol1636z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1637z00zz__rgc_posixz00);
			BGl_symbol1638z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1639z00zz__rgc_posixz00);
			BGl_symbol1640z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1641z00zz__rgc_posixz00);
			BGl_symbol1642z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1643z00zz__rgc_posixz00);
			BGl_symbol1644z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1645z00zz__rgc_posixz00);
			BGl_symbol1647z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1648z00zz__rgc_posixz00);
			BGl_symbol1649z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1650z00zz__rgc_posixz00);
			BGl_symbol1653z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1654z00zz__rgc_posixz00);
			BGl_symbol1655z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1656z00zz__rgc_posixz00);
			BGl_list1659z00zz__rgc_posixz00 =
				MAKE_PAIR(BCHAR(((unsigned char) '.')),
				MAKE_PAIR(BCHAR(((unsigned char) '=')),
					MAKE_PAIR(BCHAR(((unsigned char) ':')), BNIL)));
			BGl_symbol1661z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1662z00zz__rgc_posixz00);
			return (BGl_symbol1663z00zz__rgc_posixz00 =
				bstring_to_symbol(BGl_string1664z00zz__rgc_posixz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgc_posixz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 14 */
			return (BGl_za2errzd2stringza2zd2zz__rgc_posixz00 = BUNSPEC, BUNSPEC);
		}
	}



/* posix->rgc */
	BGL_EXPORTED_DEF obj_t BGl_posixzd2ze3rgcz31zz__rgc_posixz00(obj_t BgL_sz00_1)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 45 */
			BGl_za2errzd2stringza2zd2zz__rgc_posixz00 = BgL_sz00_1;
			{	/* Rgc/rgcposix.scm 47 */
				obj_t BgL_rgcz00_471;

				BgL_rgcz00_471 =
					BGl_parsezd2posixzd2expz00zz__rgc_posixz00(BgL_sz00_1, ((long) 0));
				{	/* Rgc/rgcposix.scm 49 */
					obj_t BgL_iz00_472;

					{	/* Rgc/rgcposix.scm 49 */
						int BgL_auxz00_1499;

						BgL_auxz00_1499 = (int) (((long) 1));
						BgL_iz00_472 = BGL_MVALUES_VAL(BgL_auxz00_1499);
					}
					if (((long) CINT(BgL_iz00_472) == STRING_LENGTH(BgL_sz00_1)))
						{	/* Rgc/rgcposix.scm 49 */
							return BgL_rgcz00_471;
						}
					else
						{	/* Rgc/rgcposix.scm 49 */
							return
								BGl_errorz00zz__errorz00(BFALSE,
								BGl_string1635z00zz__rgc_posixz00,
								BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
						}
				}
			}
		}
	}



/* _posix->rgc */
	obj_t BGl__posixzd2ze3rgcz31zz__rgc_posixz00(obj_t BgL_envz00_1471,
		obj_t BgL_sz00_1472)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 45 */
			return BGl_posixzd2ze3rgcz31zz__rgc_posixz00(BgL_sz00_1472);
		}
	}



/* make-rgc-repeat */
	obj_t BGl_makezd2rgczd2repeatz00zz__rgc_posixz00(obj_t BgL_minz00_3,
		obj_t BgL_maxz00_4, obj_t BgL_rgcz00_5)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 70 */
			{	/* Rgc/rgcposix.scm 72 */
				bool_t BgL_testz00_1508;

				if ((BgL_minz00_3 == BINT(((long) 0))))
					{	/* Rgc/rgcposix.scm 72 */
						if (CBOOL(BgL_maxz00_4))
							{	/* Rgc/rgcposix.scm 72 */
								BgL_testz00_1508 = ((bool_t) 0);
							}
						else
							{	/* Rgc/rgcposix.scm 72 */
								BgL_testz00_1508 = ((bool_t) 1);
							}
					}
				else
					{	/* Rgc/rgcposix.scm 72 */
						BgL_testz00_1508 = ((bool_t) 0);
					}
				if (BgL_testz00_1508)
					{	/* Rgc/rgcposix.scm 73 */
						obj_t BgL_arg1221z00_476;
						obj_t BgL_arg1222z00_477;

						BgL_arg1221z00_476 = BGl_symbol1636z00zz__rgc_posixz00;
						{	/* Rgc/rgcposix.scm 73 */
							obj_t BgL_list1223z00_478;

							BgL_list1223z00_478 = MAKE_PAIR(BNIL, BNIL);
							BgL_arg1222z00_477 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_rgcz00_5,
								BgL_list1223z00_478);
						}
						return MAKE_PAIR(BgL_arg1221z00_476, BgL_arg1222z00_477);
					}
				else
					{	/* Rgc/rgcposix.scm 74 */
						bool_t BgL_testz00_1517;

						if ((BgL_minz00_3 == BINT(((long) 1))))
							{	/* Rgc/rgcposix.scm 74 */
								if (CBOOL(BgL_maxz00_4))
									{	/* Rgc/rgcposix.scm 74 */
										BgL_testz00_1517 = ((bool_t) 0);
									}
								else
									{	/* Rgc/rgcposix.scm 74 */
										BgL_testz00_1517 = ((bool_t) 1);
									}
							}
						else
							{	/* Rgc/rgcposix.scm 74 */
								BgL_testz00_1517 = ((bool_t) 0);
							}
						if (BgL_testz00_1517)
							{	/* Rgc/rgcposix.scm 75 */
								obj_t BgL_arg1225z00_480;
								obj_t BgL_arg1226z00_481;

								BgL_arg1225z00_480 = BGl_symbol1638z00zz__rgc_posixz00;
								{	/* Rgc/rgcposix.scm 75 */
									obj_t BgL_list1227z00_482;

									BgL_list1227z00_482 = MAKE_PAIR(BNIL, BNIL);
									BgL_arg1226z00_481 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_rgcz00_5,
										BgL_list1227z00_482);
								}
								return MAKE_PAIR(BgL_arg1225z00_480, BgL_arg1226z00_481);
							}
						else
							{	/* Rgc/rgcposix.scm 76 */
								bool_t BgL_testz00_1526;

								if ((BgL_minz00_3 == BINT(((long) 0))))
									{	/* Rgc/rgcposix.scm 76 */
										BgL_testz00_1526 = (BgL_maxz00_4 == BINT(((long) 1)));
									}
								else
									{	/* Rgc/rgcposix.scm 76 */
										BgL_testz00_1526 = ((bool_t) 0);
									}
								if (BgL_testz00_1526)
									{	/* Rgc/rgcposix.scm 77 */
										obj_t BgL_arg1229z00_484;
										obj_t BgL_arg1230z00_485;

										BgL_arg1229z00_484 = BGl_symbol1640z00zz__rgc_posixz00;
										{	/* Rgc/rgcposix.scm 77 */
											obj_t BgL_list1231z00_486;

											BgL_list1231z00_486 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg1230z00_485 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_rgcz00_5, BgL_list1231z00_486);
										}
										return MAKE_PAIR(BgL_arg1229z00_484, BgL_arg1230z00_485);
									}
								else
									{	/* Rgc/rgcposix.scm 76 */
										if (CBOOL(BgL_maxz00_4))
											{	/* Rgc/rgcposix.scm 81 */
												obj_t BgL_arg1232z00_487;
												obj_t BgL_arg1233z00_488;

												BgL_arg1232z00_487 = BGl_symbol1642z00zz__rgc_posixz00;
												{	/* Rgc/rgcposix.scm 81 */
													obj_t BgL_list1234z00_489;

													{	/* Rgc/rgcposix.scm 81 */
														obj_t BgL_arg1235z00_490;

														{	/* Rgc/rgcposix.scm 81 */
															obj_t BgL_arg1236z00_491;

															BgL_arg1236z00_491 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg1235z00_490 =
																MAKE_PAIR(BgL_rgcz00_5, BgL_arg1236z00_491);
														}
														BgL_list1234z00_489 =
															MAKE_PAIR(BgL_maxz00_4, BgL_arg1235z00_490);
													}
													BgL_arg1233z00_488 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_minz00_3, BgL_list1234z00_489);
												}
												return
													MAKE_PAIR(BgL_arg1232z00_487, BgL_arg1233z00_488);
											}
										else
											{	/* Rgc/rgcposix.scm 79 */
												obj_t BgL_arg1237z00_492;
												obj_t BgL_arg1238z00_493;

												BgL_arg1237z00_492 = BGl_symbol1644z00zz__rgc_posixz00;
												{	/* Rgc/rgcposix.scm 79 */
													obj_t BgL_list1239z00_494;

													{	/* Rgc/rgcposix.scm 79 */
														obj_t BgL_arg1240z00_495;

														BgL_arg1240z00_495 = MAKE_PAIR(BNIL, BNIL);
														BgL_list1239z00_494 =
															MAKE_PAIR(BgL_rgcz00_5, BgL_arg1240z00_495);
													}
													BgL_arg1238z00_493 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_minz00_3, BgL_list1239z00_494);
												}
												return
													MAKE_PAIR(BgL_arg1237z00_492, BgL_arg1238z00_493);
											}
									}
							}
					}
			}
		}
	}



/* make-rgc-or */
	obj_t BGl_makezd2rgczd2orz00zz__rgc_posixz00(obj_t BgL_rgcsz00_6)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 86 */
			if (NULLP(BgL_rgcsz00_6))
				{	/* Rgc/rgcposix.scm 88 */
					return
						BGl_errorz00zz__errorz00(BFALSE, BGl_string1646z00zz__rgc_posixz00,
						BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
				}
			else
				{	/* Rgc/rgcposix.scm 88 */
					if (NULLP(CDR(BgL_rgcsz00_6)))
						{	/* Rgc/rgcposix.scm 90 */
							return CAR(BgL_rgcsz00_6);
						}
					else
						{	/* Rgc/rgcposix.scm 90 */
							return
								MAKE_PAIR(BGl_symbol1647z00zz__rgc_posixz00,
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_rgcsz00_6,
									BNIL));
						}
				}
		}
	}



/* make-rgc-sequence */
	obj_t BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(obj_t BgL_rgcsz00_7)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 98 */
			if (NULLP(BgL_rgcsz00_7))
				{	/* Rgc/rgcposix.scm 100 */
					return
						BGl_errorz00zz__errorz00(BFALSE, BGl_string1646z00zz__rgc_posixz00,
						BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
				}
			else
				{	/* Rgc/rgcposix.scm 100 */
					if (NULLP(CDR(BgL_rgcsz00_7)))
						{	/* Rgc/rgcposix.scm 102 */
							return CAR(BgL_rgcsz00_7);
						}
					else
						{	/* Rgc/rgcposix.scm 102 */
							return
								MAKE_PAIR(BGl_symbol1649z00zz__rgc_posixz00,
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_rgcsz00_7,
									BNIL));
						}
				}
		}
	}



/* parse-posix-exp */
	obj_t BGl_parsezd2posixzd2expz00zz__rgc_posixz00(obj_t BgL_sz00_8,
		long BgL_iz00_9)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 112 */
			{	/* Rgc/rgcposix.scm 113 */
				long BgL_lenz00_509;

				BgL_lenz00_509 = STRING_LENGTH(BgL_sz00_8);
				if ((BgL_iz00_9 < BgL_lenz00_509))
					{
						long BgL_iz00_512;
						obj_t BgL_branchesz00_513;

						BgL_iz00_512 = BgL_iz00_9;
						BgL_branchesz00_513 = BNIL;
					BgL_loopz00_514:
						{	/* Rgc/rgcposix.scm 117 */
							obj_t BgL_branchz00_515;

							BgL_branchz00_515 =
								BGl_parsezd2posixzd2branchz00zz__rgc_posixz00(BgL_sz00_8,
								BgL_iz00_512);
							{	/* Rgc/rgcposix.scm 119 */
								obj_t BgL_iz00_516;

								{	/* Rgc/rgcposix.scm 119 */
									int BgL_auxz00_1568;

									BgL_auxz00_1568 = (int) (((long) 1));
									BgL_iz00_516 = BGL_MVALUES_VAL(BgL_auxz00_1568);
								}
								{	/* Rgc/rgcposix.scm 119 */
									obj_t BgL_branchesz00_517;

									BgL_branchesz00_517 =
										MAKE_PAIR(BgL_branchz00_515, BgL_branchesz00_513);
									{	/* Rgc/rgcposix.scm 120 */
										bool_t BgL_testz00_1572;

										if (((long) CINT(BgL_iz00_516) < BgL_lenz00_509))
											{	/* Rgc/rgcposix.scm 120 */
												BgL_testz00_1572 =
													(((unsigned char) '|') ==
													STRING_REF(BgL_sz00_8, (long) CINT(BgL_iz00_516)));
											}
										else
											{	/* Rgc/rgcposix.scm 120 */
												BgL_testz00_1572 = ((bool_t) 0);
											}
										if (BgL_testz00_1572)
											{
												obj_t BgL_branchesz00_1582;
												long BgL_iz00_1579;

												BgL_iz00_1579 =
													((long) CINT(BgL_iz00_516) + ((long) 1));
												BgL_branchesz00_1582 = BgL_branchesz00_517;
												BgL_branchesz00_513 = BgL_branchesz00_1582;
												BgL_iz00_512 = BgL_iz00_1579;
												goto BgL_loopz00_514;
											}
										else
											{	/* Rgc/rgcposix.scm 122 */
												obj_t BgL_val0_1141z00_520;

												BgL_val0_1141z00_520 =
													BGl_makezd2rgczd2orz00zz__rgc_posixz00(bgl_reverse
													(BgL_branchesz00_517));
												{	/* Rgc/rgcposix.scm 122 */
													int BgL_auxz00_1585;

													BgL_auxz00_1585 = (int) (((long) 2));
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_1585);
												}
												{	/* Rgc/rgcposix.scm 122 */
													int BgL_auxz00_1588;

													BgL_auxz00_1588 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_auxz00_1588, BgL_iz00_516);
												}
												return BgL_val0_1141z00_520;
											}
									}
								}
							}
						}
					}
				else
					{	/* Rgc/rgcposix.scm 114 */
						{	/* Rgc/rgcposix.scm 123 */
							int BgL_auxz00_1591;

							BgL_auxz00_1591 = (int) (((long) 2));
							BGL_MVALUES_NUMBER_SET(BgL_auxz00_1591);
						}
						{	/* Rgc/rgcposix.scm 123 */
							obj_t BgL_auxz00_1596;
							int BgL_auxz00_1594;

							BgL_auxz00_1596 = BINT(BgL_iz00_9);
							BgL_auxz00_1594 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_1594, BgL_auxz00_1596);
						}
						return BNIL;
					}
			}
		}
	}



/* parse-posix-branch */
	obj_t BGl_parsezd2posixzd2branchz00zz__rgc_posixz00(obj_t BgL_sz00_10,
		long BgL_iz00_11)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 131 */
			{	/* Rgc/rgcposix.scm 132 */
				long BgL_lenz00_527;

				BgL_lenz00_527 = STRING_LENGTH(BgL_sz00_10);
				{
					obj_t BgL_iz00_529;
					obj_t BgL_piecesz00_530;

					BgL_iz00_529 = BINT(BgL_iz00_11);
					BgL_piecesz00_530 = BNIL;
				BgL_loopz00_531:
					if (((long) CINT(BgL_iz00_529) < BgL_lenz00_527))
						{	/* Rgc/rgcposix.scm 136 */
							obj_t BgL_piecez00_533;

							BgL_piecez00_533 =
								BGl_parsezd2posixzd2piecez00zz__rgc_posixz00(BgL_sz00_10,
								BgL_iz00_529);
							{	/* Rgc/rgcposix.scm 138 */
								obj_t BgL_iz00_534;

								{	/* Rgc/rgcposix.scm 138 */
									int BgL_auxz00_1604;

									BgL_auxz00_1604 = (int) (((long) 1));
									BgL_iz00_534 = BGL_MVALUES_VAL(BgL_auxz00_1604);
								}
								{	/* Rgc/rgcposix.scm 138 */
									obj_t BgL_piecesz00_535;

									BgL_piecesz00_535 =
										MAKE_PAIR(BgL_piecez00_533, BgL_piecesz00_530);
									if (((long) CINT(BgL_iz00_534) < BgL_lenz00_527))
										{	/* Rgc/rgcposix.scm 140 */
											unsigned char BgL_aux1115z00_538;

											BgL_aux1115z00_538 =
												STRING_REF(BgL_sz00_10, (long) CINT(BgL_iz00_534));
											switch (BgL_aux1115z00_538)
												{
												case ((unsigned char) ')'):
												case ((unsigned char) '|'):

													{	/* Rgc/rgcposix.scm 142 */
														obj_t BgL_val0_1145z00_540;

														BgL_val0_1145z00_540 =
															BGl_makezd2rgczd2sequencez00zz__rgc_posixz00
															(bgl_reverse(BgL_piecesz00_535));
														{	/* Rgc/rgcposix.scm 142 */
															int BgL_auxz00_1615;

															BgL_auxz00_1615 = (int) (((long) 2));
															BGL_MVALUES_NUMBER_SET(BgL_auxz00_1615);
														}
														{	/* Rgc/rgcposix.scm 142 */
															int BgL_auxz00_1618;

															BgL_auxz00_1618 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_auxz00_1618,
																BgL_iz00_534);
														}
														return BgL_val0_1145z00_540;
													}
													break;
												default:
													{
														obj_t BgL_piecesz00_1622;
														obj_t BgL_iz00_1621;

														BgL_iz00_1621 = BgL_iz00_534;
														BgL_piecesz00_1622 = BgL_piecesz00_535;
														BgL_piecesz00_530 = BgL_piecesz00_1622;
														BgL_iz00_529 = BgL_iz00_1621;
														goto BgL_loopz00_531;
													}
												}
										}
									else
										{	/* Rgc/rgcposix.scm 145 */
											obj_t BgL_val0_1147z00_543;

											BgL_val0_1147z00_543 =
												BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(bgl_reverse
												(BgL_piecesz00_535));
											{	/* Rgc/rgcposix.scm 145 */
												int BgL_auxz00_1626;

												BgL_auxz00_1626 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_1626);
											}
											{	/* Rgc/rgcposix.scm 145 */
												int BgL_auxz00_1629;

												BgL_auxz00_1629 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_auxz00_1629, BgL_iz00_534);
											}
											return BgL_val0_1147z00_543;
										}
								}
							}
						}
					else
						{	/* Rgc/rgcposix.scm 146 */
							obj_t BgL_val0_1149z00_546;

							BgL_val0_1149z00_546 =
								BGl_makezd2rgczd2sequencez00zz__rgc_posixz00(bgl_reverse
								(BgL_piecesz00_530));
							{	/* Rgc/rgcposix.scm 146 */
								int BgL_auxz00_1634;

								BgL_auxz00_1634 = (int) (((long) 2));
								BGL_MVALUES_NUMBER_SET(BgL_auxz00_1634);
							}
							{	/* Rgc/rgcposix.scm 146 */
								int BgL_auxz00_1637;

								BgL_auxz00_1637 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_auxz00_1637, BgL_iz00_529);
							}
							return BgL_val0_1149z00_546;
						}
				}
			}
		}
	}



/* parse-posix-piece */
	obj_t BGl_parsezd2posixzd2piecez00zz__rgc_posixz00(obj_t BgL_sz00_12,
		obj_t BgL_iz00_13)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 154 */
			{	/* Rgc/rgcposix.scm 155 */
				long BgL_lenz00_549;

				BgL_lenz00_549 = STRING_LENGTH(BgL_sz00_12);
				{	/* Rgc/rgcposix.scm 156 */
					obj_t BgL_atomz00_550;

					BgL_atomz00_550 =
						BGl_parsezd2posixzd2atomz00zz__rgc_posixz00(BgL_sz00_12,
						BgL_iz00_13);
					{	/* Rgc/rgcposix.scm 158 */
						obj_t BgL_iz00_551;

						{	/* Rgc/rgcposix.scm 158 */
							int BgL_auxz00_1643;

							BgL_auxz00_1643 = (int) (((long) 1));
							BgL_iz00_551 = BGL_MVALUES_VAL(BgL_auxz00_1643);
						}
						if (((long) CINT(BgL_iz00_551) < BgL_lenz00_549))
							{

								{	/* Rgc/rgcposix.scm 159 */
									unsigned char BgL_aux1117z00_554;

									BgL_aux1117z00_554 =
										STRING_REF(BgL_sz00_12, (long) CINT(BgL_iz00_551));
									switch (BgL_aux1117z00_554)
										{
										case ((unsigned char) '*'):
										case ((unsigned char) '+'):
										case ((unsigned char) '?'):

											{	/* Rgc/rgcposix.scm 161 */
												obj_t BgL_fromz00_556;

												switch (BgL_aux1117z00_554)
													{
													case ((unsigned char) '*'):

														{	/* Rgc/rgcposix.scm 163 */
															int BgL_auxz00_1651;

															BgL_auxz00_1651 = (int) (((long) 2));
															BGL_MVALUES_NUMBER_SET(BgL_auxz00_1651);
														}
														{	/* Rgc/rgcposix.scm 163 */
															int BgL_auxz00_1654;

															BgL_auxz00_1654 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_auxz00_1654, BFALSE);
														}
														BgL_fromz00_556 = BINT(((long) 0));
														break;
													case ((unsigned char) '+'):

														{	/* Rgc/rgcposix.scm 164 */
															int BgL_auxz00_1658;

															BgL_auxz00_1658 = (int) (((long) 2));
															BGL_MVALUES_NUMBER_SET(BgL_auxz00_1658);
														}
														{	/* Rgc/rgcposix.scm 164 */
															int BgL_auxz00_1661;

															BgL_auxz00_1661 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_auxz00_1661, BFALSE);
														}
														BgL_fromz00_556 = BINT(((long) 1));
														break;
													case ((unsigned char) '?'):

														{	/* Rgc/rgcposix.scm 165 */
															int BgL_auxz00_1665;

															BgL_auxz00_1665 = (int) (((long) 2));
															BGL_MVALUES_NUMBER_SET(BgL_auxz00_1665);
														}
														{	/* Rgc/rgcposix.scm 165 */
															obj_t BgL_auxz00_1670;
															int BgL_auxz00_1668;

															BgL_auxz00_1670 = BINT(((long) 1));
															BgL_auxz00_1668 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_auxz00_1668,
																BgL_auxz00_1670);
														}
														BgL_fromz00_556 = BINT(((long) 0));
														break;
													default:
														BgL_fromz00_556 = BUNSPEC;
													}
												{	/* Rgc/rgcposix.scm 166 */
													obj_t BgL_toz00_557;

													{	/* Rgc/rgcposix.scm 166 */
														int BgL_auxz00_1675;

														BgL_auxz00_1675 = (int) (((long) 1));
														BgL_toz00_557 = BGL_MVALUES_VAL(BgL_auxz00_1675);
													}
													{	/* Rgc/rgcposix.scm 166 */
														obj_t BgL_val0_1159z00_558;
														long BgL_val1_1160z00_559;

														BgL_val0_1159z00_558 =
															BGl_makezd2rgczd2repeatz00zz__rgc_posixz00
															(BgL_fromz00_556, BgL_toz00_557, BgL_atomz00_550);
														BgL_val1_1160z00_559 =
															((long) CINT(BgL_iz00_551) + ((long) 1));
														{	/* Rgc/rgcposix.scm 166 */
															int BgL_auxz00_1681;

															BgL_auxz00_1681 = (int) (((long) 2));
															BGL_MVALUES_NUMBER_SET(BgL_auxz00_1681);
														}
														{	/* Rgc/rgcposix.scm 166 */
															obj_t BgL_auxz00_1686;
															int BgL_auxz00_1684;

															BgL_auxz00_1686 = BINT(BgL_val1_1160z00_559);
															BgL_auxz00_1684 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_auxz00_1684,
																BgL_auxz00_1686);
														}
														return BgL_val0_1159z00_558;
													}
												}
											}
											break;
										case ((unsigned char) '{'):

											{	/* Rgc/rgcposix.scm 168 */
												obj_t BgL_fromz00_569;

												BgL_fromz00_569 =
													BGl_parsezd2posixzd2bracesz00zz__rgc_posixz00
													(BgL_sz00_12,
													BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_iz00_551,
														BINT(((long) 1))));
												{	/* Rgc/rgcposix.scm 170 */
													obj_t BgL_toz00_570;
													obj_t BgL_iz00_571;

													{	/* Rgc/rgcposix.scm 170 */
														int BgL_auxz00_1692;

														BgL_auxz00_1692 = (int) (((long) 1));
														BgL_toz00_570 = BGL_MVALUES_VAL(BgL_auxz00_1692);
													}
													{	/* Rgc/rgcposix.scm 170 */
														int BgL_auxz00_1695;

														BgL_auxz00_1695 = (int) (((long) 2));
														BgL_iz00_571 = BGL_MVALUES_VAL(BgL_auxz00_1695);
													}
													{	/* Rgc/rgcposix.scm 170 */
														obj_t BgL_val0_1161z00_572;

														BgL_val0_1161z00_572 =
															BGl_makezd2rgczd2repeatz00zz__rgc_posixz00
															(BgL_fromz00_569, BgL_toz00_570, BgL_atomz00_550);
														{	/* Rgc/rgcposix.scm 170 */
															int BgL_auxz00_1699;

															BgL_auxz00_1699 = (int) (((long) 2));
															BGL_MVALUES_NUMBER_SET(BgL_auxz00_1699);
														}
														{	/* Rgc/rgcposix.scm 170 */
															int BgL_auxz00_1702;

															BgL_auxz00_1702 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_auxz00_1702,
																BgL_iz00_571);
														}
														return BgL_val0_1161z00_572;
													}
												}
											}
											break;
										default:
											{	/* Rgc/rgcposix.scm 171 */
												int BgL_auxz00_1705;

												BgL_auxz00_1705 = (int) (((long) 2));
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_1705);
											}
											{	/* Rgc/rgcposix.scm 171 */
												int BgL_auxz00_1708;

												BgL_auxz00_1708 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_auxz00_1708, BgL_iz00_551);
											}
											return BgL_atomz00_550;
										}
								}
							}
						else
							{	/* Rgc/rgcposix.scm 158 */
								{	/* Rgc/rgcposix.scm 172 */
									int BgL_auxz00_1712;

									BgL_auxz00_1712 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_auxz00_1712);
								}
								{	/* Rgc/rgcposix.scm 172 */
									int BgL_auxz00_1715;

									BgL_auxz00_1715 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_auxz00_1715, BgL_iz00_551);
								}
								return BgL_atomz00_550;
							}
					}
				}
			}
		}
	}



/* parse-posix-atom */
	obj_t BGl_parsezd2posixzd2atomz00zz__rgc_posixz00(obj_t BgL_sz00_14,
		obj_t BgL_iz00_15)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 180 */
			{	/* Rgc/rgcposix.scm 181 */
				long BgL_lenz00_579;

				BgL_lenz00_579 = STRING_LENGTH(BgL_sz00_14);
				if (((long) CINT(BgL_iz00_15) < BgL_lenz00_579))
					{	/* Rgc/rgcposix.scm 183 */
						unsigned char BgL_cz00_581;

						BgL_cz00_581 = STRING_REF(BgL_sz00_14, (long) CINT(BgL_iz00_15));
						{

							switch (BgL_cz00_581)
								{
								case ((unsigned char) '^'):

									return
										BGl_errorz00zz__errorz00(BFALSE,
										BGl_string1651z00zz__rgc_posixz00,
										BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
									break;
								case ((unsigned char) '$'):

									return
										BGl_errorz00zz__errorz00(BFALSE,
										BGl_string1652z00zz__rgc_posixz00,
										BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
									break;
								case ((unsigned char) '.'):

									{	/* Rgc/rgcposix.scm 187 */
										obj_t BgL_val0_1167z00_585;
										long BgL_val1_1168z00_586;

										BgL_val0_1167z00_585 = BGl_symbol1653z00zz__rgc_posixz00;
										BgL_val1_1168z00_586 =
											((long) CINT(BgL_iz00_15) + ((long) 1));
										{	/* Rgc/rgcposix.scm 187 */
											int BgL_auxz00_1728;

											BgL_auxz00_1728 = (int) (((long) 2));
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_1728);
										}
										{	/* Rgc/rgcposix.scm 187 */
											obj_t BgL_auxz00_1733;
											int BgL_auxz00_1731;

											BgL_auxz00_1733 = BINT(BgL_val1_1168z00_586);
											BgL_auxz00_1731 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_1731, BgL_auxz00_1733);
										}
										return BgL_val0_1167z00_585;
									}
									break;
								case ((unsigned char) '['):

									return
										BGl_parsezd2posixzd2bracketz00zz__rgc_posixz00(BgL_sz00_14,
										((long) CINT(BgL_iz00_15) + ((long) 1)));
									break;
								case ((unsigned char) '('):

									{	/* Rgc/rgcposix.scm 189 */
										obj_t BgL_rez00_588;

										BgL_rez00_588 =
											BGl_parsezd2posixzd2expz00zz__rgc_posixz00(BgL_sz00_14,
											((long) CINT(BgL_iz00_15) + ((long) 1)));
										{	/* Rgc/rgcposix.scm 191 */
											obj_t BgL_iz00_589;

											{	/* Rgc/rgcposix.scm 191 */
												int BgL_auxz00_1742;

												BgL_auxz00_1742 = (int) (((long) 1));
												BgL_iz00_589 = BGL_MVALUES_VAL(BgL_auxz00_1742);
											}
											{	/* Rgc/rgcposix.scm 191 */
												bool_t BgL_testz00_1745;

												if (((long) CINT(BgL_iz00_589) < BgL_lenz00_579))
													{	/* Rgc/rgcposix.scm 191 */
														BgL_testz00_1745 =
															(((unsigned char) ')') ==
															STRING_REF(BgL_sz00_14,
																(long) CINT(BgL_iz00_589)));
													}
												else
													{	/* Rgc/rgcposix.scm 191 */
														BgL_testz00_1745 = ((bool_t) 0);
													}
												if (BgL_testz00_1745)
													{	/* Rgc/rgcposix.scm 192 */
														obj_t BgL_val0_1169z00_591;
														long BgL_val1_1170z00_592;

														{	/* Rgc/rgcposix.scm 192 */
															obj_t BgL_arg1277z00_593;
															obj_t BgL_arg1278z00_594;

															BgL_arg1277z00_593 =
																BGl_symbol1655z00zz__rgc_posixz00;
															{	/* Rgc/rgcposix.scm 192 */
																obj_t BgL_list1279z00_595;

																BgL_list1279z00_595 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg1278z00_594 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_rez00_588, BgL_list1279z00_595);
															}
															BgL_val0_1169z00_591 =
																MAKE_PAIR(BgL_arg1277z00_593,
																BgL_arg1278z00_594);
														}
														BgL_val1_1170z00_592 =
															((long) CINT(BgL_iz00_589) + ((long) 1));
														{	/* Rgc/rgcposix.scm 192 */
															int BgL_auxz00_1757;

															BgL_auxz00_1757 = (int) (((long) 2));
															BGL_MVALUES_NUMBER_SET(BgL_auxz00_1757);
														}
														{	/* Rgc/rgcposix.scm 192 */
															obj_t BgL_auxz00_1762;
															int BgL_auxz00_1760;

															BgL_auxz00_1762 = BINT(BgL_val1_1170z00_592);
															BgL_auxz00_1760 = (int) (((long) 1));
															BGL_MVALUES_VAL_SET(BgL_auxz00_1760,
																BgL_auxz00_1762);
														}
														return BgL_val0_1169z00_591;
													}
												else
													{	/* Rgc/rgcposix.scm 191 */
														return
															BGl_errorz00zz__errorz00(BFALSE,
															BGl_string1657z00zz__rgc_posixz00,
															BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
													}
											}
										}
									}
									break;
								case ((unsigned char) '\\'):

									{	/* Rgc/rgcposix.scm 194 */
										long BgL_iz00_599;

										BgL_iz00_599 = ((long) CINT(BgL_iz00_15) + ((long) 1));
										if ((BgL_iz00_599 < BgL_lenz00_579))
											{	/* Rgc/rgcposix.scm 196 */
												obj_t BgL_val0_1171z00_601;
												long BgL_val1_1172z00_602;

												{	/* Rgc/rgcposix.scm 196 */
													unsigned char BgL_arg1285z00_603;

													BgL_arg1285z00_603 =
														STRING_REF(BgL_sz00_14, BgL_iz00_599);
													{	/* Rgc/rgcposix.scm 196 */
														obj_t BgL_list1286z00_604;

														BgL_list1286z00_604 =
															MAKE_PAIR(BCHAR(BgL_arg1285z00_603), BNIL);
														BgL_val0_1171z00_601 =
															BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
															(BgL_list1286z00_604);
												}}
												BgL_val1_1172z00_602 = (BgL_iz00_599 + ((long) 1));
												{	/* Rgc/rgcposix.scm 196 */
													int BgL_auxz00_1775;

													BgL_auxz00_1775 = (int) (((long) 2));
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_1775);
												}
												{	/* Rgc/rgcposix.scm 196 */
													obj_t BgL_auxz00_1780;
													int BgL_auxz00_1778;

													BgL_auxz00_1780 = BINT(BgL_val1_1172z00_602);
													BgL_auxz00_1778 = (int) (((long) 1));
													BGL_MVALUES_VAL_SET(BgL_auxz00_1778, BgL_auxz00_1780);
												}
												return BgL_val0_1171z00_601;
											}
										else
											{	/* Rgc/rgcposix.scm 195 */
												return
													BGl_errorz00zz__errorz00(BFALSE,
													BGl_string1658z00zz__rgc_posixz00,
													BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
											}
									}
									break;
								case ((unsigned char) ')'):
								case ((unsigned char) '|'):
								case ((unsigned char) '*'):
								case ((unsigned char) '+'):
								case ((unsigned char) '?'):
								case ((unsigned char) '{'):

									{	/* Rgc/rgcposix.scm 199 */
										int BgL_auxz00_1784;

										BgL_auxz00_1784 = (int) (((long) 2));
										BGL_MVALUES_NUMBER_SET(BgL_auxz00_1784);
									}
									{	/* Rgc/rgcposix.scm 199 */
										int BgL_auxz00_1787;

										BgL_auxz00_1787 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_1787, BgL_iz00_15);
									}
									return BNIL;
									break;
								default:
									{	/* Rgc/rgcposix.scm 200 */
										obj_t BgL_val0_1165z00_607;
										long BgL_val1_1166z00_608;

										{	/* Rgc/rgcposix.scm 200 */
											obj_t BgL_list1287z00_609;

											BgL_list1287z00_609 =
												MAKE_PAIR(BCHAR(BgL_cz00_581), BNIL);
											BgL_val0_1165z00_607 =
												BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
												(BgL_list1287z00_609);
										}
										BgL_val1_1166z00_608 =
											((long) CINT(BgL_iz00_15) + ((long) 1));
										{	/* Rgc/rgcposix.scm 200 */
											int BgL_auxz00_1795;

											BgL_auxz00_1795 = (int) (((long) 2));
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_1795);
										}
										{	/* Rgc/rgcposix.scm 200 */
											obj_t BgL_auxz00_1800;
											int BgL_auxz00_1798;

											BgL_auxz00_1800 = BINT(BgL_val1_1166z00_608);
											BgL_auxz00_1798 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_1798, BgL_auxz00_1800);
										}
										return BgL_val0_1165z00_607;
									}
								}
						}
					}
				else
					{	/* Rgc/rgcposix.scm 182 */
						{	/* Rgc/rgcposix.scm 201 */
							int BgL_auxz00_1804;

							BgL_auxz00_1804 = (int) (((long) 2));
							BGL_MVALUES_NUMBER_SET(BgL_auxz00_1804);
						}
						{	/* Rgc/rgcposix.scm 201 */
							int BgL_auxz00_1807;

							BgL_auxz00_1807 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_1807, BgL_iz00_15);
						}
						return BNIL;
					}
			}
		}
	}



/* parse-posix-bracket */
	obj_t BGl_parsezd2posixzd2bracketz00zz__rgc_posixz00(obj_t BgL_sz00_16,
		long BgL_iz00_17)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 209 */
			{	/* Rgc/rgcposix.scm 210 */
				long BgL_lenz00_613;

				BgL_lenz00_613 = STRING_LENGTH(BgL_sz00_16);
				if ((BgL_iz00_17 < BgL_lenz00_613))
					{	/* Rgc/rgcposix.scm 212 */
						bool_t BgL_negatezf3zf3_615;

						{	/* Rgc/rgcposix.scm 213 */
							unsigned char BgL_cz00_669;

							BgL_cz00_669 = STRING_REF(BgL_sz00_16, BgL_iz00_17);
							if ((BgL_cz00_669 == ((unsigned char) '^')))
								{	/* Rgc/rgcposix.scm 215 */
									long BgL_val1_1178z00_672;

									BgL_val1_1178z00_672 = (BgL_iz00_17 + ((long) 1));
									{	/* Rgc/rgcposix.scm 215 */
										int BgL_auxz00_1817;

										BgL_auxz00_1817 = (int) (((long) 2));
										BGL_MVALUES_NUMBER_SET(BgL_auxz00_1817);
									}
									{	/* Rgc/rgcposix.scm 215 */
										obj_t BgL_auxz00_1822;
										int BgL_auxz00_1820;

										BgL_auxz00_1822 = BINT(BgL_val1_1178z00_672);
										BgL_auxz00_1820 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_1820, BgL_auxz00_1822);
									}
									BgL_negatezf3zf3_615 = ((bool_t) 1);
								}
							else
								{	/* Rgc/rgcposix.scm 214 */
									{	/* Rgc/rgcposix.scm 216 */
										int BgL_auxz00_1825;

										BgL_auxz00_1825 = (int) (((long) 2));
										BGL_MVALUES_NUMBER_SET(BgL_auxz00_1825);
									}
									{	/* Rgc/rgcposix.scm 216 */
										obj_t BgL_auxz00_1830;
										int BgL_auxz00_1828;

										BgL_auxz00_1830 = BINT(BgL_iz00_17);
										BgL_auxz00_1828 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_1828, BgL_auxz00_1830);
									}
									BgL_negatezf3zf3_615 = ((bool_t) 0);
						}}
						{	/* Rgc/rgcposix.scm 217 */
							obj_t BgL_i0z00_616;

							{	/* Rgc/rgcposix.scm 217 */
								int BgL_auxz00_1833;

								BgL_auxz00_1833 = (int) (((long) 1));
								BgL_i0z00_616 = BGL_MVALUES_VAL(BgL_auxz00_1833);
							}
							{
								obj_t BgL_iz00_618;
								obj_t BgL_csetz00_619;

								BgL_iz00_618 = BgL_i0z00_616;
								BgL_csetz00_619 = BNIL;
							BgL_loopz00_620:
								if (((long) CINT(BgL_iz00_618) < BgL_lenz00_613))
									{	/* Rgc/rgcposix.scm 220 */
										unsigned char BgL_cz00_622;

										BgL_cz00_622 =
											STRING_REF(BgL_sz00_16, (long) CINT(BgL_iz00_618));
										{

											switch (BgL_cz00_622)
												{
												case ((unsigned char) '['):

													{	/* Rgc/rgcposix.scm 224 */
														long BgL_i1z00_626;

														BgL_i1z00_626 =
															((long) CINT(BgL_iz00_618) + ((long) 1));
														{	/* Rgc/rgcposix.scm 226 */
															bool_t BgL_testz00_1843;

															if ((BgL_i1z00_626 < BgL_lenz00_613))
																{	/* Rgc/rgcposix.scm 226 */
																	BgL_testz00_1843 =
																		CBOOL
																		(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																		(BCHAR(STRING_REF(BgL_sz00_16,
																					BgL_i1z00_626)),
																			BGl_list1659z00zz__rgc_posixz00));
																}
															else
																{	/* Rgc/rgcposix.scm 226 */
																	BgL_testz00_1843 = ((bool_t) 0);
																}
															if (BgL_testz00_1843)
																{	/* Rgc/rgcposix.scm 226 */
																	return
																		BGl_errorz00zz__errorz00(BFALSE,
																		BGl_string1660z00zz__rgc_posixz00,
																		BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
																}
															else
																{	/* Rgc/rgcposix.scm 231 */
																	obj_t BgL_arg1293z00_628;

																	BgL_arg1293z00_628 =
																		MAKE_PAIR(BCHAR(((unsigned char) '[')),
																		BgL_csetz00_619);
																	{
																		obj_t BgL_csetz00_1855;
																		obj_t BgL_iz00_1853;

																		BgL_iz00_1853 = BINT(BgL_i1z00_626);
																		BgL_csetz00_1855 = BgL_arg1293z00_628;
																		BgL_csetz00_619 = BgL_csetz00_1855;
																		BgL_iz00_618 = BgL_iz00_1853;
																		goto BgL_loopz00_620;
																	}
																}
														}
													}
													break;
												case ((unsigned char) ']'):

													if (
														((long) CINT(BgL_iz00_618) ==
															(long) CINT(BgL_i0z00_616)))
														{	/* Rgc/rgcposix.scm 235 */
															long BgL_arg1298z00_633;
															obj_t BgL_arg1299z00_634;

															BgL_arg1298z00_633 =
																((long) CINT(BgL_iz00_618) + ((long) 1));
															BgL_arg1299z00_634 =
																MAKE_PAIR(BCHAR(((unsigned char) ']')),
																BgL_csetz00_619);
															{
																obj_t BgL_csetz00_1866;
																obj_t BgL_iz00_1864;

																BgL_iz00_1864 = BINT(BgL_arg1298z00_633);
																BgL_csetz00_1866 = BgL_arg1299z00_634;
																BgL_csetz00_619 = BgL_csetz00_1866;
																BgL_iz00_618 = BgL_iz00_1864;
																goto BgL_loopz00_620;
															}
														}
													else
														{	/* Rgc/rgcposix.scm 234 */
															if (BgL_negatezf3zf3_615)
																{	/* Rgc/rgcposix.scm 239 */
																	obj_t BgL_val0_1181z00_635;
																	long BgL_val1_1182z00_636;

																	BgL_val0_1181z00_635 =
																		MAKE_PAIR(BGl_symbol1661z00zz__rgc_posixz00,
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_csetz00_619, BNIL));
																	BgL_val1_1182z00_636 =
																		((long) CINT(BgL_iz00_618) + ((long) 1));
																	{	/* Rgc/rgcposix.scm 239 */
																		int BgL_auxz00_1872;

																		BgL_auxz00_1872 = (int) (((long) 2));
																		BGL_MVALUES_NUMBER_SET(BgL_auxz00_1872);
																	}
																	{	/* Rgc/rgcposix.scm 239 */
																		obj_t BgL_auxz00_1877;
																		int BgL_auxz00_1875;

																		BgL_auxz00_1877 =
																			BINT(BgL_val1_1182z00_636);
																		BgL_auxz00_1875 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_auxz00_1875,
																			BgL_auxz00_1877);
																	}
																	return BgL_val0_1181z00_635;
																}
															else
																{	/* Rgc/rgcposix.scm 240 */
																	obj_t BgL_val0_1183z00_639;
																	long BgL_val1_1184z00_640;

																	BgL_val0_1183z00_639 =
																		MAKE_PAIR(BGl_symbol1663z00zz__rgc_posixz00,
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_csetz00_619, BNIL));
																	BgL_val1_1184z00_640 =
																		((long) CINT(BgL_iz00_618) + ((long) 1));
																	{	/* Rgc/rgcposix.scm 240 */
																		int BgL_auxz00_1884;

																		BgL_auxz00_1884 = (int) (((long) 2));
																		BGL_MVALUES_NUMBER_SET(BgL_auxz00_1884);
																	}
																	{	/* Rgc/rgcposix.scm 240 */
																		obj_t BgL_auxz00_1889;
																		int BgL_auxz00_1887;

																		BgL_auxz00_1889 =
																			BINT(BgL_val1_1184z00_640);
																		BgL_auxz00_1887 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_auxz00_1887,
																			BgL_auxz00_1889);
																	}
																	return BgL_val0_1183z00_639;
																}
														}
													break;
												case ((unsigned char) '-'):

													{	/* Rgc/rgcposix.scm 243 */
														bool_t BgL_testz00_1892;

														if (
															((long) CINT(BgL_iz00_618) ==
																(long) CINT(BgL_i0z00_616)))
															{	/* Rgc/rgcposix.scm 243 */
																BgL_testz00_1892 = ((bool_t) 1);
															}
														else
															{	/* Rgc/rgcposix.scm 243 */
																if (
																	(((long) CINT(BgL_iz00_618) + ((long) 1)) <
																		BgL_lenz00_613))
																	{	/* Rgc/rgcposix.scm 244 */
																		BgL_testz00_1892 =
																			(((unsigned char) ']') ==
																			STRING_REF(BgL_sz00_16,
																				((long) CINT(BgL_iz00_618) +
																					((long) 1))));
																	}
																else
																	{	/* Rgc/rgcposix.scm 244 */
																		BgL_testz00_1892 = ((bool_t) 0);
																	}
															}
														if (BgL_testz00_1892)
															{	/* Rgc/rgcposix.scm 246 */
																long BgL_arg1306z00_644;
																obj_t BgL_arg1308z00_645;

																BgL_arg1306z00_644 =
																	((long) CINT(BgL_iz00_618) + ((long) 1));
																BgL_arg1308z00_645 =
																	MAKE_PAIR(BCHAR(((unsigned char) '-')),
																	BgL_csetz00_619);
																{
																	obj_t BgL_csetz00_1911;
																	obj_t BgL_iz00_1909;

																	BgL_iz00_1909 = BINT(BgL_arg1306z00_644);
																	BgL_csetz00_1911 = BgL_arg1308z00_645;
																	BgL_csetz00_619 = BgL_csetz00_1911;
																	BgL_iz00_618 = BgL_iz00_1909;
																	goto BgL_loopz00_620;
																}
															}
														else
															{	/* Rgc/rgcposix.scm 243 */
																return
																	BGl_errorz00zz__errorz00(BFALSE,
																	BGl_string1665z00zz__rgc_posixz00,
																	BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
															}
													}
													break;
												default:
													{	/* Rgc/rgcposix.scm 253 */
														long BgL_iz00_651;

														BgL_iz00_651 =
															((long) CINT(BgL_iz00_618) + ((long) 1));
														{	/* Rgc/rgcposix.scm 254 */
															bool_t BgL_testz00_1915;

															if (
																((BgL_iz00_651 + ((long) 1)) < BgL_lenz00_613))
																{	/* Rgc/rgcposix.scm 254 */
																	BgL_testz00_1915 =
																		(((unsigned char) '-') ==
																		STRING_REF(BgL_sz00_16, BgL_iz00_651));
																}
															else
																{	/* Rgc/rgcposix.scm 254 */
																	BgL_testz00_1915 = ((bool_t) 0);
																}
															if (BgL_testz00_1915)
																{	/* Rgc/rgcposix.scm 257 */
																	long BgL_iz00_653;

																	BgL_iz00_653 = (BgL_iz00_651 + ((long) 1));
																	{	/* Rgc/rgcposix.scm 257 */
																		long BgL_toz00_654;

																		BgL_toz00_654 =
																			(STRING_REF(BgL_sz00_16, BgL_iz00_653));
																		{	/* Rgc/rgcposix.scm 258 */

																			{	/* Rgc/rgcposix.scm 259 */
																				long BgL_g1123z00_655;

																				BgL_g1123z00_655 = (BgL_cz00_622);
																				{
																					long BgL_jz00_1188;
																					obj_t BgL_csetz00_1189;

																					BgL_jz00_1188 = BgL_g1123z00_655;
																					BgL_csetz00_1189 = BgL_csetz00_619;
																				BgL_laapz00_1187:
																					if ((BgL_jz00_1188 > BgL_toz00_654))
																						{	/* Rgc/rgcposix.scm 259 */
																							long BgL_arg1315z00_1196;

																							BgL_arg1315z00_1196 =
																								(BgL_iz00_653 + ((long) 1));
																							{
																								obj_t BgL_csetz00_1930;
																								obj_t BgL_iz00_1928;

																								BgL_iz00_1928 =
																									BINT(BgL_arg1315z00_1196);
																								BgL_csetz00_1930 =
																									BgL_csetz00_1189;
																								BgL_csetz00_619 =
																									BgL_csetz00_1930;
																								BgL_iz00_618 = BgL_iz00_1928;
																								goto BgL_loopz00_620;
																							}
																						}
																					else
																						{	/* Rgc/rgcposix.scm 259 */
																							long BgL_arg1316z00_1197;
																							obj_t BgL_arg1317z00_1198;

																							BgL_arg1316z00_1197 =
																								(BgL_jz00_1188 + ((long) 1));
																							{	/* Rgc/rgcposix.scm 259 */
																								unsigned char
																									BgL_arg1318z00_1199;
																								BgL_arg1318z00_1199 =
																									(BgL_jz00_1188);
																								BgL_arg1317z00_1198 =
																									MAKE_PAIR(BCHAR
																									(BgL_arg1318z00_1199),
																									BgL_csetz00_1189);
																							}
																							{
																								obj_t BgL_csetz00_1936;
																								long BgL_jz00_1935;

																								BgL_jz00_1935 =
																									BgL_arg1316z00_1197;
																								BgL_csetz00_1936 =
																									BgL_arg1317z00_1198;
																								BgL_csetz00_1189 =
																									BgL_csetz00_1936;
																								BgL_jz00_1188 = BgL_jz00_1935;
																								goto BgL_laapz00_1187;
																							}
																						}
																				}
																			}
																		}
																	}
																}
															else
																{	/* Rgc/rgcposix.scm 268 */
																	obj_t BgL_arg1320z00_665;

																	BgL_arg1320z00_665 =
																		MAKE_PAIR(BCHAR(BgL_cz00_622),
																		BgL_csetz00_619);
																	{
																		obj_t BgL_csetz00_1941;
																		obj_t BgL_iz00_1939;

																		BgL_iz00_1939 = BINT(BgL_iz00_651);
																		BgL_csetz00_1941 = BgL_arg1320z00_665;
																		BgL_csetz00_619 = BgL_csetz00_1941;
																		BgL_iz00_618 = BgL_iz00_1939;
																		goto BgL_loopz00_620;
																	}
																}
														}
													}
												}
										}
									}
								else
									{	/* Rgc/rgcposix.scm 219 */
										return
											BGl_errorz00zz__errorz00(BFALSE,
											BGl_string1666z00zz__rgc_posixz00,
											BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
									}
							}
						}
					}
				else
					{	/* Rgc/rgcposix.scm 211 */
						return
							BGl_errorz00zz__errorz00(BFALSE,
							BGl_string1666z00zz__rgc_posixz00,
							BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
					}
			}
		}
	}



/* parse-posix-braces */
	obj_t BGl_parsezd2posixzd2bracesz00zz__rgc_posixz00(obj_t BgL_sz00_18,
		obj_t BgL_iz00_19)
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 278 */
			{	/* Rgc/rgcposix.scm 289 */
				obj_t BgL_commaz00_676;
				obj_t BgL_rbz00_677;

				{	/* Rgc/rgcposix.scm 289 */
					long BgL_lenz00_1238;

					BgL_lenz00_1238 = STRING_LENGTH(BgL_sz00_18);
					{
						obj_t BgL_offsetz00_1240;

						BgL_offsetz00_1240 = BgL_iz00_19;
					BgL_loopz00_1239:
						if (((long) CINT(BgL_offsetz00_1240) >= BgL_lenz00_1238))
							{	/* Rgc/rgcposix.scm 289 */
								BgL_commaz00_676 = BFALSE;
							}
						else
							{	/* Rgc/rgcposix.scm 289 */
								if (
									(STRING_REF(BgL_sz00_18,
											(long) CINT(BgL_offsetz00_1240)) ==
										((unsigned char) ',')))
									{	/* Rgc/rgcposix.scm 289 */
										BgL_commaz00_676 = BgL_offsetz00_1240;
									}
								else
									{
										obj_t BgL_offsetz00_1953;

										BgL_offsetz00_1953 =
											BINT(((long) CINT(BgL_offsetz00_1240) + ((long) 1)));
										BgL_offsetz00_1240 = BgL_offsetz00_1953;
										goto BgL_loopz00_1239;
									}
							}
					}
				}
				{	/* Rgc/rgcposix.scm 290 */
					long BgL_lenz00_1257;

					BgL_lenz00_1257 = STRING_LENGTH(BgL_sz00_18);
					{
						obj_t BgL_offsetz00_1259;

						BgL_offsetz00_1259 = BgL_iz00_19;
					BgL_loopz00_1258:
						if (((long) CINT(BgL_offsetz00_1259) >= BgL_lenz00_1257))
							{	/* Rgc/rgcposix.scm 290 */
								BgL_rbz00_677 = BFALSE;
							}
						else
							{	/* Rgc/rgcposix.scm 290 */
								if (
									(STRING_REF(BgL_sz00_18,
											(long) CINT(BgL_offsetz00_1259)) ==
										((unsigned char) '}')))
									{	/* Rgc/rgcposix.scm 290 */
										BgL_rbz00_677 = BgL_offsetz00_1259;
									}
								else
									{
										obj_t BgL_offsetz00_1965;

										BgL_offsetz00_1965 =
											BINT(((long) CINT(BgL_offsetz00_1259) + ((long) 1)));
										BgL_offsetz00_1259 = BgL_offsetz00_1965;
										goto BgL_loopz00_1258;
									}
							}
					}
				}
				if (CBOOL(BgL_rbz00_677))
					{	/* Rgc/rgcposix.scm 292 */
						bool_t BgL_testz00_1971;

						if (CBOOL(BgL_commaz00_676))
							{	/* Rgc/rgcposix.scm 292 */
								BgL_testz00_1971 =
									((long) CINT(BgL_commaz00_676) < (long) CINT(BgL_rbz00_677));
							}
						else
							{	/* Rgc/rgcposix.scm 292 */
								BgL_testz00_1971 = ((bool_t) 0);
							}
						if (BgL_testz00_1971)
							{	/* Rgc/rgcposix.scm 293 */
								obj_t BgL_val0_1185z00_679;
								obj_t BgL_val1_1186z00_680;
								long BgL_val2_1187z00_681;

								BgL_val0_1185z00_679 =
									BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(c_substring
									(BgL_sz00_18, (long) CINT(BgL_iz00_19),
										(long) CINT(BgL_commaz00_676)), BNIL);
								{	/* Rgc/rgcposix.scm 294 */
									bool_t BgL_testz00_1981;

									if (
										(((long) CINT(BgL_commaz00_676) + ((long) 1)) ==
											(long) CINT(BgL_rbz00_677)))
										{	/* Rgc/rgcposix.scm 294 */
											BgL_testz00_1981 = ((bool_t) 0);
										}
									else
										{	/* Rgc/rgcposix.scm 294 */
											BgL_testz00_1981 = ((bool_t) 1);
										}
									if (BgL_testz00_1981)
										{	/* Rgc/rgcposix.scm 294 */
											BgL_val1_1186z00_680 =
												BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
												(c_substring(BgL_sz00_18,
													((long) CINT(BgL_commaz00_676) + ((long) 1)),
													(long) CINT(BgL_rbz00_677)), BNIL);
										}
									else
										{	/* Rgc/rgcposix.scm 294 */
											BgL_val1_1186z00_680 = BFALSE;
										}
								}
								BgL_val2_1187z00_681 =
									((long) CINT(BgL_rbz00_677) + ((long) 1));
								{	/* Rgc/rgcposix.scm 293 */
									int BgL_auxz00_1994;

									BgL_auxz00_1994 = (int) (((long) 3));
									BGL_MVALUES_NUMBER_SET(BgL_auxz00_1994);
								}
								{	/* Rgc/rgcposix.scm 293 */
									int BgL_auxz00_1997;

									BgL_auxz00_1997 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_auxz00_1997, BgL_val1_1186z00_680);
								}
								{	/* Rgc/rgcposix.scm 293 */
									obj_t BgL_auxz00_2002;
									int BgL_auxz00_2000;

									BgL_auxz00_2002 = BINT(BgL_val2_1187z00_681);
									BgL_auxz00_2000 = (int) (((long) 2));
									BGL_MVALUES_VAL_SET(BgL_auxz00_2000, BgL_auxz00_2002);
								}
								return BgL_val0_1185z00_679;
							}
						else
							{	/* Rgc/rgcposix.scm 297 */
								obj_t BgL_mz00_690;

								BgL_mz00_690 =
									BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(c_substring
									(BgL_sz00_18, (long) CINT(BgL_iz00_19),
										(long) CINT(BgL_rbz00_677)), BNIL);
								{	/* Rgc/rgcposix.scm 298 */
									long BgL_val2_1190z00_693;

									BgL_val2_1190z00_693 =
										((long) CINT(BgL_rbz00_677) + ((long) 1));
									{	/* Rgc/rgcposix.scm 298 */
										int BgL_auxz00_2011;

										BgL_auxz00_2011 = (int) (((long) 3));
										BGL_MVALUES_NUMBER_SET(BgL_auxz00_2011);
									}
									{	/* Rgc/rgcposix.scm 298 */
										int BgL_auxz00_2014;

										BgL_auxz00_2014 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_2014, BgL_mz00_690);
									}
									{	/* Rgc/rgcposix.scm 298 */
										obj_t BgL_auxz00_2019;
										int BgL_auxz00_2017;

										BgL_auxz00_2019 = BINT(BgL_val2_1190z00_693);
										BgL_auxz00_2017 = (int) (((long) 2));
										BGL_MVALUES_VAL_SET(BgL_auxz00_2017, BgL_auxz00_2019);
									}
									return BgL_mz00_690;
								}
							}
					}
				else
					{	/* Rgc/rgcposix.scm 291 */
						return
							BGl_errorz00zz__errorz00(BFALSE,
							BGl_string1667z00zz__rgc_posixz00,
							BGl_za2errzd2stringza2zd2zz__rgc_posixz00);
					}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgc_posixz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcposix.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 42697480),
				BSTRING_TO_STRING(BGl_string1668z00zz__rgc_posixz00));
		}
	}

#ifdef __cplusplus
}
#endif
